Caliber Help

Basic informations

Introduction

System requirements

Measuring circuit connection

Registration

Program philosophy

Calibration point flowchart

Modules

Main window

Procedure

Instrument card

User functions

Wizard rules


Introduction

The CALIBER program is intended for automatic calibrations of instruments by means of a standard. Output of the CALIBER program represents a physically performed calibration with a calibration record – a table with measured and evaluated data (the protocol).

Basic measured quantities include voltage, current, resistance, capacitance, frequency and temperature. However, it is possible to create custom quantities defined by the user (weight, length, pressure, etc.).

The instruments can be either manually or automatically (by computer) operated. RS232, GPIB, or VISA interfaces can be used for remote control. It is also possible to scan 7-segment instrument displays by Cam-Ocr system.

The Caliber program can work independently or in cooperation with the WinQbase program. For the correct operation of the program, this mode must be set on the Configuration - General panel.


System requirements

  • Windows OS (any version from Win 2000 to Win 11)

  • 720p or better screen resolution

  • .NET Framework 4.8, available from https://dotnet.microsoft.com/en-us/download/dotnet-framework/thank-you/net48-web-installer

  • System locale set to language using Latin-script alphabet (e.g. English) and Beta Unicode support disabled (see START > Region > Administrative > Change system locale)

  • Internet connection for periodic online license validation

Equipment required for remote control

  • RS232: Generic RS232 adapter or port

  • GPIB: National Instruments IEEE488 interface

  • VISA: USB or Ethernet port


Measuring circuit connection

Correct ways of measuring circuitry are to be respected when accurate multi-meters are being used.

Ground Connection of the Measuring Circuitry

When a calibrator and one or more multi-meters are connected among each other, there is always a risk of “ground loops”. These lops are constituted by connections of measuring terminals along with connections of supply cables with power networks. Through the ground loops high currents can flow, usually the alternating and synchronous ones with the first or second harmonic component of power supply current. Presence of these currents is being expressed itself as data instability on the tested measuring instrument. This instability is mainly evident in alternating ranges for frequencies of 50, 100, 200, 400 Hz, also for power network frequency multiples. For higher frequencies of measuring signals this instability is not practically significant. The instability will cause a comparatively slow and regular fluctuation of signal amplitude. The beat frequency is determined by difference between the power supply frequency and the frequency of the calibrator´s signal.

Effects of the ground loops can be eliminated by following steps:

a) All the ground outlets must be connected in one point, the best is in a Lo terminal of calibrators (star connection). Calibration must not be performed with no-grounded measuring circuits.

b) Main supplies of the calibrator of the control computer and both of the multi-meters must be connected with one supply list or with a main supply socket.

c) If above mentioned measurements prove ad little sufficient ones, a low frequency toroid choke can be connected in the main supply inlet of the calibrator or the multi-meter. The choke can be made by winding of a few turns of a supply cord on a permalloy core of 7 – 10 cm diameter.

d) Finally, if network interferences ere too big, their effect can be reduced by calibration performance at non-harmonic multiplies of the main supply frequency, e.g. 60, 120 Hz (only for calibrations of alternating voltage and current ranges).

Voltage Range Calibration

The most practically way for the voltage range calibration is the connecting of multi-meters directly with calibrator´s input terminals. Mainly for low voltage calibrations, when it is necessary to perform comparison with uncertainty of hundredths of nV to units of uV, it shall be used cupper wires with gilded terminations soldered with low-thermal solders. We neither unnecessarily touch input and output terminals nor allow local warming of some parts of measuring circuitries (e.g. by ventilators, heat radiators, etc). Having connected them, we will wait till a thermal voltage get stabilized and balanced. For extremely accurate measurements of low voltages it shall be better to connect input terminals of the standard multi-meter with input terminals of the multi-meter under test, which way is also very suitable if the multi-meter under test possess a lower input resistance. The connection of the standard multi-meter is being equivalent to the four-terminal connection of the calibrator.

If a range of 200 mV or less is used, it is necessary to take into consideration that passive output resistances of some calibrators can be 50 - 100 Ohm and they cannot be loaded.

Current Range Calibration

Calibration for Low Alternating Currents

For calibration of low current ranges there can be considered that each capacity connected parallel to input terminals of a measuring instrument (and also a capacity of the used calibrator) represents an alternating shunt. Part of the calibrated current generated by the calibrator is running out off the connected measuring instrument and is running through this shunt. The value of this stray current is being proportional to the load voltage and it depends on the measuring instrument (on its input impedance) and on the measuring frequency. Free laid shorter wires are as the most suitable for connection of both of the multi-meters and the calibrators. Coaxial cables are completely unsuitable for this purpose.

Calibration for Heavy Currents

For calibration of the 1 A current range and above there is necessary to connect together a calibrator and a multi-meter under test with sufficient strong cables. At all the connection through which currents are running is more suitable to tighten wires under terminals in order to reduce contact resistances.

WARNING!

Most of the portable multi-meters have their maximal input current of 2 A. Their connection with calibrators with adjusted input currents higher than 2 A can result in multi-meter´s damage. The only way of using a standard multi-meter for a calibration consists in usage of a precise and properly sized shunt.


About Caliber

This panel is displayed as a splash when the program starts. The panel can then be activated from the Help > About Caliber menu. It is used to display basic information about the program, the license owner and allows you to activate the registration panel. If the program is not registered, it displays the Demonstration version.

Registration – activates the Registration panel, which can be used to register the program.

OK – closes the panel


Registration

The computer, which Caliber is installed on, checks the License after start and if there is not valid license (Caliber is not registered) or is missing, the program is converted into a limited demo mode.

The license status can be:

No license found - no license serial number found. You need to perform step 1 - License activation request

License not verified - a license was found on the computer, but it has not yet been verified. It is necessary to perform step 2 - License activation

License active - the "License status" window displays all information about the license (Owner, Licensed programs, License validity)

Demonstration version

Having been installed, the Caliber program shall start automatically in the demo mode. This mode doesn´t allow saving and printing of the calibration report. In addition to, there cannot be used the „CamOCR“ unit for camera scanning. The program determines this mode as “Demo mode”.

Full version

This mode requires registration. It allows full utilization of all the program features (the CamOCR unit only if it has been bought). The program does not determine this mode.

Program registration

The program can be registered after its start by means of the “Help” menu and by the “What it is” item activation. At this moment a panel appears in which the program version and company name are shown, for which the program has been licensed (if the program is not registered, the “Demo mode” text shall be displayed here). The registration is to be performed by the “Registration” button.

The License panel appears:

The registration consists of two steps:

Step 1 – License activation request

Set the Serial number the license is to be registered to. Serial number you can get from “License agreement” which is supplied with program package. Press the button “Send license to validation“. Program will ask for the path where to save the "QUERY" file. Send this file “License SNXXXXXXXX (QUERY).lcs“ as attachment to the email register@meatest.cz.

Step 2 – License activation

In response to the email you will receive the activation file “License SNXXXXXXXX (ACTIVE).lcs“. Use this file to complete the activation by pressing the “Activate license“ button.


Program philosophy

A principle of the program is an automated calibration of instruments which is running according to a pre-prepared calibration process or procedure. For work with calibration procedures, a basic module of the Caliber program is intended, which is called Procedures. By means of this module there is possible to create and modify the calibration procedures and also to perform calibrations directly. For the calibration procedure there are very important the instruments participating in the calibration. In its simplest case, a procedure consists of an instrument list and a list of selected functions, ranges and calibration points of the instrument under test (DUT). The instrument in the Caliber program is defined by an Instrument Card. The Instrument Card contains an overall description of the instrument. There are mainly a list of supported functions, range definitions, specifications and instrument way of control. An Instrument Card Module is intended for work with the instrument cards. As soon as the card has been created, it can be easy used for any calibration of any configuration and the program shall already know all the instrument´s features automatically. It can be said that the creating of those cards is the most complicated target in the Caliber system. The already created cards of the most known instruments on the market represent an integral part of the program and they can be loaded from the Internet free of charge. In the Caliber system there is also quite easy to change an etalon or a source against another one in an already created procedure because its features can be obtained from the instrument card. There's no point in changing of the instrument under test only, because the procedure consists of a list of functions and ranges of this instrument and that is why it is better to create a new procedure.

An instrument can be in simplest way divided in a source, a meter, a converter or a switch. The Instrument Card module is structured in this way. The source is generating a quantity (a signal), the meter measures it and the converter is able to transform this quantity up to another one. The switch represents an auxiliary device for automated switching of instrument´s terminals. The quantity being generated or measured by an instrument is concerned as a function by the program. The functions can be then divided into ranges. Functions can be added into the system by means of the User Functions module. Because the program knows the instrument´s features (functions and ranges as well), it is able to generate a whole procedure itself (i.e. to propose functions, ranges and calibration points) by means of the Procedure Wizard after selection of the DUT and the standard. What calibration points shall be involved in the procedure is stipulated according Wizard rules. The Wizard rules can be changed and created by means of the Wizard rules module.

There results from the above mentioned description that the Procedure and the Instrument Card are the most important parts of the program. The Procedure and the Instrument Card contain a hierarchic structure.

The Procedure´s structure: Procedure -> Function -> Range -> Value

The Instrument Card´s structure: Instrument Card -> Function -> Range -> Parameter

The very most of the features can be defined on any level of those hierarchies and the program seeks for a feature always from the lowest level. So if it wants to obtain some information (e.g. a specification) from the instrument card, then it shall find out whether it is defined on the parameter level. If it is the case, the program shall use it, if it is not the case, then the program shall seek on the range level etc. If the program has not found the feature during its run at all, it shall be announced as the “Instrument Specification Was Not found” error.

A calibration result is being represented by the Test Report containing measured values of the DUT and the Etalon, calculated deviations and uncertainties. The way of measured values introducing after measuring of DC electric current at the 10 A value is being displayed in the following scheme. The standard value was transformed by 10mOhm shunt.


Procedure

Procedure - is calibration methodology in Caliber system. It defines instruments used in a calibration and points at which a calibration is being performed.

There is a Procedure module in Caliber system that allows creating, modifying and testing procedures.


Instrument card

Instrument card - set describing instrument´s features. Metrologic features of an instrument are defined here (functions, ranges, specification, terminals etc.) and way of instrument control (commands of GPIB, RS232, VISA). Existing of an instrument card is a necessary condition of its using in a calibration procedure. The instrument cards can be created end modified through Instrument card module.


Test report

Test report - means Calibration output with measured values of DUT and Standards. The test report consists of a columns such as "Function", "Range", "DUT", "Standard" etc. The function and the range column is determined by DUT instrument. During calibration the test report is step by step filled by measured values in the test report window. The calibration result can be anytime exported in TXT, XML or CSV format.


Function

All instrument properties are globally separated into categories called Function. These categories are sequentially used in all Caliber system. A function is mostly defined by a physical quantity (voltage, current, resistance, …), however it can defined also way of connections (VDC-2W … direct two-terminal voltage) or way of measurement (R-TRUE … resistors being measured for both positive and negative signal polarity). Utilizing of existing functions represents a standard procedure. A user shall complete a new function if he is creating an instrument card for adjustment of a new still not defined function.
Absolute and relative functions are differed by the program. The absolute functions have set resolution of one bit and BMC in absolute value. The relative functions have set digit number on the range and BMC in percents. Regardless of that diferentiation, absolute or relative measured values expression can be set (it determines way of error and uncertainty evaluation in the test report).

Functions are editable through User functions module.


Instrument

Instrument is basic element in the course of calibration. It can be a device, a facilitation or an equipment used in calibration. Instrument can generate, transfer or measure signal. Instrument is defined by an Instrument card. The Instrument card describes all instrument properties like supported functions, ranges, specifications, terminals and communication with instrument. The first thing during procedure creating is composition of Instrument scheme used in calibration. There are two important instrument types from calibration point of view: DUT (unit under test) and Standard (reference instrument), all other instruments are auxiliary.

Instrument displaying within a procedure

Each of instruments shall be displayed as a rectangle in the program. There is an instrument name (1) in the upper half of the rectangle. The lower half is divided in two parts. A communication bus type (4) is being displayed by which the instrument is controlled eventually along which bus the value from the instrument is counted. There is instrument index (5) in the right part. This index serves to unique identification of each of the instruments even if they have the same name (the same instrument can be used in one procedure many times). On the left and right part of the instrument can be displayed a hook which determines signal connections (3) among the instruments. The source has a hook only at its right side, the converter has a hook on both its sides and the switch has not any hook. Rectangle´s background color symbolizes an instrument use (2), i.e. blue stands for a DUT, red for a standard, grey for all other instruments which value is not important in terms of calibration results. It is suitable in terms of instrument scheme to situate sources in left part of the surface and measuring instruments and switches in right part of the surface, converters then among these instruments. The instruments can be transferred on the surface by left mouse click and pulling the mouse at the same time. Instrument transferring is possible only if the instrument scheme is actually in terms of a given point, a range, a function or a procedure. The scheme will be actually if it is displayed in thick letters of the instruments.

Instruments are divided in terms of signal flows into following groups:

a) [image] Source – it possess an output signal, it does not have any inputs. It is creating a signal.

b) [image] Meter – it possess an input signal, it does not have any outputs. It is measuring a signal.

c) [image] Converter – it possess both input and output signal. The signal is being transformed.

d) [image] Switch – it is similar as the measuring instrument, it has only input signal, but any measured value is not expected.


DUT

DUT (Device Under Test) – an instrument to be calibrated, i.e. an instrument to be tested. It is not of importance if it is a signal source or a meter. An instrument being calibrated can be a multi-meter, a resistance decade, process calibrator, etc. A converter can be used as DUT as well, only certain regulations shall be observed. The DUT is always being differentiated by blue color in the Instrument scheme.


Standard

Standard is a reference instrument. It is intended for conventionally right value estimation by the program. A standard can be a signal source (calibrator) or a meter (multi-meter, scales). The standard is always being differentiated by red color in the Instrument scheme.


Source

Source is instrument that generates signal. A signal source shall be present at each measuring task. It can be used at standard´s position (differentiated by red color), as DUT (differentiated by blue color) or can be used as a source only (differentiated by gray color).


Meter

Meter is an instrument in Caliber system. Meter measures quantity (it possess an input signal) and meter has ability to indicate measured value. Meter can be an DUT or an Etalon, other using of meter is not possible.


Converter

Converter represents an instrument connected between a signal bus and another instrument. It can change a function, a value or parameters coming into another instrument. It is possible to arrange more converters after each other. The converter is defined by three points (functions), by an input, by an output and by its own setting. The converter is transforming an input to an output and it can work in both of directions. The converter connected with the standard is always being differentiated by red color in the Instrument scheme.

Converters are divided into two types:

Real converters represent real instruments. They are to be set to functions which is not void. A current shunt (a resistor transferring voltages to currents) can be given as an example. The real converters can have a defined specification (it is its accuracy) and this specification is being counted as one of measurement uncertainty components. These converters must have their card filled up in the source mode.

Virtual converters are intended only for conversion of one function to another one or for value recalculations. They are being set to the „void“ function and their instrument cards are not be filled up either in source nor meter mode. There are no real instruments and they have zero error because of it. A converter converting two-terminal resistors to four terminal ones can be used as an example. We must use it if we need check a two-terminal measuring instrument by a four-terminal standard. Namely the Caliber program requires the same function set on all the instruments.

Note: The program does not allow transducer connecting with the DUT. However such a limitation can be avoided by another range of a measuring instrument to be calibrated (e.g. 5 kV range for a multi-meter with a high-voltage probe).


Switch

Switch is an instrument which can be operated along with other ones during a calibration, but it has not any influence to calibration results (it is not any standard, any DUT, either a source or a transducer). It can be used as an automated terminal switch etc.


Reference zero

Reference zero – adds special meaning to the selected calibration point. During calibration of this marked point the estimated deviation of an instrument under test shall be saved and it shall be distracted from this instrument in the next calibration points. This deviation doesn´t affect either a standard value or a tested instrument value in the test report, but it affects the deviation and following calculations. It is intended e.g. for resistance decade tests, if it is necessary to read zero resistance values. This point is marked by the [image] symbol in the test report window. The offset is valid for all ranges of the function. Its value is calculated from the moment it hits the calibration point marked "Reference zero" in the calibration.

At the beginning of calibration:

Xoff = 0.0

In calibration point marked with [image] symbol, following calculation is performed:

Xoff = Xu - Xs

In every calibration point next correction will be applied used for deviation calculation:

Xu = Xu - Xoff

Xoff -,reference zero

Xu - measured value of DUT

Xs - measured value of Standard


Main window

After start CALIBER program, Main screen will appear and automatically ”Procedure” module is displayed.

Main Window consists of three parts:

· Main menu – menu is located in top line. Items from the menu are used for program modules starting. Editing function and help feature is located here too.

· Working area – active program windows are displayed here.

· Status bar – bar is located in bottom line. It shows some informations like calibration point order or keyboard status.

Required function can be activated by clicking (mouse left button) on the appropriate item in menu. Control of program uses common used features of system Windows.

From ”Window” menu all modules of CALIBER can be started:

Procedure

Instrument card

User functions

Wizard rules


File (menu)

The only item is:

Exit - quits all program.


Modify (menu)

Modify item with its menu is available only, when program is in an edit mode.

Undo - cancels last performed operation

Redo - executes last cancelled operation

Cut - removes signed text and insert into clipboard

Copy - copies signed text into clipboard

Paste - inserts text from the clipboard on place of mouse cursor

Select all - signs text as block.

Find - searches in displayed text

Replace - automatic exchange in selected text

Configuration - displays the Global program properties panel.


Window (menu)

This menu contains four program modules. All modes of CALIBER can be started here.

Procedures - module for work with calibration procedures.

Instrument cards - module for work with instrument definition.

User functions - module for work with measuring functions.

Wizard rules - module for work with rules for calibration procedure generation.


Help (menu)

Help item serves for displaying of build-in help.

Caliber help F1 - it displays content of Help.

Show ToolTips - when it is ticked, short help is displayed during cursor moving across the icon, button, etc.

About Caliber - it will display information about program version and it allows program registration.


Configuration

The "Configuration" panel is for global setting of the program properties. The settings are valid unless overwritten with the settings in the "Procedure" module.

The "Configuration" panel is divided into seven tabs:

General

Test report

Regional

Logs

Calibration data

Shortcuts

Font & Colors


Configuration - General

The "Configuration" panel is for global setting of the program properties. The settings are valid unless overwritten with the settings in the "Procedure" module.

General - you can set the path to data files, search for ports on your computer, and other settings.

Program execution mode – determines the program execution mode. If the WinQbase mode is selected and the Caliber program does not establish communication with the WinQbase program after starting, the file mode is automatically set. The change will take effect only after the next program launch. There are these three modes:

File Mode – in this mode all instrument cards and procedures are stored directly in files. Cooperation with WinQbase is not supported in this mode.

WinQbase 3 – in this mode all instrument cards and procedures are stored in WinQbase version 3 and lower database. In this mode, Caliber is not started directly, but from WinQbase.

WinQbase 4 – in this mode all instrument cards and procedures are stored in WinQbase version 4 and upper database. In this mode, Caliber is not started directly, but from WinQbase.

Title appendix – allows you to enter additional text, which will then be displayed after the program name in the top bar of the main window and in the lower Windows bar. It serves to better identify the program.

The path to data files – determines the location of the data files, such as instrument cards, procedures, user functions, and calibration point generation rules. The program will only open those files that are in the folder. You can not open files from other folders.

Automatic search for ports on your computer – allows you to set up the search for available ports when choosing them. Settings are made for RS232, GPIB and VISA.

Do not search – the program will not detect the presence of physical ports or devices.

Search for names only – searches for the presence of physical ports, GPIB device addresses, VISA device identifier.

Search Enhanced Properties – the offer is only available for VISA ports and allows you to get some additional information by trying to open the port.

Round mode – allows you to choose the default mode when rounding columns in the output test report. The modes are the same as in the Rounding panel, which is available in the Procedure module. The settings you make here will only apply if this setting is not set in the Procedure module or the "Default Settings" in the Procedure module is performed.

Allowed calculation – determines the method of calculating the allowed DUT deviation for meters.

Relative to nominal value – the DUT deviation is determined by the value measured by DUT.

Relative to Standard value – the DUT deviation is determined by the value measured by Standard.

Meter Deviation - determines the method of calculating the meter deviation, if the tested device is a meter.

DUT-Etalon - DUT deviation is determined by subtracting the measured value of Etalon from DUT

Etalon-DUT - DUT deviation is determined by subtracting the measured DUT value from Etalon

Source Deviation - determines how the meter deviation is calculated if the device under test is a source.

DUT-Etalon - DUT deviation is determined by subtracting the measured value of Etalon from DUT

Etalon-DUT - DUT deviation is determined by subtracting the measured DUT value from Etalon

Standard range - Determines the range to be selected on the reference meter during calibration.

By nominal value - the range will be adjusted according to the nominal value of the calibration point. Range = nominal value * multiplier.

By DUT specification - the range will be set according to the allowed DUT deviation indicated on the device card. Range = nominal value + allowed DUT deviation * multiplier.

Multiplier - the multiplier used to determine the range. If the option

By nominal value is selected, then the range of the multiplier is from 1 to 2. If the option

By DUT specification is selected, then the range is from 1 to 20.

Thermometer - allows you to set the configuration of the temperature meter in the Caliber program. The temperature is automatically exported in the XML format, or it can be written to the test report using a note.

Check - checks the presence of the air conditioner on the selected COM port and, if found, reads the current temperature and humidity.

COM port - allows you to select the COM port to which the air conditioner is connected.

Temperature unit - the temperature unit can be selected. It only appears in the procedure note. In XML format, the fixed unit is ° C.

Temperature - the temperature currently read from the thermometer - it is necessary to activate the "Check" button.

Humidity - the humidity currently read from the thermometer - it is necessary to activate the "Check" button.

Save – all settings made on all tabs will be saved and set as "Default".

Close – closes the panel and ignores the changes if the changes are not saved with the "Save" button.


Configuration - Test report

The "Configuration" panel is for global setting of the program properties. The settings are valid unless overwritten with the settings in the "Procedure" module.

Test report - allows you to set the form of the test report, the names and order of the columns, the evaluation symbols and their comments.

Test report form – the visual form of the resulting report without measured data with all symbols used. You can change the settings by double-clicking the left mouse button on the required test report line. If one of the rows is missing (by setting it out), you can include it using the buttons below the test report window.

Test report columns – allows you to set the number of columns, their widths and names. To edit, the Test report columns panel is used. This panel is the same as in the Procedure module. The settings you make here are used only if the settings in the Procedure module is not set or the "Default setting" is performed in the Procedure module.

Footer caption – allows you to customize the default "Symbol description" footer caption that appears at the end of the test report.

Unstable reading – allows you to set a symbol and comment for a calibration point that has been showing unstable readings.

Value relative to range – allows you to set the symbol and comment for the calibration point that used the calculation of the deviations relative to the range and not to the value. Such a symbol is used only when the relative evaluation of the variations (in percent) is set and the measured value is close to zero.

Canceled by operator – allows you to set the text that appears at the end of the test report if the calibration has not been completed and the calibration runs under WinQbase.

Statement of Conformance - defines the options for evaluating compliance with the requirements for each calibration point

None - the statement will not be established at all.

Binary statement for Simple acceptance rule - the statement can have two states and does not take into account uncertainty or guard band.

Pass - the measured value is below the acceptance limit (the acceptance limit is the same as the tolerance limit).

Fail - the measured value is above the acceptance limit (the acceptance limit is the same as the tolerance limit).

Binary statement with Guard band - the statement can have two states and takes into account the guard band (w).

Pass - the measured value is below the acceptance limit (acceptance limit = tolerance limit - guard band).

Fail - the measured value is above the acceptance limit (acceptance limit = tolerance limit - guard band).

Non-binary statement with Uncertainty - the statement can have three states and takes measurement uncertainty into account.

Pass - the measured value increased by the uncertainty is below the tolerance limit.

Pass with uncertainty - the measured value is in the zone of tolerance limit and uncertainty.

Fail - the measured value reduced by the uncertainty is above the tolerance limit.

Non-binary statement with Guard band - the statement can have four states and takes into account the guard band.

Pass - the measured value is below the acceptance limit (acceptance limit = tolerance limit - guard band).

Conditionally pass - the measured result is within the guard band and at the same time below the tolerance limit.

Conditionally fail - the measured result is within the guard band and at the same time above the tolerance limit.

Fail - the measured result is above the tolerance limit increased by the guard band.

Pass – allows you to set the symbol and comment for the result of the calibration point that it has complied with.

Fail – allows you to set the symbol and comment for the result of the calibration point that failed.

Pass with uncertainty – allows you to set a symbol and comment for the result of a calibration point that has complied with the error margin + - measurement uncertainty.

Conditionally pass – allows you to set the symbol and comment for the conditionally passed calibration point result.

Conditionally fail – allows you to set the symbol and comment for the conditionally failed calibration point result.

Guard band (w)- specifies the calculation of the guard band for statements that contain it. By default, the guard band is equal to the uncertainty. The calculation can be changed using the Guard band formula editor. The guard band can also be defined in the procedure using the Evaluation panel.

CSV export - in this section there are settings for protocol export in CSV format.

Include notes - if the box is checked, then the notes contained in the procedure will be exported to the CSV file.

List separator - defines a character that is used as a column separator in the CSV file. By default, the ";" character separator applies to the CSV format. Microsoft Excel uses a separator that is in the Windows locale settings. For this purpose, there is an option to check the "Auto" box and Caliber will read the settings from Windows registry.

Decimal separator - defines a character to be used as a decimal separator in CSV numbers. Microsoft Excel uses a separator that is in the Windows locale settings. For this purpose, there is an option to check the "Auto" box and Caliber will read the settings from Windows registry.

Test report language – allows you to select the configuration file for the language and the form of the test report. The file contains all settings from the "Test report" and "Regional" tabs.

Save – all settings made on all tabs will be saved and set as "Default".

Close – closes the panel and ignores the changes.


Test report language

The "Test report language" panel is used to create a list of languages used during calibration. The language is reflected in the calibration test report. The program can be set so that the panel is displayed each time the program is started, so that the language version of the report can be selected. The panel can also be called up at any time from the Configuration - Test report.

Add - adds a new file name to the list. The name must be in the format report_ <language name>.

Remove - removes the language definition file from the list and deletes the file.

Import - imports an existing "report.ini" file selected by the user to the position selected in the list.

Export - exports the selected report _ *. Ini file from the list to the file selected by the user.

Show menu at startup - if the box is checked, Caliber will display this panel each time it is started and the user can choose the language.

OK - closes the panel.


Comment

The "Comment" panel is used to set the test report comment. With this panel, you can also set the evaluation symbols that can be displayed on each line of the test report.

Comment – an edit field for writing the desired comment text. The comment appears at the end of the test report if it is valid for actual test report. It is also possible to create multi-line comments. The comment type can be seen in the comment title and is selected in the Configuration - Test report. The comment may show the "<@>" string anywhere, which will be replaced with the selected symbol in the output test report. The symbol can be entered in this panel or in the Global procedure settings.

Show and evaluate this comment – disables or allows the display of this type of comment in the test report.

Symbol – allows you to enter a symbol for the selected comment type.

Reset to default – sets the default comment and symbol for that comment type, and closes the panel.

OK – the settings will be transferred to the Configuration - Test report panel and the panel will close.

Cancel – closes the panel and ignores the changes.


Configuration - Regional

The "Configuration" panel is for global setting of the program properties. The settings are valid unless overwritten with the settings in the "Procedure" module.

Regional - allows you to set localized forms of function names, parameters, and units. These national forms will then be displayed in the exported test report. Functions, parameters, and units are used in the User functions module and are key to Caliber system identification and Instrument card and Procedure sharing worldwide. It is therefore necessary to use English names for them. Therefore, the "Regional" tab is used to locate them in the locale. The location is then divided into four additional tabs for better clarity.

Functions – a list of all Caliber functions. Functions are defined in the User functions module. This tab can be used for translation into the national format to be used in the test report when exporting. If the translation is not done, the original name will be used.

Parameters – a list of all parameters - quantities. Parameters are defined here - both English and National, and can then be used to create a new function in the User function module. Parameter translation is used on all Caliber panels.

Units – a list of all units of quantities for use in the system. Units can be added and edited here, and their English and National forms are entered if needed. Units are entered without prefixes, because prefixes are created automatically by the system.

Prefixes – unit prefixes are pre-set for each language, but can be changed.

Save - all settings made on all tabs will be saved and set as "Default".

Notes - allows you to translate sentences, parts of sentences and individual words that are used in the procedure note.

Date format - allows you to set the date format used in the procedure note.

Test report language – allows you to select the configuration file for the language and the form of the test report. The file contains all settings from the "Test report" and "Regional" tabs.

Close - closes the panel and ignores the changes.


Configuration - Logs

The "Configuration" panel is for global setting of the program properties. The settings are valid unless overwritten with the settings in the "Procedure" module.

Logs - logs are used to set up and view calibration log entries. This is not a regular export of test reports, but additional calibration information. They allow you to store individual instrument readings, or to preserve unrounded results. Records are created in the background while calibration runs without user intervention. Recording is done in a text file and initialized when the procedure is opened.

What will be logged – determines the contents of the record.

Disabled – logs will not be created.

Test report line – each row is saved in the same format as for test report export. The difference is that the rows of the log are sorted according to the calibration run and not by the Status Window.

Standard readings, DUT readings, Test report line – stores each row in the same format as the test report export, supplemented by individual Standard and DUT readings.

Standard readings, DUT readings, Test report line without rounding – stores each row as when the test report is exported, but the results are not rounded, the standard and DUT readings are filled in.

Test report line without rounding – stores each row as when the test report is exported, but the results are not rounded.

Output file name – name of the file with logged records:

Protocol.txt – the fixed name "Protocol.txt" is used to the "Local" folder where the program is installed.

Result.txt – the fixed name "Result.txt" is used to the "Local" folder where the program is installed.

LogXXXXXX.txt – dynamic file name - XXXXXX is a six-digit number that is constantly increasing from number 1 above. The path to the files is set by the "The path to log files" setting.

The path to log files - folder to which records are stored. The settings are only available for files with the dynamic file name "LogXXXXXX.txt".

List of test reports - a list of all the files found in the folder designated for logging.

File name - the column contains the names of the text files that are in the logs folder. Clicking on the column heading sorts the records by filename.

Procedure - the name of the procedure that the log was made with. Clicking on the column heading sorts the records by the procedure name.

Size - size of log in bytes. Clicking on the column heading sorts the records by file size.

Date - date the log was created. Clicking on the column heading sorts the records by date.

View - opens the selected file selected for viewing.

Log communication with devices - enables logging of communication of all devices to a file.

Save - all settings made on all tabs will be saved and set as "Default".

Close - closes the panel and ignores the changes.


Communication log

This tool can be used to log all Caliber remote communication. It is therefore possible to log communication with devices via RS232, GPIB, VISA (USB) buses.

The tool is enabled on the Configuration - Logs panel.

Logging is done to files named log_YYYY_MM.txt, where YYYY is the current year and MM is the current month. The files are stored in the Local folder, which is located at the location of the program installation.

The file contains information:

Opening a port:

OPEN <port><date>

Closing the port:
CLOSE <port>

Sending commands to devices:

WR <time><date> <port> <data>

Reading data from devices:

RD <time> <date> <port><data> reading via GPIB and VISA buses
RS <time> <date> <port><data> reading via the RS232 bus terminated by a gap in the transmission
RT <time> <date> <port><data> reading via the RS232 bus ended by reading the terminating character
RM <time> <date> <port><data> reading via the RS232 bus, ending by reading the required number of characters
RX <time> <date> <port><data> reading via the RS232 bus ended with the expiration of the timeout
RC <time> <date> <port><data> reading via the RS232 bus interrupted by the user

Error information:

INFO <bus> <port> <information>

Note: Non-displayable characters found in the data are displayed using the alternative code 'A<code>'. E.g. the LF character is displayed as 'A10'.

The date is in the format <month>-<day>-<year>


Configuration - Calibration data

The "Configuration" panel is for global setting of the program properties. The settings are valid unless overwritten with the settings in the "Procedure" module.

Calibration data - on this tab you can view and edit calibration data for instrument cards. You can also see the expiration date of their calibration. A detailed description of the calibration data can be found here.

The path to calibration data files – the folder where all instrument calibration data are located.

List of calibration data files - all * .cal files located in the selected folder.

File name – this column contains the file names of the calibration data that are in the specified folder. Clicking on the column heading sorts the records by file name.

Model – list of devices found in calibration data files. Clicking on the column heading sorts the records by model.

Serial number – serial number to the model found. Clicking on the column heading sorts the records by serial number.

Expiration date – the date on which the instrument calibration data is valid. If the date has already expired, an exclamation point in the yellow triangle appears before the name of the calibration file. Clicking on the column heading sorts the records by the expiration date. This may be appropriate for detecting instruments with expired calibration.

Refresh – reconsiders the calibration data folder and updates the list.

Modify – opens the selected file to edit. The meaning of the individual rows in the file is described here.

Save - all settings made on all tabs will be saved and set as "Default".

Close - closes the panel and ignores the changes.


Configuration - Shortcuts

The "Configuration" panel is used for global setting of program properties.

Shortcuts - on this tab it is possible to view and edit keyboard shortcuts to commands in the Procedure or Instrument card module. It is not possible to create two identical keyboard shortcuts within one module, but it is possible to create the same keyboard shortcut for the Procedure module and for the Instrument card module.

List of commands - a list of commands for which it is possible to create a keyboard shortcut. In the right part of the list is the currently assigned keyboard shortcut.

Create - opens the edit panel for creating a keyboard shortcut to the currently selected command. The editing panel will be called up even after double-clicking the left mouse button on a command in the list.

Remove - cancels the keyboard shortcut to the currently selected command.

Save - saves all settings made on all tabs and sets them as "Default settings".

Close - closes the panel and ignores the changes made.


Keyboard shortcut

The "Keyboard Shortcut" panel is used to set a keyboard shortcut from the Configuration - Shortcuts panel. It is possible to create a keyboard shortcut either as a single key or in combination with the Shift, Ctrl, Alt key. Some key combinations can generate identical codes, in which case the program notifies you. Some keyboard shortcuts are used by the system (Ctrl + C, Ctrl + V, etc.) and are not allowed to control program commands. The shortcut is not case sensitive. The panel displays the keyboard shortcut interactively on the screen.

OK - uses the keyboard shortcut for the preselected command and closes the panel.

Cancel - closes the panel and ignores the changes made.


Configuration - Font and colors

Configuration - Font & Colors

The "Configuration" panel is used for global setting of program properties.

Font & Colors - on this tab it is possible to set the font and colors for the entire program.

List of color settings – list of all objects for which the color can be set. All colors are saved in one file with the extension *.col. If the setting "Use system theme" is checked, some colors follow this theme and cannot be set individually.

Color scheme – list of all saved color schemes. The program uses a light scheme by default, which cannot be edited. However, it is possible to save this scheme under a different name and then set individual colors. The program also comes with a "Dark" scheme that uses dark colors. After selecting a scheme, a list of color settings will populate. By selecting a setting, its color will automatically appear in the "Color" field. The color can then be adjusted with the button next to this field for objects whose color can be set. All colors are saved in one file with the extension *.col.

Color – the currently set color for the item from the list on the left. It is not possible to set the colors for the default scheme. If "Use system theme" is selected, some colors may not be applied.

Use system theme– sets the appearance and some colors according to the system settings. With this setting, it is not possible to change some colors and is therefore not suitable for dark themes.

Save as– allows you to save the color scheme under the selected name. Saved schemes are automatically included in the list of schemes. Schemes are saved in files with the extension *.col in the "Local" folder, which is a subfolder of the installed Caliber program.

Delete – deletes the current scheme from the computer disk. The scheme will thus not be able to be used any further.

Show – will display the currently selected color scheme. The button can be used repeatedly during the color search process.

Global font settings

Sample text – serves to preview the selected font.

Font bold – display the font in bold. This setting is ignored on some objects, if the font is set individually according to the Caliber rules.

Font size – sets the font size globally on all panels. This setting is very important and also determines the basic size of all panels. It therefore serves as a scale according to the resolution of the monitor. The default size is 9. For a common resolution of 1920 x 1080, a suitable font size is 12. The maximum font size is determined by the screen resolution (a large font cannot be set on a small monitor resolution).

Font name – allows you to set the font name globally. The default font of the program is "Arial" and is recommended. Some fonts do not support rotation, and therefore tab titles that are oriented vertically will not be displayed. In the program, it is on the Configuration - Regional settings panel.

Save- will save all settings made on all tabs and set them as "Default Settings". If a new color scheme is selected, it will be displayed immediately. This button does not save color schemes to files. To do this, you must use the "Save as" button. If changes are made to individual colors, it is necessary to use the "Save as" button.

Close - closes the panel and ignores the changes made.


Procedure Module

The module is used for calibration of DUT, based on already existing calibration procedures. Except it, module enables also editing and testing of new calibration procedures.

Calibration procedure is file, which contains list of functions, ranges and points in the ranges which are to be calibrated, instruments used for calibration and their connection. Other features of the instruments used for calibration in the calibration procedure like method of control (manually, RS232, GPIB), specification (accuracy on various ranges and functions) and limits of ranges belong to the Instrument card.

Module “Procedure” controls all communication between PC and instruments. It makes all measurement evaluation, uncertainty evaluation and generates calibration certificate. During calibration, appropriate data can be typed into fields (if it is prescribed in calibration procedure), program can be cancelled, one or more calibrating functions, ranges or points can be left out. Also break points where program interrupts calibration can be set. Order of calibrated functions, ranges, points, number of repeated readings, used instruments and method of uncertainty evaluation can be changed during calibration too.

Program module ”Procedures” can be controlled with mouse or via keyboard. By pushing the button ESC currently running calibration procedure is interrupted.

Screen description of the ”Procedure” module

Status window - located in upper left corner of the module. It displays the procedure structure (hierarchy) – procedure -> function -> ranges -> cal. points.

Instrument scheme - located in the upper middle part of the module. It displays instruments used for the calibration and their configuration.

Information line - located in the middle part of the module. It describes just performed operation during the calibration.

User prompt window - located under Information line. It displays Operation instructions for the calibration, eventually an input window to set values.

Test report - located in the lower part of the module. The test report contains the calibration points under the sequence of their performance.

Camera - located in the upper right corner of the module. In a Camera window there is displayed a running video from the camera (if a camera scanning is used).

Readings - located in the right. It displays particular measured values during calibration.

Statement of Conformance - located in the lower right part of the module next to the protocol window. Graphically displays the result of the calibration point. The statement can be shown or hidden using the [image] button.

Navigation bar - located at the bottom of the module under the Protcol window. Displays a summary of the calibration points and allows selecting them according to the calibration result.


Status window (Procedure)

It is intended for displaying of tested functions, ranges or points of an instrument under calibration according to the displayed hierarchy level. The window´s hierarchy is: Procedure->Function->Range->Value. The procedure has the highest hierarchy level, the value the lowest one. Click with the mouse on the procedure name (usually the name of an instrument under test) shall perform switch the display to calibrated functions. Click on a selected function shall display ranges of this function and further is possible to go to particular calibration points. The button with symbol [image] is intended for back movements. During transition to lower hierarchy level there shall be also displayed contents of the superior level and contents of the actual level is separated by a horizontal line. If the “Value” level is selected, there shall be a “procedure name” in the first line, a “function name” in the second one, a “range” in the third one, after it a separator follows along with all the values belonged to the calibration range. The actual hierarchy level is determined by an inscription in the upper part of the window. On the right side of the inscription there is a list of icons symbolizing the particular procedure adjustment. These icons correspond with particular columns of the status window in which a position of this particular adjustment is being indicated by the „*“ symbol. This setting can be changed by the right mouse click on the selected line of the status window. The last icon (righmost) symbolizes the instrument scheme and its setting cannot be changed by means of the status window menu, but in the instrument scheme only. One can see all the particular adjustments valid for the given calibration point best inclusive the level for which that change has been permitted, if the status window level of “Value” has been selected. For each of the calibration points it is valid only the adjustment defined at the lowest level. If the adjustment is defined for a given value, it shall be used and the superior adjustment shall be ignored. If an adjustment is not defined for a point but for a range, an adjustment valid for the range shall be used etc. If the highest level is selected, i.e. the procedure, the procedure´s description is displayed under the procedure´s name. This description can be changed. There is used to be given a version, an author, e-mail or other additional information about the procedure.

There are control buttons in bottom part of status window.

Press the right mouse button in the status window to display the following menu according to the selected line:

Add value… it shall add another item into the calibration procedure. The item can be a function, a range, eventually another value. It depends on the just displayed hierarchy level “function-range-value”.

Modify… it make possible to change a selected item (range or value).

Delete… it shall remove a selected item (a function, a range, a value) from the list.

Move up it shall shift a selected item to the first upper position.

Move down it shall shift a selected item to the first lower position.

Measurement parameters... it shall set an extension coefficient for calculation of uncertainties, measured numbers add allowed specification utilization for selected items (procedures, ranges, values). The individual setting is indicated by asterisk under appropriate icon.

Additional uncertainty… set parameters of an uncertainty calculation for selected items (functions, ranges, values). The individual setting is indicated by asterisk under appropriate icon.

Pause… inserts a stop point into the calibration flow. The individual setting is indicated by asterisk under appropriate icon.

Exclude / Include allows to skip a value, range or function during calibration. The Exclude is indicated by asterisk under appropriate icon.

Quantity prefix... Value prefix allows to set a prefix (micro, mili, kilo etc.), which shall be used in a test report. The prefix can be defined only for the range level and it shall be valid for the whole range. The prefix is defined only in exceptional cases because it is automatically set by the program according to the range´s size. The individual setting is indicated by asterisk under appropriate icon.

Measurement mode... is a list of actions being performed by the Caliber program during the calibration. The individual setting is indicated by asterisk under appropriate icon.

Evaluation...defines measured values and specifications of an DUT, a Standard and an auxiliary standard. The individual setting is indicated by asterisk under appropriate icon.

Rounding...allows to change the rounding method for particular columns of the test report. The individual setting is indicated by asterisk under appropriate icon.

Test report note... allows writing additional information in an output test report. The individual setting is indicated by asterisk under appropriate icon.

Global procedure settings… settings valid for the whole calibration procedure.

Procedure wizard… allows add a functions (and their ranges and values) into the calibration procedure. A user can by means of it add other calibrated functions into an existing procedure and the wizard shall automatically generate calibrated ranges and values. There is not possible to use it for editing of existing functions which are already contained in the calibration procedure. The functions, which are contained in the procedure, are no way affected. The functions added by the wizard shall be ranged always at the procedure end.

Export... performs export of the calibration procedure structure into a text file. The file contains a function, a range, a value and standards used for each of calibration points.

Note: Some above described settings (Measurement parameters, Additional uncertainty, Pause, Exclude/Include, Measurement mode, Evaluation, Rounding) can be set in level of whole instrument, function, range or calibration point.


Measurement parameters

Measurement parameters - allow individually set measurement parameters in level Procedure - Function – Range – Calibration point depending on procedure status window.This panel is accessible via procedure status window.

Extension coefficient – extension coefficient of calibration uncertainty. Implicit value is 2.0 (see calibration uncertainty).

No. of valid SU readings – it means how many repeated readings are being performed by the Standard measuring instrument. If a source is used as Standard, this value is ignored and only one reading will be made. Implicit value is 10 readings.

No. of discarded SU readings - the number of measurements that will be discarded at the standard. The default value is one.

No. of valid DUT readings – it means how many repeated readings are being performed by the DUT measuring instrument. If a source is used as DUT, this value is ignored and only one reading will be made. Implicit value is 10 readings.

No. of discarded DUT readings - the number of measurements that will be discarded at DUT. The default value is one.

Note: 10 repeated measurements are recommended to right evaluation of the calibration uncertainty of A type. Only in this case the uncertainty shall be calculated accurately according to the EA-4/02 document.

% of DUT accuracy– means allowed percentage of specification, where the DUT is considered as ”in specification”. For example if parameter is changed from implicit value 100 % to the value 70 %, program checks if measured deviation of DUT is inside 70 % of specification and only in this case the calibration result in the calibration point is ”PASS”.

OK - closes panel and saves changes.

Reset to default - closes panel and removes previously defined measurement parameters.

Cancel - closes panel and discards changes.


Additional uncertainty

This window allow individually set Uncertainty in level Function – Range – Calibration point depending on procedure status window.

Components for calibration uncertainty calculation are following:

Uncertainty type A – uncertainty of type A, see standard EA-4/02 for uncertainty definition. Fix value can be type here, if this type of calibration uncertainty is known. If uncertainty is not known, set ”0”. Enter uncertainty in such unit, which is displayed in the caption.

Uncertainty type B – uncertainty of type B, see appropriate standard for uncertainty evaluation. Fix value can be type here, if this type of calibration uncertainty is known. If uncertainty is not known, set ”0”. Enter uncertainty in such unit, which is displayed in the caption.

OK - closes panel and saves changes.

Reset to default - closes panel and removes previous setting.

Cancel - closes panel and discards changes.

Note: As far as units is concerned, there are two possibilities. Either is requested uncertainty type A in relative expression, i.e. in ”%”, or in absolute expression, i.e. in unit of the function (for example for voltage function you will be asked to enter value in ”V”). Which type of expression is used depends on definition of the function (it can be relative or absolute, see list of functions in User functions module, field ”Quantity”). This rule is valid both for uncertainty of type A and B as well.

See also

Calibration uncertainty


Pause message

Pause message - inserts a stop point into the calibration flow. Pause message can be set via procedure Status window. To set a pause, an operator shall fill up a text message (a report) or select a file to be displayed. The file can be a text document (TXT) or a figure (JPG, GIF, BMP, DIB). The message or file shall be displayed if the program during calibration performance met a point (a function, a range) designed as “Pause message”.

Message– text that will be displayed during calibration.

File – file content will be shown during calibration. File can be of TXT, JPG, GIF, BMP or DIB extension. By right mouse click over the file listbox, next menu will be shown:

Preview - selected file will be displayed

Import - new file will be imported to list

Delete - selected file will be removed from list

OK - closes panel and saves changes.

None - closes panel and removes previously defined message.

Cancel - closes panel and discards changes.


Exclude / Include

This feature allows you to skip a calibration point, full range, or function while the calibration procedure is running. Omission is indicated by the symbol Exclude. The settings are made in the Status window of the procedure. Excluded points can be included globally in the calibration using the Extended protocol variable. If the variable is set to 1 (greater than 0.5), then all calibration points are performed, regardless of the "Include / Exclude" property setting. The variable can be set in the Open macro of any device. The most common use is the DUT, which determines if it contains an option that requires calibrating for additional functions or ranges. After opening the procedure, the Extended protocol variable is set to the value 0 - ie the excluded calibration points are not performed.


Quantity prefix

Quantity prefix - allows to set a prefix (micro, mili, kilo etc.), which shall be used in a test report. The prefix can be defined only for the range level (in the procedure status window) and it shall be valid for the whole range. This setting relates to the Range, Standard and DUT column of test report. Other columns have prefix lower by degree. The prefix is defined only in exceptional cases because it is automatically set by the program according to the range´s size. It is possible to change the quantity prefix furthermore via Rounding panel for every column individually.

Quantity prefix used in Test report

atto 1e-18

femto 1e-15

pico 1e-12

nano 1e-9

micro 1e-6

mili 1e-3

not used 1

kilo 1e3

mega 1e6

giga 1e9

tera 1e12

OK - closes panel and saves changes.

Reset to default - closes panel and clears previous setting.

Cancel - closes panel and discards changes.


Measurement mode

Measurement mode is a list of actions being performed by the Caliber program during the calibration. The program has a defined measuring sequenceto be performed during the calibration. The measurement mode allows to add and remove actions (Set, Measure, Switch output on, Switch output off) for particular instrument categories (sources, meters, converters, DUTs, standards) or for a particular instrument from the instrument scheme. For mode modifications it is suitable to use instrument categories, (if it is possible), not particular instrument types to maintain the measurement mode valid even if the instrument scheme gets changed. Operation sequence is to be changed easily. In addition to, a section of operations being repeated (at most 3times) can be defined if some measurement proves to be unstable for some of the measuring instruments in the section. This is demonstrated by red markings in the left part of the task lists. Also a few those sections can be defined, e.g. for each of the measuring instruments separately. The operation shall be performed during the calibration only if there is an instrument of that category in the “Instrument scheme”, if e.g. no converter is used in the instrument scheme, if no operation shall be performed on the converters and the program shall not report it as an error. Measurement mode panel is accessible via procedure status window.

Devices – instrument category or instrument name for which action is performed.

Action – operation that will be performed. See Measurement mode Actions.

Conditions – condition (if some) that must be satisfied.

By pressing the right mouse button on the required action next menu will be displayed:

Add - allows add new action to task list.

Modify - allows action modification.

Remove - removes selected action from task list

Begin of Measure loop - selected action will be denoted as Begin of Measure loop.

End of Measure loop - selected action will be denoted as End of Measure loop.

Remove Measure loop - it removes begin or end of loop.

Connection scheme - it defines calibration break upon Connection scheme change:

Auto - calibration running will be interrupted if no instrument switch will be used in instrument scheme. Otherwise it will not.

Disable - calibration running will not be interrupted by connection scheme change.

Enable - calibration running will be interrupted by connection scheme change.

OK - closes panel and saves changes.

Reset to default - closes panel and removes individual settings of measurement mode.

Cancel - closes panel and discard changes.


Measurement mode Action

Action is one operation performed during calibration. List of all actions is contained in Measurement mode panel.

Devices– it can be selected a general category (a standard, an DUT, a source…) or a particular instrument suitable for this action (M3800). General categories are the following:

Sources - an action shall be performed on all the sources.

Meters - an action shall be performed on all the measuring instruments.

DUTs - an action shall be performed on an instrument under test (it can be a meter, a source or a converter).

Standards - an action shall be performed on all the standards (it can be a meter or a source).

Switches - an action shall be performed on all the switches.

Converters - an action shall be performed on all the converters.

Action – it can be selected one of the following options:

Set – it shall set a function, a range, a value and parameters of the instrument (not available for a switch).

Fine set – for additional setting of an analog measuring instrument (only for sources available).

Switch output on – it shall switch instrument´s terminals on (only for sources and converters available).

Switch output off – it shall switch instrument´s terminals off (only for sources and converters available).

Measure – it shall perform a set of measurements or one measurement in case of a source (not available for a switch).

First half measure – it shall perform the 1st half of a set of measurements (only for meters available).

Second half measure – it shall perform the 2nd half of a set of measurements (only for meters available).

Set A - it shall perform A setting (only for a switch available).

Set B - it shall perform B setting (only for a switch available).

Set C - it shall perform C setting (only for a switch available).

Set D - it shall perform D setting (only for a switch available).

Conditions – it shall be a condition defined, under which an operation is to be performed:

None – an operation shall be always performed.

DUT is analog meter – an operation shall be performed if the DUT is an analog measuring instrument.

DUT is not analog meter – an operation shall be performed if the DUT is not an analog measuring instrument.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Measuring sequence

For every point a measuring is being performed in these steps:

a) Adjustment of the automatic terminal switch (if it is used).

b) Adjustment of a function and range of the converters (if they are used).

c) Adjustment of a function and range of the measuring instruments.

d) Adjustment of a function and range of the sources.

e) Switch on output terminals of sources (if a source is equipped with this option).

f) Additional adjustment during an analog meter instrument test (the DUT must be used as an analog measuring instrument).

g) Counting of all the converter values (if they are used).

h) Counting of a standard value. If a source is in standard function, one measurement shall be performed (a value set on the source shall be counted). If a measuring instrument is a standard, set of measurements shall be performed.

Note: If the standard measurement instrument is manually controlled, a half of measurements written down in the “Standard measurement number” item shall be performed. If the measurement number is odd, a half of measurements rounded up shall be performed.

If the standard measurement instrument is controlled another as manually way, one extra measurement shall be performed before the measurement set itself. This first measurement shall not be cont towards other evaluations.

i) Counting of a tested instrument value: If a source is instrument under test, one measurement shall be performed (a value set on the source shall be counted). If a measuring instrument is a standard, set of measurements shall be performed.

Note: If the instrument under test is manually controlled, number of measurements written down in the “DUT measurement number” item shall be performed. If the instrument is controlled another as manually way, one extra measurement shall be performed. This first measurement shall not be cont towards other evaluations.

j) If a meter is a standard, set of measurements by this standard instrument shall be performed. Mean of both measurement sets (h,j points) shall be set as the standard value.

Note: By means of a standard measuring instrument a half of measurements written down in the “Standard measurement number” item shall be performed. If the measurement number is odd, a half of measurements rounded down shall be performed. Measurement number doesn´t depend on instrument´s way of control.

k) Calculations and measurement checks in terms of value scatter shall be performed (see below). If discrepancy is found, the process shall be repeated from h point.

l) Switch off output terminals of sources (if a source is equipped with this option).

Note: If a user interrupts the program in middle of described process run (by pressing the ESC key during calibration), the output source terminals shall go always off.

If a gross error occurs at evaluation (5 times larger deviation than the allowed error), the program stops (implicit global procedure settings) and check of this point can be repeated. If the procedure is set that even in case of gross error it is continuing, the program is continuing to the next check point.

A user can change a measuring procedure from the Measurement mode panel in the procedure status window. A measuring procedure can be changed for one calibration point, range, function or the whole procedure.


Evaluation

Evaluation - defines measured values and specifications of an DUT, a Standard and an auxiliary standard. The program automatically assigns values for the DUT and the Standard. Values of the auxiliary standard are in principle zeros. Only in case that converter is used as DUT, an instrument connected behind the converter (DUT) is automatically set as an auxiliary standard. In that case as a standard serves a measuring instrument or a source connected with a converter´s input. A user can change any items from the list and these values shall be part of uncertainty calculations or they can serve as values in the Test report. Evaluation panel is accessible via procedure Status window.

Value - list of editable values:

DUT value (Xu) – measured value of an DUT contained in the Test report

DUT uncertainty (Uua) – uncertainty calculated from a measurement set

DUT accuracy (Dmax_u) – limit error of an DUT proven from the instrument card

DUT one digit (Dig_u) – size of one digit proven from the instrument card

Standard value (Xs) – measured value of a standard contained in the Test report

Standard uncertainty (Usa) – uncertainty calculated from a measurement set of the standar

Standard accuracy (Dmax_s) – limit error of a standard proven from the instrument card

Standard one digit (Dig_s) – size of one standard digit proven from the instrument card

Standard converter accuracy (Dmax_c) – standard uncertainty due the limit error of a converter

Auxiliary standard uncertainty (Uta) – uncertainty calculated from a measurement set of the auxiliary standard

Auxiliary standard accuracy (Dmax_sa) – limit error of an auxiliary standard proven from the instrument card

Auxiliary standard one digit (Dig_sa) – limit error of an auxiliary standard proven from the instrument card.

Guard band (w) - used to determine the calibration point statement. More information on the Configuration - Test report panel.

Note: If the “Auto” assignment is selected, the program shall assign the values from measurements and instrument cards as supposed. Individual abbreviations are explained in the chapter Calculation symbols.

Modify - allow to change selected value. New assignment is done via Evaluation formula panel or the Guard band formula panel when editing the Guard band.

Reset to default - close panel and set all values to "Auto".

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Evaluation formula

In this panel an equation for calculation of required values can be defined. It can be possible to add common mathematic functions (sin, cos, log), numeric values (0…9), mathematic operators (+-*/), instrument parameters (e.g. a measured value, an uncertainty, an accuracy) or global parameters (if there are any parameters for a particular level in a particular function, e.g. a frequency). All these items can be combined together and create more complicated equations. In the figure there is a calculation example for a standard value. There are three standard instruments (HP3458 as a voltmeter, DAT1281 as an ampere-meter, PHM as a phase meter) for calculation of a resulted power P=U*I*cos(Ø). This panel is accessible via Evaluation.

Formula- box located in the upper part of the panel. This box contains resulting formula. The formula can not be edited here but only viewed.

Device parameters - list of all available instruments and their parameters. Every item takes following form: instrument_name(instrument_index).parameter. Instrument name and index is taken from Instrument scheme. Parameters can be:

Value - main measured value of instrument

Uncertainty - measurement uncertainty

Accuracy - instrument accuracy taken from instrument card

One digit - one digit resolution taken from instrument card

Global parameters - list of all parameters valid for actual function

Exp - exponent

abs - absolute value

sin - sinus

cos - cosinus

tan - tangens

PI - pi (3.14)

asin - arcus sinus

acos - arcus cosinus

atan - arcus tangens

^ - power

sqr - square root

ln - natural logarithm

log - base-10 logarithm

/ - divide

* - multiply

- - subtract or minus sign

+ - add

CE - removes last item from resulting formula

C - clears all formula (in this case automatic assignment will be applied)

OK - closes panel and saves changes

Cancel - closes panel and discards changes

Note: Remember that instrument parameters are in units of the particular instruments but the result value must be always in global units, i.e. that valid for the DUT. Goniometrical functions count an angle always in radians. If a parameter is in grades, it must be recalculated.


Guard band Formula

On this panel, it is possible to define the equation for calculating the guard band. The formula can be defined globally for the entire program on the Configuration - Test report panel or in a procedure from the Evaluation panel. Common mathematical functions (sin, cos, log), numerical values (0...9), mathematical operators (+-*/), selected parameters of the measuring point can be added. It is possible to combine all these items together to create more complex equations.

Guard band (w)- box located in the upper part of the panel. This box contains resulting formula. The formula can not be edited here but only viewed.

Parameters- a list of selected parameters that are obtained at the end of each calibration point from the measurement results. The parameters can be the following:

Uncertainty - extended measurement uncertainty

Allowed - maximum permissible DUT deviation

DUT value - measured value of DUT

Standard value - the measured value of the standard

Global parameters - list of all parameters valid for actual function

Exp - exponent

abs - absolute value

sin - sinus

cos - cosinus

tan - tangens

PI - pi (3.14)

asin - arcus sinus

acos - arcus cosinus

atan - arcus tangens

^ - power

sqr - square root

ln - natural logarithm

log - base-10 logarithm

/ - divide

* - multiply

- - subtract or minus sign

+ - add

CE - removes last item from resulting formula

C - clears all formula (in this case automatic assignment will be applied)

OK - closes panel and saves changes

Cancel - closes panel and discards changes

Note: Remember that instrument parameters are in units of the particular instruments but the result value must be always in global units, i.e. that valid for the DUT. Goniometrical functions count an angle always in radians. If a parameter is in grades, it must be recalculated.


Rounding

Rounding - allows to change the rounding method for particular test report column. A column can be selected from a column list within also the used rounding method is contained. Rounding panel is accesible via procedure status window.

Column - list of test report columns with appropriate rounding format.

Format - user or automatic rounding selection

Auto - there are three automatic formats:

Mode A

DUT – according to the DUT digit numbers or the uncertainty (shorter expression), a unit like a range

Standard – according to the DUT digit numbers or the uncertainty (shorter expression), a unit like a range

Allowed – according to the uncertainty, a unit order lower than a range

Deviation – according to the uncertainty, a unit order lower than a range

Uncertainty – two valid digits, a unit order lower than a range

Limits - shortest possible expression, a unit like a range (the limits are placed into "Allowed column" in test report)

Mode B

DUT – according to the DUT digitnumbers, a unit like a range

Standard – according to the standard digit numbers, a unit like a range

Allowed – two valid digits, a unit like a range

Deviation– two valid digits, a unit like a range

Uncertainty – two valid digits, exponential expression, a unit like a range

Limits - shortest possible expression, a unit like a range (the limits are placed into "Allowed column" in test report)

Mode C

DUT – according to the DUT digit numbers, a unit like a range

Standard – according to the DUT digit numbers, a unit like a range

Allowed – according to the uncertainty, a unit order lower than a range

Deviation – according to the uncertainty, a unit order lower than a range

Uncertainty – two valid digits, a unit order lower than a range

Limits - shortest possible expression, a unit like a range (the limits are placed into "Allowed column" in test report)

User - if the “User” mode is selected for a selected column, following options shall appear:

Number expression – determines display type

Without exponent - exponent will not be used in expression (120.5)

With exponent - exponent will be used in expression (1.205e+2)

Decimals – number of digits behind the decimal point

Digits– total number of significant digits either in front of or behind the decimal point (uncertainty is usually expressed with 2 significant digits)

Quantity prefix– it can be selected a particular prefix (mili, micro, kilo) or a prefix in relation to the prefix used for the range. If the „mili“ prefix is selected for the range along with the „<Like range-1>“ item, it shall be used the „micro“ prefix, if the „< Like range -2>“ item is selected, it shall be used the „nano“ prefix.

Atto – 1e-15

Femto – 1e-12

Pico – 1e-9

Nano – 1e-6

Micro – 1e-3

None – 1e+0

Kilo – 1e+3

Mega – 1e+6

Giga – 1e+9

Tera – 1e+12

< Like range -3> - range * 1e-9

< Like range -2> - range * 1e-6

< Like range -1> - range * 1e-3

< Like range > - range

OK - closes panel and saves changes.

Reset to default - closes panel and removes previously defined rounding.

Cancel - closes panel and discard changes.

Note: Default rounding mode is "Auto" format - Mode A


Test report Note

Test report note - allows writing additional information in an output test report. Panel is available via procedure status window. There is a text box in upper part of window. This text box shows selected note in form the note will be displayed in test report too. Caption of this text box is composed of column labels, so user can create notes in accordance to this lay-out. Up to four notes can be defined in this panel for individual placement of note. Note can consits of one or more lines.

Place – position of a note in terms of the output record. Notes for "Begin of protocol" and "End of protocol" placement are evaluated only once per all calibration. Note specification is marked with an icon. There are following options:

Begin of protocol – a note shall be situated at the beginning of the test report

Before measure – a note shall be situated in front of the calibration point

After measure – a note shall be situated behind the calibration point

End of protocol – a note shall be situated at the end of the test report

Note item– list of note items composed for given placement. Order of the items can bechanged here, items can be added, modified and removed.

Add – inserts a new note item

Modify – modifies selected note item

Remove – removes selected note item

Remove all – removes all note items for particular placement

Export – exports the contents of the "Note item" window into the file. The file will have the *.nte extension.

Import – imports note from the file. The note can be imported only from earlier exported files (* .nte).

Before importing you need to select "Place".

Replace calibration result by note – this checkbox allows to suppress exporting calibration results. Insted of the calibration result this test report note is exported. Despite this suppression all calculations are done and individual calibration columns can be placed into note.

Show conditions on e new line – determines the way the measured standard value and measurement parameters are written into test report. If the content of the tandard" column is too long and would not fit into the specified column width, so the contents of the column splits into two lines, the first one will contain measured standard value and the second one measurement arameters. This behavior can be set to one of the following options:

Automatically by length - a new line is created only if the content of the "Standard" column is too long.

Always - new line is created each time and measurement parameters are always placed on the newline.

Never - the new line will never be created. If the parameters do not fit in the "Standard" column, remaining parameters will be cut.

OK - closes panel and saves changes.

Reset to default - clears previously declared note so note from higher hierarchy (if any) will be valid.

Cancel - closes panel and discard changes.


Note item

Note item - is discrete part of all note. Panel is available via Test report Note.

Note item type – a basic element from which a note can be composed:

Text – a fixed text inserted into the test report note

Inquiry – it shall display an inquiry during a calibration and an answer to it shall be inserted into the test report note

Date – an actual date shall be inserted into the test report note from the computer

Time – an actual time shall be inserted into the test report note from the computer

Value – a numeric value of an instrument parameter shall be insertedinto the test report

New line – crossing to a new line shall be secured in the test report note

Column – test report column shall be inserted into test report note

List of Standards - places any of the parameters from the List of Standards

Temperature - current temperature read from the connected thermometer

Humidity - current humidity read from the connected thermometer

Style - used to set the font style in the test report. The settings are written to the XML protocol. The use of the style is determined by the external program that will process the XML protocol, it has no influence on the Caliber program.

Text – text that will be inserted into test report or query message that will be shown during calibration (see Note item type).

Instrument – instrument together with parameter define numeric value that will be inserted into the test report. List of instruments is given by an actual instrument scheme.

Parameter (for "Value" note item type) – parameter of an instrument:

value - average value taken from set of readings

uncertainty - uncertainty calculated from measurement set

accuracy - limit error proven from the instrument card

one digit - size of one digit proven from the instrument card

reading1...20 - individual reading made during calibration

serial number - serial number of the instrument obtained through Open / Close macro. The serial number can also be entered on the instrument card in the status window in a note as the text Serial number: xxx.

Parameter (for "List of Standards" note item type) – parameter of a Standard:

Begin - indicates the beginning of the list of standards

Order - one based Standard device index

Model - item is read from the calibration data file

Manufacturer - item is read from the calibration data file

Serial number - item is read from the device or from the procedure

Due date - item is read from the calibration data file

Description - item is read from the calibration data file

Calibration certificate - item is read from the calibration data file

End - indicates the end of the list of Standards

Column – test report calibration column inserted into note:

Function - function of DUT

Range - range of DUT

Standard - measured standard value and list of function parameters. Before calibration it contains nominal value of calibration point.

DUT - measured DUT value

Deviation - deviation of DUT relative to Standard

%spec - "Deviation" to "Allowed" rate expressed in percentage (= Deviation / Allowed * 100 %)

Allowed - allowed accuracy of DUT

Uncertainty - total uncertainty

Symbol - test report symbols such as "~" - unstable reading, "R" - all calculations done relative to range or PASS vs FAILED.

From – "from" and "to" allows to take substring from source string. "From" - means initial position of the source string (1 - based index).

To – means end position of the source string (1 - based index).

Length – length of the source string which shall be inserted into the note. If the source string is shorter, it shall be completed by spaces, if it is longer, it shall be shortened.

Justify – it shall set a justification of the source string to the total length:

Left – justification to the left, spaces shall be on the right side of the string

Right – justification to the right, spaces shall be on the left side of the string

Center – justification to the middle, spaces shall be on both the sides of the string

Format - this button brings up Number format panel that allows define display form of numeric value. Available only for "Value" note item type.

OK - closes panel and saves changes.

Cancel - closes panel and discard changes.


Number format

Number format - allows to define the way the number is displayed.

Number expression – determines display type

Without exponent - exponent will not be used in expression (120.5)

With exponent - exponent will be used in expression (1.205e+2)

Decimals – number of digits behind the decimal point

Digits – total number of significant digits either in front of or behind the decimal point (uncertainty is usually expressed with 2 significant digits)

Quantity prefix – it can be selected a particular prefix (mili, micro, kilo). Available prefixes:

Atto – 1e-15

Femto – 1e-12

Pico – 1e-9

Nano – 1e-6

Micro – 1e-3

None – 1e+0

Kilo – 1e+3

Mega – 1e+6

Giga – 1e+9

Tera – 1e+12

OK - closes panel and saves changes.

Reset to default - closes panel and removes previously defined format.

Cancel - closes panel and discard changes.


Global procedure settings

This setting is valid for the whole calibration procedure. In terms of the global set, program´s behavior can be estimated if a deviation or communication error occurs. If the particular fields are checked, the calibration shall be interrupted by these events and operator´s action is required. If it be to the contrary, the calibration shall continue with another calibration point. An implicit setting means that the calibration shall stop in case of any error. A part of global settings is furthermore a sign, which characterizes calibration results at the end of every report lines.This panel is available via popup menu of procedure Status window.

Stop on - calibration can be interrupted by following conditions:

Deviation error – a measured value of DUT exceeds the allowed error more than five times

Communication error - an instrument doesn´t communicate with the computer along the bus or an instrument response is not valid

Statement of Conformance - defines the options for evaluating compliance with the requirements for each calibration point. A detailed description of individual options is on the Configuration - Test report panel.

Use Program Configuration settings - if the field is checked, the settings are made globally for all procedures on the Configuration - Test report panel.

Replace default symbols- allows to replace globally defined symbols with own settings for one procedure. Symbols are then written to the test report in the "Symbol" column during calibration. To change the symbol, it is necessary to check the box before the name of the statement. If the field is not checked, the default symbol is displayed.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Connection scheme

During calibration the procedure Status window is being substituted by the “Connection scheme” window. There are described used connecting terminals for every active instrument here. For each change of terminal connections, a text description of a new connection appears, the program performance stops and an operator is prompted that the terminals are to be reconnected. Connecting terminals informations for every instrument are gathered from Instrument cards.

Note: Remember that the Caliber program shall not display the “Connection scheme” window when the switch-instrument is being used in Instrument scheme. If you want to display this window though, it shall be selected the “Enable” item in the “Connection scheme” field in the “Measurement Mode” panel.


Control buttons (Procedure)

Control buttons - located in the bottom part of procedure status window:

New – runs procedure wizard for new procedure creating.

Open – displays a dialog for opening a file.

Save – saves into file (database) changed procedure.

Save as – saves into file (database) changed procedure under new name.

Reload instruments – reloads all instrument cards used in edited procedure. Function should be used if Instrument card is changed during editing the procedure. Just opened procedure remembers Instrument card in original form, not in newly changed. Its actualisation can be performed by pushing this button or with new opening the whole procedure.

Run calibration – starts executing calibration procedure. Calibration procedure can be started from any calibration point or it can continue from any of these points. This feature is in some cases limited (when calibration procedure is running from database WinQbase).

Recalibrate point – starts executing one calibration point. This function is useful after all calibration is done for recalibration individual calibration point.

Skip forward – skips following calibration point forward without affecting measured values (available in WinQbase system only).

Skip backward – return to the last calibration point and allow recalibrate it (available in WinQbase system only).

Import – imports calibration procedure which was created previously with button ”Export”. The procedure is in format ”pre”. This format contains instrument cards and definition of functions. This format is suitable for transferring procedures among users. It is not necessary to use this function, when calibration procedure creation and calibration executing is done on the same computer.

Export – exports procedure in format ”pre”.

Back – It is used for moving from lower level to the higher level in hierarchy procedure – function – range – point. Moving down (from higher level to lower level) can be performed with clicking of mouse button while mouse pointer is placed on selected item.


Open dialog

This dialog box appears when you open any file in the Caliber. It is used for filtering and easier searching desired file. Files can be sorted by clicking the left mouse button on the title of the column. When pressed repeatedly on a column, sort order is performed from the end.

Sort - sort items in ascending or descending order. If the list has more columns, you can also choose appropriate column.

Name - name of the file to be opened.

Date - last modified date of the file (this column is not available when the program is running in a database environment).

Find Next - finds the next file in the search list. Search algorithm is smart and if you write more words separated by spaces, then looks up the name in which they are used all the written words. The program ignores the "- _. ,; " characters. But if any of these characters are used in search, then these characters are also included in search. Search is not case sensitive.

Show only filtered items - this function allows you to reduce the list of items by search term. This is a two-state button and the program remembers its settings. In the depressed position, the list is complete and searching can be done using the "Find next" button. In the pressed position, the list is automatically reduced by the specified expression.

OK - closes panel and opens selected file.

Cancel - closes panel with no file selected.


Instrument Scheme

Instrument scheme - is graphical layout of instruments used for calibration. Every instrument here has name (taken from instrument card), bus control denotation (GPIB, RS232, VISA, Manual, Camera), index to be easy identified and a graphic interpretation of signal connecting among the instruments.

All in the procedure used instruments shall be connected together in terms of the signal which is demonstrated by a connecting line of grey (6) or orange (5) color. The orange line means that the instrument is connected with the master bus, i.e. all values are set exactly as the DUT (2) is, also as it is determined by the calibration procedure. The grey line means that values have been transformed by the converter (3) and they can differ from the DUT. Several converters can be serial connected and the values can be step by step transformed in direction always from the master bus. For better clarity it is possible after selection of a particular calibration point to move a mouse cursor on the instrument and look at how quantity and value the instrument shall be set on (having transformed by the converter).

Press the right mouse button on an instrument to show the following menu:

Add instrument - shall ad another instrument participating in the calibration. The operation can be performed on level of procedure, function, range or point. The required level must be preset in the Status window. A new instrument is valid only for a level on which it has been added. It can be made a quite particular instrument configuration (e.g. for one check point). Instrument names written in thick letters are valid for a just active level. Instrument names written in thin letters are defined on higher level.

Remove instrument - shall remove instrument participating in the calibration. The operation can be again performed on level of procedure, function, range or point and it is valid for this level only. E.g. an instrument removing on the range level shall not affect other ranges and function any way. Removing all the instruments on the given level shall cause that they shall be implicitly set according to the higher level.

Configure instrument - shall open a panel for change of an instrument, its use and its way of control.

Copy - copies actual Instrument scheme into clipboard

Paste - inserts Instrument scheme into actual procedure level from clipboard

Set default Instrument scheme – a particular instrument scheme on existing level shall be cancelled and the scheme shall be also set according to a superior definition.

List of Standards - scans all the instruments used in the procedure for the presence of calibration data and displays the List of Standards .

Open- performs instrument opening by carrying out of the “Open” macro. This item is especially intended for camera opening or for tuning purposes. Instrument´s opening and closing shall be performed automatically during a calibration.

Close- performs instrument closing by carrying out of the “Close” macro. This item is especially intended for tuning purposes. Instrument´s opening and closing shall be performed automatically during a calibration.

Setup - item shall be active only for automatic control ways (RS232, GPIB, VISA a Camera). It defines parameters for particular interface setting.

Close all instruments - closes all currently open devices.

Note: The Instrument scheme must consist of DUT , Standard and Source (if neither DUT nor Standard is Source at the same time). The program performs check during calibration and error is displayed if these rules are not fulfilled. Optionally Converters and Switches can be also used.


Instrument configuration

Instrument configuration - allows instrument type, use and control selection. Instruments are configurable via Instrument scheme.

Instrument – list of all available instruments (there is the “Instrument card” for it). Instrument can be selected from the list. The instrument under test (DUT) can be also used without an instrument card but it si not recomended. Instrument without card has following restrictions:

· the instrument use must be DUT

· this instrument can be controlled only manually

· uncertainty of DUT are not included in Uncertainty calculation and should be replaced by Additional uncertainties

· the "Allowed" and "% spec" test report columns are not filled

· terminals of DUT are not taken in the connection scheme, so user should define the Pause messages insted of them

Note: There is the „*“ sign in front of a name of the instrument without a card.

Filter - list of the instruments can be reduced by a filter entered here.

Instrument use - instrument use during calibration:

DUT - DUT as a meter

Source - source instrument, which is not used neither as DUT nor as Standard

Standard - standard instrument as a meter

DUT and Source - DUT as a source

Standard and Source - standard as a source

Converter - converter

Switch - switch instrument

DUT and Converter - DUT as a converter

Instrument response - the way, the instrument measurements are taken:

Camera

RS232

GPIB

VISA

Manual

Instrument control - the way, the instrument is set:

RS232

GPIB

VISA

Manual

Connected to - assigns a "master bus" or converter which is an actual instrument connected to:

None - the instrument is not connected anywhere. This is temporary setting and the instrument must be later reconnected.

Master bus - the instrument is connected to main signal bus (i.e. function and parameters for this instrument will be the same as DUT)

<converter name> - the instrument is connected in a given converter (i.e. functions and parameters are transformed by converter)

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Instrument scheme - samples

a) Calibration of the METEX M3800 multi-meter by the M140 calibrator

The calibrator is being used as a source and as a standard at the same time. It is controlled through RS232 bus (COM2 of the computer). Values from the measuring instrument are counted by a camera.

b) Calibration of the M612 decade by the DATRON 1281 multi-meter

The decade represents an instrument under test and a signal source at the same time. It is controlled through RS232 bus (COM1 of the computer). The precise multi-meter of DATRON 1281 connected with GPIB bus of address 22 represents a standard.

c) Calibration of the multi-meter HP34401 by the multi-meter DATRON 1281 and the calibrator M130

HP34401A is an instrument under test. The multi-meter DATRON 1281 is being used as a standard and the calibrator M130 as a signal source. All the Instruments are connected through GPIB bus.

d) Calibration of 20A range of calibrator M140 by the multi-meter DATRON 1281 with shunt BURSTER 10 mOhm

M140 is an instrument under calibration and a signal source at the same time. DATRON 1281 with shunt 10 mOhm is a standard measuring instrument. All the instruments except from the converter are connected through GPIB bus.


Information line

There is an Information line below the Instrument scheme which describes just performed operation during the calibration. Typical message is like "Setting source...", "Setting Output on...", "Reading standard..." etc. Under this line the User prompt window is located, which completes whole message.


User prompt window

This window is located in procedure module. This window is intended for showing information during calibration.

In case of showing black exclamation mark in yellow field, the user is asked to act upon instructions displayed here and then proceed by pressing "Enter" key. By pressing "Esc" key the calibration is stopped.

In case of showing black question mark in yellow field, the user is asked to fill in actual instrument value and then proceed by pressing "Enter" key. By pressing "Esc" key the calibration is stopped.

During analog meter calibration when remotely controlled source is used next window should be displayed.

For analog measurement instrument calibration the program allows additional continuous adjustment for every calibration point on a signal source that a measuring pointer is in alignment with match mark of the calibration point. Additional adjustment of the source can be carried out by a mouse. Eleven keys situated in the “User prompt” window are intended for that purpose. The adjusted value can be reduced by means of five keys with the left arrow and increased by the right five keys. The keys have different sensitivity. The outer keys have the largest step (corresponding with the tested measuring instrument class). The adjoining keys have 4 times lower sensitivity of the step. The analog instrument having set to the calibration point, an operator press the “OK” button and the program shall read the conventionally right value of measured quantity from a standard instrument. The deviation of the measuring instrument shall be calculated as value difference.

The additional adjustment can be also performed by means of a keyboard:

Left – decreasing of the source output value

Right – increasing of the source output value

Up – increasing of the step

Down – decreasing of the step


Test report window

It displays all the calibration points and measured values. This window is sequentially filled with measured and calculated values. Sequence of particular point performance can be changed. These changes don´t affect the form of the resulted test report which is to be arranged according to functions, ranges and values being adjusted in the status window. If you wish to change calibration point sequence, move the mouse cursor on a shift field [image] situated in the left side of every line in the test report widow. Keep the left mouse button pressed and move the mouse up and down to transfer the selected point. Suitable check point rearrangement makes the calibration itself easy because number of output terminal reconnections can be minimized.

The right mouse button having pressed on the test report, the following menu appears:

Export TXT – exports the calibration results in the form of a text file that is suitable for printing directly. You must use a monospace font when printing. Output file form is given by column selection and their sequencing.

Export XML – exports calibration results as an XML file. This file contains the most information about the calibration process.

Export CSV – exports the calibration results in the form of a Comma-Separated Values file. This file is suitable for import into Excel.

Columns – allows select and arrange only necessary report columns during its export.

Remove sorting – seriates test report lines according to the procedure status window. Calibration run shall be performed in the same sequence as the points have been defined.

Reference zero – the calibration point marked in this way measures the offset, which will then be applied to the DUT value at each subsequent point. This point is marked by the symbol [image] in the test report.

Calibration view - displays the Calculation view panel, which is used to display measured values and individual calculations in detail.


Test report Columns

Test report columns - arrangement of test report columns during export. On this panel, you can set column order, name, width and alignment.

Available columns – list of all unfiled columns.

Function - function of DUT

Range - range of DUT

Standard - measured standard value and list of function parameters. Before calibration it contains nominal value of calibration point.

DUT - measured DUT value

Deviation - deviation of DUT relative to Standard

%spec - "Deviation" to "Allowed" rate expressed in percentage (= Deviation / Allowed * 100 %)

Allowed - allowed accuracy of DUT

Uncertainty - total uncertainty

Symbol - test report symbols such as "~" - unstable reading, "R" - all calculations done relative to range or PASS vs FAILED (see Global procedure settings)

Selected columns – list of columns that will be contained in test report. Order of columns can be rearranged using following symbol [image]. Double-click on any line item to start column editing.

Column - the default column name that can not be changed.

Alias ​​- name of the column that is exported in the test report and can be set by user. If not set, then the default column name is used.

Width - the width of the column in the test report.

Justify - alignment of the column.

- selected item from the "Available columns" listbox moves into the "Selected columns" listbox, it means the column will be included in test report.

- removes column from the "Selected columns" listbox.

If the text does not fit in the Standard column - "Standard "column contains the measured value and additional measurement parameters. Use this tool to select the symbols that are used when the "Standard" column is divided into two lines due to the long text. This behavior affects also "Show condition on a new line" setting on the Test report Note.

Abbreviation in the Standard column - this abbreviation will fill in "Standard" column next to the measured value of the standard. It is possible to enter the empty text.

Footnote to a new line - the text that is entered at the beginning of a new line followed by the measurement parameters. It is possible to enter the empty text.

Modify - allows you to set the properties of the selected column.

Reset to default - sets the default column properties and closes the panel.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Test report form

The test report can take several forms (TXT, XML, CSV). The basic is the text form. This is displayed in the procedure module in the test report window. This format can also be exported to a text file. The protocol uses a single header, which is composed of individual columns. Columns can be changed for the exported file. The individual lines of measured values follow under the heading.

For every line a measurement uncertainty is stipulated and it is given if the particular measurement fulfills the measuring instrument specification. Accuracy of a standard represents an essential part of the measurement uncertainty.

Test report sample:
Function|   Range|              Standard|           DUT|   Deviation|%spe|    Allowed|Uncertainty|
----------------------------------------------------------------------------------------------------
  VDC-2W|  200 mV|               20.0 mV|       20.0 mV|       -0 uV|   0|     200 uV|     62 uV| ok
  VDC-2W|  200 mV|              180.0 mV|      180.6 mV|      620 uV|  62|    1003 uV|     71 uV| ok
  VDC-2W|  200 mV|             -180.0 mV|     -180.7 mV|     -690 uV| -69|    1003 uV|     69 uV| ok
  VDC-2W|     2 V|               0.200 V|       0.200 V|    -0.00 mV|   0|    2.00 mV|   0.58 mV| ok
  VDC-2W|     2 V|               1.800 V|       1.807 V|     7.00 mV|  70|   10.04 mV|   0.58 mV| ok
  VDC-2W|     2 V|              -1.800 V|      -1.807 V|    -6.80 mV| -68|   10.03 mV|   0.64 mV| ok
  VDC-2W|    20 V|                2.00 V|        2.00 V|      0.0 mV|   0|    20.0 mV|    5.8 mV| ok
  VDC-2W|    20 V|               10.00 V|       10.04 V|     40.0 mV|  66|    60.2 mV|    5.8 mV| ok
  VDC-2W|    20 V|               18.00 V|       18.07 V|     70.0 mV|  70|   100.4 mV|    5.8 mV| ok
  VDC-2W|    20 V|               -2.00 V|       -2.00 V|      0.0 mV|   0|    20.0 mV|    5.8 mV| ok
  VDC-2W|    20 V|              -18.00 V|      -18.07 V|    -71.0 mV| -71|   100.4 mV|    6.1 mV| ok
  VDC-2W|   200 V|                20.0 V|        20.1 V|      100 mV|  50|     201 mV|     58 mV| ok
  VDC-2W|   200 V|               180.0 V|       180.8 V|      830 mV|  83|    1004 mV|     65 mV| ok
----------------------------------------------------------------------------------------------------

Function - function of the instrument under test (VDC-2W, VAC-2W, IDC, .....).

Range - range of the instrument under test. The program shall automatically generate a prefix of quantity value which can be changed in the procedure status window by means of the “Value prefix” panel.

Standard - check point (its standard value) completed by a parameter. If there are more parameters and their values cannot be written into wide of the „Standard“ field, the (*) reference shall be generated and the parameters shall be written as a note in the next line of the test report. Units inclusive prefixes are determined according to the range. Number of displayed positions is being limited by a measurement uncertainty (if the uncertainty is displayed with resolution of 10 mV, the standard value shall also be displayed with this resolution). For measuring instrument is their position number additionally limited by the display position number of the measuring instrument under test. For resulting display there shall be used such a rule which determines the lower resolution. Number of displayed positions and value prefixes can be changed in the “Rounding” panel.

DUT - value having been measured by the instrument under test (an arithmetic mean of more measurements). Units inclusive their prefixes are determined according to their range. Number of displayed positions is limited by a measurement uncertainty (if the uncertainty is displayed with resolution of 10 mV, the standard value shall also be displayed with this resolution). For measuring instrument is their position number additionally limited by the display position number of the measuring instrument under test. For resulting display there shall be used such a rule which determines the lower resolution. Number of displayed positions and value prefixes can be changed in the “Rounding” panel.

Deviation - error of the instrument under test (see section No. 2.5). Number of displayed digits is given by a measurement uncertainty. If absolute evaluation is being used, the used units have their prefix with lower place value than the range. Number of displayed positions and value prefixes can be changed in the “Rounding” panel.

%spe - specification utilization percent (= Deviation / Allowed * 100 %). The value is displayed with percent units. If the specification utilization is higher than 999 %, the value of 999% shall be given.

Allowed - limited allowed error of an instrument under test. Number of displayed digits is given by a measurement uncertainty. If absolute evaluation is being used, the used units have their prefix with lower place value than the range. Number of displayed positions and value prefixes can be changed in the “Rounding” panel.

Uncertainty - extended measurement uncertainty for ku = xxx. Number of displayed digits is limited to two valid positions. If absolute evaluation is being used, the used units have their prefix with lower place value than the range. Number of displayed positions and value prefixes can be changed in the “Rounding” panel.

Symbol - symbolic expression of the result of the calibrating point (the column has no name). The program has the following predefined symbols:

* measured error is higher than the allowed one

~ measured error is unstable

R all errors and uncertainties are in reference to the range

? measured error is in the interval of limit error +/- measurement uncertainty

ok if a check point is ok

P pass

F fail

CP conditionally pass

CF conditionally fail

Symbols can be set globally for all procedures in the Configuration - Test report panel, or individually for each procedure in the Global procedure settings panel.

See also

Test report columns

Quantity prefix

Evaluation

Rounding


Deviation calculations

The way of deviation calculation is fixed determined by the program. Internally the program performs every calculation in units of a measured quantity. If a relative expression is required, a recalculation shall be made according to rules stated in Relative expressions section.

Allowed deviation is determined by the following formula:

Note: In similar way limit deviations of all other instruments shall be calculated (Dmax_s, Dmax_sa, Dmax_c). If a converter is being used, the result shall be converted to units of the measured quantity.

Deviation of an instrument under test shall be calculated according to the following relation (if a source or a meter are being tested):

The calculation can be changed in the Configuration - General panel separately for the meter and the source in the form:

Deviation of an instrument under test shall be calculated according to the following relation (if a converter is being tested):

See also

Calculation symbols

Calibration uncertainty

Relative expressionst

Reference zero


Calibration uncertainty

The way of measurement uncertainty calculation is fixed determined by the program according to EA-4/02. Internally the program performs every calculation in units of a measured quantity. If a relative expression is required, a recalculation shall be made according to rules stated in Relative Expressions section.

For each of the points the standard extended measurement uncertainty has been calculated.

where is

ku - extension coefficient set by the control file (implicitly ku=2)

uc - combined standard uncertainty according to the formula:

ua - general uncertainty of A type. It shall be used only if any of the uncertainty sources of A type is not used in calculations by the program. It can be adjusted separately for every function, range or point under test. In very most of cases, the implicit 0.0 value shall be proper. A user will set this uncertainty in the Additional uncertainties panel. For absolute quantities, the uncertainty equals to the by user given value. For relative quantities the following formula is valid:

ub - general uncertainty of B type. It shall be used only if any of the uncertainty sources of B type is not used in calculations by the program. It can be adjusted separately for every function, range or point under test. If this uncertainty is not defined by a user and an instrument under test is an analog measuring instrument, the program shall automatically set a uncertainty according to a allowed error of the measuring instrument according to the following formula:

If a user set a uncertainty in the Additional uncertainties panel, then for absolute quantities the uncertainty shall equal to the by user given value. For relative quantities the following formula is valid:

uud - uncertainty caused by final resolution of the measuring instrument under test (if a source is the measuring instrument under test, the value equals zero)

uua - uncertainty A type determined from j measurements aj of the measuring instrument under test

usd - uncertainty caused by final resolution of the standard measuring instrument (if a source is the standard, the value equals zero)

usa - uncertainty A type determined from j measurements aj of the standard measuring instrument (if a source is the standard, the value equals zero)

usb - uncertainty caused by the limit standard error

utd - uncertainty caused by final resolution of the auxiliary standard measuring instrument (if a source is the standard, the value equals zero)

uta - uncertainty A type determined from j measurements aj of theauxiliary standard measuring instrument (if a source is the standard, the value equals zero)

utb - uncertainty caused by the limit auxiliary standard error

ucb - uncertainty caused by the limit error of the converter connected with the standard

It is possible to display individual items of uncertainty in the program using Calculation view tool.

See also

Calculation symbols

Relative expressions

Reference zero

Deviation calculations


Relative expressions

Internally the program performs every calculation in units of a measured quantity. If a relative expression is required, a recalculation of absolute values to relative ones in reference to the standard value (Xs). Absolute or relative quantity expression used in test report can be managed in User functions module. Conversion is made according to the following formula:

If Xs is lower than one hundredth of measuring range, the program shall express the value in reference to the range of the instrument under test (Rng_u) during relative estimations. This fact shall be then marked by the „R“ letter at the end of a particular line in the test report:

See also

Calculation symbols

Calibration uncertainty

Deviation calculations


Calculation symbols

This is list of symbols used in calculations:

L1 - relative accuracy from value stated in the instrument card [%] (e.g. 0.1%).

L2 - relative accuracy from range stated in the instrument card [%] (e.g. 0.05%).

L3 - absolute error in units of measured quantity stated in the instrument card (e.g. 5mV).

L4 - absolute error in digit number stated in the instrument card (e.g. 2 digits).

Rng_u - an end range value of the instrument under test in units of measured quantity stated in the instrument card (e.g. 20V).

Dig_u - resolution of one digit of the instrument under test in units of measured quantity. It can be stated direct in the instrument card or it can be calculated from digit number and range (range / digit number), (e.g. 100mV/digit).

Dig_s - resolution of one digit of the standard instrument in units of measured quantity (if a converter is used, then after recalculation by this converter). It can be stated direct in the instrument card or it can be calculated from digit number and range (range / digit number), (e.g. 10mV/digit).

Dig_sa - resolution of one digit of the auxiliary standard instrument in units of measured quantity (if a converter is used, then after recalculation by this converter). It can be stated direct in the instrument card or it can be calculated from digit number and range (range / digit number), (e.g. 10mV/digit).

Dmax_u - accuracy of the instrument under test in units of measured quantity. It shall be calculated according to data stated in the instrument card (see the 2.6.2 Measurement Error Calculation section), (e.g. 100mV).

Dmax_s - accuracy of the standard instrument in units of measured quantity (if a converter is used, then after recalculation by this converter). It shall be calculated according to data stated in the instrument card, (e.g. 10mV).

Dmax_sa - accuracy of the auxiliary standard instrument in units of measured quantity (if a converter is used, then after recalculation by this converter). It shall be calculated according to data stated in the instrument card, (e.g. 10mV).

Dmax_c - accuracy of the real converter in units of measured quantity. It shall be calculated according to data stated in the instrument card converted to measured quantity by the converting function itself. This error equals zero if the converter is under test or a virtual converter (it makes an arithmetic operation only and doesn´t affect the measured quantity).

Xu - value measured (adjusted) by the instrument under test. The value (Xu) equals the adjusted value at the source under test. At the measuring instrument under test it is calculated as measurement medium without gross errors.

Xs - value measured (adjusted) by the standard (if a converter is used, then after recalculation by this converter). The value (Xs) equals the adjusted value at the standard sources. At the standard measuring instruments it is calculated as measurement medium without gross errors.

Xsa - value measured (adjusted) by the auxiliary standard (if a converter is used, then after recalculation by this converter). The value (Xsa) equals the adjusted value at the standard sources. At the standard measuring instruments it is calculated as measurement medium without gross errors.

Note: An auxiliary standard is mostly used for measurement of an output of a converter under test.

Gross error identification is made in terms of comparison of measured values:

where the z is the mean-square deviation

and X are the Xu, Xs or Xsa values.

If the above mentioned condition is fulfilled for any measurement etc., the whole measuring procedure shall be repeated at the given check point. If the measurement set fails even after the third repetition, it shall be used and a „~“ –unstable note appears at the end of the particular line.


Calculation view

This tool can be used to display uncertainty and guard band calculations when determining a measurement result.

The tool can be displayed from the Procedure module by clicking the right mouse button above the Test report or Graphic result window and selecting the item Calculation view.

Extended uncertainty formula - the total expanded measurement uncertainty is calculated according to this formula. The formula is fixed for all procedures.

Guard band formula - this formula calculates the value of the guard band, which is used if the Guard Band Conformity Statement is used. The formula can be defined globally for the entire program on the Configuration - Test report panel or in the Procedure module on the Evaluation panel.

Variables - a list of variables that affect the calculation of the uncertainty or guard band. The list contains three columns, the first is the name of the variable, the second is its abbreviation used in the formulas, and the third is the value of the variable.

Extended uncertainty (U) - the total uncertainty calculated according to the formula.

Extension coefficient (Ku) - uncertainty expansion coefficient. The default value is 2. Can be changed in the Measurement parameters panel.

Uncertainty type A (Ua) - additional measurement uncertainty. Can be changed in the Additional uncertainties panel.

Uncertainty type B (Ub) - additional measurement uncertainty. Can be changed in the Additional uncertainties panel.

DUT one digit uncertainty (Uud) - it is obtained from the DUT instrument card and multiplied by the value 0.29.

DUT Reading uncertainty (Uua) - it is obtained by calculation from all DUT measurements.

Standard one digit uncertainty (Usd) - it is obtained from the instrument card of the standard and by multiplying by the value 0.29.

Standard reading uncertainty (Usa) - it is obtained by calculation from all standard measurements.

Standard accuracy uncertainty (Usb) - uncertainty obtained by calculation from the standard specification.

Auxiliary standard one digit uncertainty (Utd) - it is obtained from the device card of the standard and by multiplying by the value 0.29. Only used if two standards are used to obtain the standard value (transducer calibration).

Auxiliary standard reading uncertainty (Uta) - it is obtained by calculation from all measurements. Only used if two standards are used to obtain the standard value (transducer calibration).

Auxiliary standard accuracy uncertainty (Utb) - uncertainty obtained by calculation from the auxiliary standard specification. Only used if two standards are used to obtain the standard value (transducer calibration).

Standard converter converter uncertainty (Ucb)- uncertainty obtained by calculation from the reference converter specification. It is used only if a real converter is used before the standard (e.g. shunt for measuring currents).

CMC (CMC) - the lowest achievable accuracy of the laboratory. If the resulting calculated expanded uncertainty is less than the CMC, then the CMC value is substituted.

Guard band (w) - value calculated using the guard band formula.

Allowed DUT deviation (Dmax_u) - the maximum permitted DUT deviation obtained from the instrument card.

DUT value (Xu) - the measured DUT value obtained by the average of all measurements.

DUT reading No. n (Xu1...n) - individual measurements of DUT obtained during calibration.

Standard value (Xs) - the measured value of the standard obtained by the average of all measurements.

Standard reading No. n (Xs1...n) - individual measurements of the standard obtained during calibration.

Lower tolerance limit (LTL) - the minimum indicated DUT value that is within the DUT specification.

Upper tolerance limit (UTL) - the maximum indicated DUT value that is within the DUT specification.

Lower acceptance limit (LAL) - the minimum indicated DUT value that is valid for the statement passed.

Upper acceptance limit (UAL) - the maximum indicated DUT value that is valid for the statement passed.

Test uncertainty ratio (TUR) - expresses the ratio of DUT tolerance to measurement uncertainty.

Decision rule (DR) - a rule that determines how the statement about the calibration result of each point is made.

Statement of Conformance (SC) - classification of the measurement result.

Graphical representation of statement - displays the measurement result in graphic form, including measurement uncertainties.

The light blue field including the dark blue field expresses the range of allowable DUT values according to the specifications. In the middle of the blue field is the measured DUT value. The dark blue field marks the guard band within the DUT specification. The pink field indicates a guard band outside the DUT specification. The red field indicates the standard value with an expression of the total uncertainty of the measurement. The meaning of the abbreviations is the same as the meaning of the variable abbreviations. If a decision rule is selected to determine a statement of conformity without a guard band, then the band is not even displayed on the panel. The measurement uncertainty is always displayed.


Test procedure

Test procedure ”TEST” is a part of software. The procedure allows to check correct function of all important program modules of CALIBER. To the tested functions belong correct evaluation of deviations, calibration uncertainty, form of calibration procedure, etc. Test procedure is virtual type and it doesn’t require any instrument.

To use Test procedure follow the instructions:

· Run program module ”Procedures” and open procedure ”Test.pro” (if it does not exist than import them from ”Test.pre” file.

· Push the button ”Start calibration”. Follow messages of the test procedure. When procedure requires a reading, write values in the table bellow, according to the function:

Fuction | Calibration point | Set value
VDC-2W | 10.0 V | 10.01 V
IAC | 1.0 A | 0.98 A
RDC-2W | 100.0 Ohm | 100.0 Ohm

Test procedure run automatically. Result of the test procedure is test report with following contain:

 Function|  Range |            Standard|           DUT|   Deviation|%spe|    Allowed| Uncertainty
-------------------------------------------------------------------------------------------------
 VDC-2W  |    20 V|            10.000 V|      10.010 V|       10 mV|  50|      20 mV|       13 mV ?
    IAC  |     2 A|     1.0000 A; 60 Hz|      0.9800 A|    -20.0 mA|-999|     2.0 mA|      1.3 mA *
 RDC-2W  | 200 Ohm|          100.00 Ohm|    100.00 Ohm|      0 mOhm|   0|   200 mOhm|   127 mOhm ok
-------------------------------------------------------------------------------------------------
    * ... fail
    ? ... deviation in interval allowed deviation +- calibration uncertainty
    ok ... ok

Let´s compare the measured report with the above shown sample. If some discrepancies occur, check if some overwriting (failure) of the „TEST“ procedure doesn´t happen.

According to own consideration of yours, the test reports can be filed. If the test results shall be stored regularly, you win option in terms of program correctness back-check.

Note: The testing procedure is to be imported before its first usage (the „test.pre“ file).


TXT Export

TXT export is one of the three options for exporting calibration results. The file contains formatted values and texts that are suitable for direct printing from any text editor. In the editor, it is necessary to set the monospace font so that the columns are properly aligned.

Only rows that have been calibrated are exported. The list of columns to be exported, their order and width can be defined in the Test report columns panel, which is available either globally in the "Configuration" panel or from the procedure module (by right-clicking on the "Test report" window and selecting item "Columns").


XML Export

XML export is one of the three options for exporting calibration results. This is the most complex type of export, which contains all possible calibration information. It contains information about all measured values and the format that could be used. The file can also contain temperature and humidity if a supported climate meter is connected to the computer and configured (in the Configuration - General settings panel).

The XML file contains the following information::

Protocol <protocol> - the whole test report.

<date> - datetime - the datetime when the procedure was started in the format "YYYY-MM-DDTHH: MM: SS".

<total_time> - integer - the number of seconds from the start of the procedure to the export of the test report.

<idle_time> - integer - number of seconds to wait for service.

<procedure> - text - the name of the procedure by which the protocol was created.

<regional> - text - the name of the configuration file of the test report (report_*.ini), the so-called Test report language.

<statement> - integer - the test report evaluation method, the so-called Statement of Conformity, which can be set globally in the Configuration - Test report panel or for a procedure in the Global Procedure Settings panel.

1 - None

2 - Binary statement for Simple acceptance rule

3 - Binary statement with Guard band

4 - Non-binary statement with Uncertainty

5 - Non binary statement with Guard band

<temperature> - number - temperature in °C measured in the Caliber program. If the Caliber program does not have a temperature meter, then the temperature is not written to XML at all.

<humidity> - number - relative humidity in % RH measured in the Caliber program. If the Caliber program does not have a humidity meter, then the humidity is not written to XML at all.

<prefixes> - text - list of quantity prefixes.

<note> - text - appears if a test report note for the beginning of the test report is defined in the procedure. A note can have a defined style that can be used to format text in an external program. The style is marked with the <styleX> tag. The value of X can take on a value of 0 to 9. E.g. a note that contains: <style1>Heading</style1> has a defined style equal to 1 for the text "Heading". The default style is 0.

Device <device> - list of calibration devices. Only information that is available is recorded.

<item> - information about one device.

<card> - text - device card name *.dev.

<use> - integer - the role of the instrument in calibration.

1 - DUT meter

2 - source

4 - standard meter

8 - DUT source

16 - standard source

32 - converter

64 - switch

128 - DUT converter

256 - standard converter

512 - virtual converter

<serial> - text - serial number of the device.

<cal> - information from the *.cal file assigned to the device card.

<file> - text - file name *.cal.

<model> - text - type of instrument.

<manufacturer> - text - manufacturer of instrument.

<certificate> - text - calibration certificate number.

<validity> - datetime - date of validity of the calibration certificate in format "YYYY-MM-DDTHH:MM:SS".

<description> - text - description of the device.>

Header <header> - test report header.

<column> - information about one column.

<column_id> - integer - a unique identifier of the meaning of the column within the whole system.

1 - Function (corresponds to the <body><row><function> element)

2 - Range (corresponds to the <body><row><range> element)

3 - Standard (corresponds to the <body><row><standard> element)

4 - DUT (corresponds to the <body><row><dut> element)

5 - Deviation (corresponds to the <body><row><deviation> element)

6 - %spec (corresponds to the <body><row><fullfill> element)

7 - Allowed (corresponds to the <body><row><allowed> element)

8 - Uncertainty (corresponds to the <body><row><uncertainty> element)

9 - Symbols (corresponds to the <body><row><symbol> element)

<name> - text - the name of the column as it is printed in the header.

<order>- integer - the order of the column within the header, if the number equals to zero, then the column will not appear in the test report at all.

<width>- integer - column width in characters (does not include the delimiter, which in the text form of the test report forms the character "|").

<justify> - integer - determines how the text of the column is aligned both in the header and in the measured values.

1 - left

2 - right

3 - center

Body <body> - measured calibration results.

<row_count> - integer - the total number of calibration points in the procedure.

<parameter_symbol>- text - it is written in the "Standard" column instead of parameters, if the parameters do not fit in the width of the column and it is necessary to create a new row, see <parameter_mode>.

<parameter_title> - text - it is written to a new line after the calibration point, if the parameters are to be written to a new line, see <parameter_mode>. This text is followed by parameters.

<row> - individual measured calibration points.

Measured values will not be displayed in the test report if the <show> element is zero, but can be replaced by a <note> comment. In this case, the calibration point is considered measured and therefore does not create a reason to activate the <result_canceled> element.

<protocol_order> - integer - the order of the calibration point within the test report.

If the calibration protocol is complete (all points have been calibrated), then this number is from 1 to <row_count>. This value is checked to see if the calibration report is complete, if not, then the contents of the <result_canceled> <comment> element is displayed at the end of the test report.

<calibration_order> - integer - the order in which the calibration point is performed.

<parameter_mode> - integer - determines the behavior of the "Standard" column, ie the <body> <row> <standard> element.

This column shows both the standard value and all additional measurement parameters (<parameter> elements). First the standard value is formatted and then all parameters are added. The delimiter consists of a pair of "; " characters. For the standard value there is a space separator between the value and the unit, but not for the parameters, eg "20.0 mV; 50Hz" (20 mV is the standard value, 50 Hz is the parameter). Because there can be more parameters, they may not fit in the required column width, so a tool for multiline display was created. It is thus possible to write the text defined by the <parameter_symbol> element instead of the parameter, eg "20.0 mV *" if the element = "*" and to write the separate row of the <parameter_title> element on the next line followed by all formatted parameters - it in the name of the configuration file of the output log (report_*.ini), the so-called language of the output log.this case "50Hz".

1 - auto, writes parameters to a new line only if they do not fit in the "Standard" column

2 - always - whenever a parameter appears in the <row> element, it writes it to a new line

3 - never - does not create a new row for parameters and writes as many whole parameters as will fit in the column

<show> - integer - determines whether or not the current calibration point with measured values is displayed.

0 - will not be displayed

1 - will be displayed

<note> - text - a note to be inserted before the calibration point, if defined in the procedure. A note can have a defined style that can be used to format text in an external program. The style is marked with the <styleX> tag. The value of X can take on a value of 0 to 9. E.g. a note that contains: <style1>Heading</style1> has a defined style equal to 1 for the text "Heading". The default style is 0.

<function> - defines the text in the "Function" column.

<function_id> - integer - a unique function identifier throughout the system

<name> - text - function name

<range> - determines the range of the DUT. Formatting the value is described in "Formatting numbers".

<standard> - determines the value of the standard and all measurement parameters. Formatting the value is described in "Formatting numbers".

<reading> - number - are individual measurements of the standard.

<parameter>- specifies all additional parameters. For the method of writing parameters, see element <parameter_mode>. Formatting the value is described in "Formatting numbers".

<parameter_id> - integer - uniquely identifies the parameter within the entire system.

<dut> - specifies the DUT value. Formatting the value is described in "Formatting numbers".

<reading> - number - individual measurements of the DUT.

<deviation> - determines the measured DUT deviation. Formatting the value is described in "Formatting numbers".

<fullfill> - determines the percentage of drawing of the specification. Formatting the value is described in "Formatting numbers".

If the value is greater than 999, then 999 is displayed.

If the value is less than -999, then -999 is displayed.

<allowed> - determines the maximum allowed DUT deviation. Formatting the value is described in "Formatting numbers".

<uncertainty> - this element determines the measurement uncertainty. Formatting the value is described in "Formatting numbers".

<guard_band> - number - this element determines the Guard band for determining the statement of the calibration point.

<symbol> - integer - the sum of binary values that determines the result of one calibration point. Depending on the results, explanations are then displayed at the end of the test report.

The symbol can be the sum of the following values:

1 - pass (the <footer><result_pass> element is displayed at the end of the test report)

2 - fail (the <footer><result_fail> element is displayed at the end of the test report)

4 - pass with uncertainty (element <footer><result_uncertain> will be displayed at the end of the test report)

8 - unstable reading (element <footer><result_unstable> is displayed at the end of the test report)

16 - deviations and uncertainties related to the range (the <footer><result_range> element is displayed at the end of the test report)

32 - conditional pass (the <footer><result_cond_pass> element is displayed at the end of the test report)

64 - conditional fail (the <footer><result_cond_fail> element is displayed at the end of the test report)

Values 1, 2, 4, 32 and 64 can never be set at the same time - always only one of them, the others are additional and can occur anywhere.

<note> - text - a note to be written after the calibration point, if defined in the procedure. A note can have a defined style that can be used to format text in an external program. The style is marked with the <styleX> tag. The value of X can take on a value of 0 to 9. E.g. a note that contains: <style1>Heading</style1> has a defined style equal to 1 for the text "Heading". The default style is 0.

Footer <footer> - footer of the test report, especially explanations of the symbols used in the test report.

<title> - text - appears immediately after the test report.

<result_pass> - appears if one of the calibration points has <symbol> set to 1 - the calibration point complied.

<symbol> - text - specifies the text to be inserted in the "Symbol" column next to the calibration point line.

<comment> - text - appears here at the end of the test report. The expression "<@>" is previously replaced by the element <symbol>.

<result_fail> - appears if one of the calibration points has <symbol> set to 2 - calibration point failed.

<symbol> - text - specifies the text to be inserted in the "Symbol" column next to the calibration point line.

<comment> - text - appears here at the end of the test report. The expression "<@>" is previously replaced by the element <symbol>.

<result_uncertain> - appears if one of the calibration points has <symbol> set to 4 - the calibration point complied with the uncertainty band.

<symbol> - text - specifies the text to be inserted in the "Symbol" column next to the calibration point line.

<comment> - text - appears here at the end of the test report. The expression "<@>" is previously replaced by the element <symbol>.

<result_cond_pass> - appears if one of the calibration points has <symbol> set to 32 - the calibration point complied.

<symbol> - text - specifies the text to be inserted in the "Symbol" column next to the calibration point line.

<comment> - text - appears here at the end of the test report. The expression "<@>" is previously replaced by the element <symbol>.

<result_cond_fail> - appears if one of the calibration points has <symbol> set to 64 - calibration point failed.

<symbol> - text - specifies the text to be inserted in the "Symbol" column next to the calibration point line.

<comment> - text - appears here at the end of the test report. The expression "<@>" is previously replaced by the element <symbol>.

<result_unstable> - appears if one of the calibration points has <symbol> set to 8 - unstable measurement.

<symbol> - text - specifies the text to be inserted in the "Symbol" column next to the calibration point line.

<comment> - text - appears here at the end of the test report. The expression "<@>" is previously replaced by the element <symbol>.

<result_range> - appears if one of the calibration points has <symbol> set to 16 - specifications and uncertainties are calculated relative to the range.

<symbol> - text - specifies the text to be inserted in the "Symbol" column next to the calibration point line.

<comment> - text - appears here at the end of the test report. The expression "<@>" is previously replaced by the element <symbol>.

<result_canceled> - text - appears at the end of the test report if one of the calibration points is not performed.

<note> - text - it is the text defined in the procedure, which is included at the very end of the test report. A note can have a defined style that can be used to format text in an external program. The style is marked with the <styleX> tag. The value of X can take on a value of 0 to 9. E.g. a note that contains: <style1>Heading</style1> has a defined style equal to 1 for the text "Heading". The default style is 0.

Number formatting - values contained in the XML test report can be formatted using this information in the same way as used in the TXT.

<format> - integer - way of expressing the number.

1 - the number is formatted in floating point form 124.254

2 - the number is formatted in exponential form 1.24254e + 00

<prefix> - integer - specifies the prefix of the quantity.

1 - atto

2 - femto

3 - pico

4 - nano

5 - micro

6 - mili

7 - none

8 - kilo

9 - mega

10 - giga

11 - tera

12 - penta

All values of all elements are given without a prefix. It is therefore necessary to convert the value first, eg with the prefix mili it is necessary to multiply the value 1000 times. The text prefix is added before the unit.

The list of text prefixes is in the <prefixes> element, the value 1 corresponds to the first value, ie for prefixes = "a, f, p, n, u, m ,, k, M, G, T, P", 1 = a, 2 = f, 3 = p ...

<decimals> - integer - number of decimal places.

<round> - integer - rounding method

1 - rounding to the nearest value (eg for <decimals> = 2 the values will be 1.9237 = 1.92, 1.9200 = 1.92, 1.9276 = 1.93)

2 - rounded up (eg for <decimals> = 2 the values will be 1.9237 = 1.93, 1.9200 = 1.92, 1.9276 = 1.93)

<unit> - text - a unit that is added at the end of formatted numbers. E.g. the formatted value "20.001 mV" contains the unit "V". The unit is preceded by a so-called prefix. Prefixes are defined by the <prefixes> element.


CSV Export

CSV export is one of the three options for exporting calibration results. The file format is fixed regardless of the column settings in the program. It contains unformatted measurement values, including all DUT or Etalon measurements. The format is suitable for import into Microsoft Excel. The column separator and the decimal separator in numbers can be selected in the Configuration - Test report panel. You can also choose whether to include notes created in the procedure in the test report.

The file contains a header on the first line and measured values on the next lines.

The file contains the following columns:

Function - name of the function

Range - DUT range

Unit - unit of the measured quantity

Parameters - other measurement parameters, if the function has any parameters

Standard - the average value of Etalon

DUT - average value of DUT

Deviation - measured deviation

%spec - percentage of drawing specification

Allowed - allowed DUT error

Low limit - allowed error lower limit DUT (if the specification is specified as a limit)

High limit - allowed error upper limit DUT (if the specification is specified as a limit)

Uncertainty - measurement uncertainty

Symbol - evaluation symbols

Standard reading No. 1 to 20 - individual measurements of Standard

DUT reading No. 1 to 20 - individual measurements of DUT


Camera window

It displays running video from a connected camera during opening of the instrument on which measurement reading by means of a camera is selected. Only 7-segment displays are supported and one instrument can be scaned at a time. Camera window is located in procedure module.

After camera opening, its parameters can be set:

Resolution – camera resolution can be set. Suitable resolution is from 160x120 to 352x288 pixels, in dependence on distance between camera and instrument display.

Settings – brightness, contrast and other by camera supported parameters can be set

Left shift – camera window can be moved to the left

Right shift – camera window can be moved to the right

Up shift – camera window can be moved up

Down shift – camera window can be moved down

Note: Camera must be connected to USB port of PC and camera driver must be correctly installed as well licence for CAM-Ocr must be purchased apart.


Readings window

It is intended for displaying of particular measurements from active instruments. While the test report contains mean values calculated from sets of measurements, the particular measurements are shown in the Readings window. This window is placed in Procedure module.


Graphic result

Used for graphical display of the calibration result. There are a total of four display options: Measurement Diagram, Statement of Conformity, Specification use and TUR. Modes are selected by pressing the right mouse button above the strip with the graphic result and selecting from the menu.

Measurement diagram

Used for graphical display of the statement of the calibration point. It can optionally be displayed in the procedure module next to the protocol window. Appearance varies depending on the rule selected. The rule can be set globally for the entire program on the Configuration - Test report panel or in the Procedure module on the Global procedure settings panel.

Binary statement for Simple acceptance - there are two statements "Passed" and "Failed". The light blue area indicates the permitted DUT error, the red rectangle indicates the standard value. The calibration point "Passed" if the standard value is in the blue band, otherwise it "Failed".

Binary statement with Guard band - there are two statements "Passed" and "Failed". The light blue area, including the dark blue area, indicates the permitted DUT error, the dark blue area indicates the guard band, the red rectangle indicates the standard value. The calibration point "Passed" if the standard value is in the light blue field, otherwise it "Failed".

Non-binary statement with Uncertainty - there are three statements "Passed", "Failed" and "Passed with uncertainty". The light blue area indicates the permitted DUT error, the red rectangle indicates the standard value, while the width of the rectangle expresses the overall uncertainty of the measurement. The calibration point "Passed" if the value of the standard including the uncertainty is in the light blue box. A point "Failed" if the standard value including uncertainty is outside the light blue box. The point "Passed with uncertainty" in all other cases.

Non-binary statement with Guard band - there are four statements "Passed", "Failed", "Conditionally Passed" and "Conditionally Failed". The light blue area, including the dark blue area, indicates the permitted DUT error. The dark blue area marks the guard band within the DUT specification. The pink area indicates the guard band outside the DUT specification. The red rectangle indicates the standard value. The calibration point "Passed" if the standard value is in the light blue field. The point "Conditionally passed" if the standard value is in the dark blue field. A point "Conditionally failed" if the value is in the pink box. The point "Failed", in all other cases.

The guard band can be defined globally for the entire program on the Configuration - Test report panel or in the Procedure module on the Evaluation panel.

Statement of conformance

Displays the calibration result in text with color highlighting. Colors for individual statements are set on the Configuration - Font & Colors panel, under the label "Graphic result > Text statement".

The displayed texts follow the selected rule, which can be set globally for the entire program on the Configuration - Test report panel or in the Procedure module on the Global procedure settings panel.

Specification use

Displays the specification draw, i.e. the measured deviation related to the specification of the Device Under Test expressed as a percentage. The range and display method can be set after activating the Graph settings menu.

TUR

It displays the TUR (Test Uncertainty Ratio), i.e. the ratio of the specification of the Device Under Test to the extended uncertainty. The range and display method can be set after activating the Graph settings menu.


Graph settings

It is used to select and set the Graphic result in the Test report. It is called up by activating the menu item "Graph settings" from the Procedure module above the "Graphic result" window.

Display mode - there are a total of four display options:

Measurement diagram - graphical display of measured values and uncertainty
Statement of conformity - text representation of the calibration result
Specification useČerpání specifikace - graphic display of specification drawing (ratio of measured deviation and allowed DUT deviation)
TUR (Test Uncertainty Ratio) - graphical representation of the ratio of the allowed deviation to the extended uncertainty

Column width- relative width of the "Graphic result" column in the Procedure module. Settings 10% to 200%. 100% corresponds to the width of the Readings window.

Specification bar full scale [%]- setting the maximum value of the graph to display the specification use. If a value of 50 is set, then when drawing 50% of the specification, the graph will display the full value. If the value is set to 100, the graph value will directly correspond to the specification draw. If the value is set to 200, then when drawing 100% of the specification, the graph will fill half the column of the graph. Settings can only be made for the "Specification use" display mode. The setting only affects the size and color of the bar. It does not change the displayed value itself.

Show - determines how the specification is displayed:

Color - a colored full bar with Specification use value appears, the color of bar is given by the specification drawing (the colors can be set using Graphic result > Bar settings).

Size - a resizing bar with Specification use value appears, the size of bar is given by the specification drawing (the color can be set using Graphic result > Specification setting).

Color and size - a colored resizing bar with text appears, the size and color of bar is given by the specification drawing (the colors can be set using Graphic result > Bar settings).

Text only - a full bar with Specification use value appears (the colors can be set using Graphic result > Specification setting).

TUR bar full scale [-] - setting the maximum value of the graph for displaying TUR. This chart has a reversed fill direction. If a full value of 4 is set, then with a detected value of TUR 1, the bar will be 3/4 full (75%) and the color is then chosen accordingly. Settings can only be made for the "TUR" display mode. The setting only affects the size and color of the bar. It does not change the displayed value itself.

Show - determines how the TUR is displayed:

Color - a colored full bar with TUR value appears, the color of bar is given by TUR drawing (the colors can be set using Graphic result > Bar settings).

Size - a resizing bar with TUR value appears, the size of bar is given by TUR drawing (the color can be set using Graphic result > TUR setting).

Color and size - a colored resizing bar with TUR value appears, the size and color of bar is given by TUR drawing (the colors can be set using Graphic result > Bar settings).

Text only - a full bar with TUR value appears (the color can be set using Graphic result > TUR setting).


Navigation bar

The navigation bar is located at the bottom of the Procedure module under the Test report window. It serves for a quick overview of the calibration process and enables the search for calibration points according to the calibration result.

Time - it is located on the far left. It displays the time from the start of the calibration, the time waiting for the operator, or the time until the end of the calibration. The selection is made by repeatedly clicking the left mouse button on the time field or the time icon.

Time since calibration started - the total time since the first calibration point was run. The order of the calibration points is not important.

Waiting time for an operator - total time waiting for operator intervention. This time is calculated every time the program stops and waits for the operator's response (connection of terminals, switching of the device range in manual control...).

Time to end of calibration - the estimated time remaining until the end of the entire calibration. The estimate may be inaccurate because it is calculated from the average time of already calibrated points.

Completion status indicator - graphically displays the calibration completion status. If the indicator is full, all calibration points are calibrated, regardless of their result.

Calibration statement counters - they display the number of individual calibration statements during calibration. The types of statements are given by the "Statement of conformance" setting on the Global procedure settings panel, or on the Configuration panel. Each statement contains a colored square according to the setting of the statement and to the right the number of calibration points with such a statement. If the panel is wide, the text expression of the statement will also be displayed. Clicking on a statement counter will automatically set the filter to that statement. The filter is cleared by clicking again on the same statement, by directly selecting another calibration point in the Test report window, or by starting the calibration. Recalibrating one calibration point will not clear the filter.

Locator - it is located on the far right. Used to search for calibration points in the test report. Use the buttons to search for the previous and next calibration point. In the middle, the current order of the calibration point from the total number selected is displayed. The background of this field is colored according to the selected statement.


Procedure wizard

Procedure wizard is the way, how to generate new calibration procedure. When a calibration procedure is already created, it can be completely modified manually. Functions, ranges and calibration points can be added or removed or edited and instrument – standard can be exchanged for some calibration points if necessary.

Procedure wizard makes calibration procedure generation very simple and fast,.it doesn’t allow to make special configurations (they must be done manual additionally).

Creation consists of five steps. In these steps instruments, functions, ranges, calibration points are defined. In the last step compliance of new calibration procedure is checked:

Step 1 – Instruments

Step 2 – Functions

Step 3 – Ranges

Step 4 – Values

Step 5 – Inapplicable values

OK – wizard will be terminated and new procedure (including instruments, functions, ranges and calibration points) will be created.

Cancel – wizard will be terminated and procedure will not be created.

Notes: The procedure wizard is the only one way how to create a new procedure. However, if a procedure is already developed, it can be changed interactively. We can add and remove particular functions, ranges and calibration points.
The guide represents a very easy and quick way of new procedure creating. However, it doesn´t make possible to perform some special combinations, e.g. changing of instruments during the calibration. Such changes are to be performed additionally within the created procedure.


Procedure wizard – Instruments

Step number 1 – Instruments. In this step procedure name is filled in, wizard rules for generation of calibration points are selected and instruments used in calibration are selected.

Procedure name - a generated procedure shall be saved under this name. Usually it is model name of DUT. For example for multimetr METEX model 3800 it can be M3800.

Wizard rules - set of rules for Wizard can be set up here. Set of rules describes method of automatic creating of calibration point for various ranges. That ones signed as “default” are suitable for generation of procedures for multimeters. If another wizard rules are required, it can be chosen. Normally different wizard rules are used for generating of calibration procedures for meters and calibration procedures for sources.

Note: Before starting new calibration procedure creation, assure that ”Wizard rules” contains rules for all functions of DUT. If any function defined in ”Instrument card” of DUT miss in ”Wizard rules”, program module cannot generate calibration points for this function. In the structure of calibration procedure, this function will be included(see Status window), but no one calibration point is generated. In this case calibration points manually can be added for function, which is unknown for ”Wizard rules”.

Selected instruments - instruments used in calibration. Firstly set an instrument under test (DUT), select it from the database and assign a instrument use and control. The same way is to be used for selection of other instruments (Source, Standard). Converters, switches and instruments to be connected behind converters cannot be written down among selected instruments, they must be set by editing of the procedure itself. If the wizard is being used, there is no possible to select from “Connected to” – field. There is a fixed selected item “Master Bus” here. The master bus is a signal bus (functions, ranges and values) valid for the DUT. For procedure development, the instrument under test (DUT) is the most important one and it must be set as the only one. Selection of functions, ranges and check points is being performed according to the DUT. At other instruments (Standards and Sources) must be only checked if their measurement (generation) abilities are suitable for test of the given instrument. If there is no “Instrument Card” for the required instrument, it shall be created.

Add - adds new instrument to the list.

Remove - deletes item from the list.

Note: Only instruments with their created cards can be used for generation of a new procedure, except for the measuring instrument under test for which can be created a procedure without its instrument card. The performed calibration record does not contain any evaluation and there are only deviation and uncertainty in each of the protocol´s lines. Fields for allowed deviation and specifications percents are blank. The procedure generation is not performed automatically in such a case and checked functions, ranges and points must be set. Procedure development without instrument cards represents only an emergency solution suitable rather for quick check of basic functions of a unit under test but not for the calibration itself.

If we set the instrument of “Without the instrument Card” it shall be necessary to write down only its name and to select its position. Other steps must be performed manually (selection of functions, ranges and points).

“Functions” – page from page frame having activated, switch to the next step.

See also

Procedure wizard

Procedure wizard - Functions

Procedure wizard - Ranges

Procedure wizard - Values

Procedure wizard - Inapplicable values


Procedure wizard - Functions

Step number 2 - Function selection. Wizard offers all those functions, which the procedure can consist of. With arrow buttons ( >, < ) and ( >>, << ) number of functions can be changed (decreased) in the procedure. It is not possible to add functions which are not defined in the Instrument card of DUT.

Available functions - list of all functions contained in instrument card and not included in "Selected function" list.

Selected functions - list of all functions that will be contained in resulting procedure.

> - moves selected function from "Available functions" list into "Selected functions" list

< - moves selected function from "Selected functions" list into "Available functions" list

>> - moves all items from "Available functions" list into "Selected function" list

<< - moves all items from "Selected functions" list into "Available function" list

“Ranges” – page from page frame having activated, switch to the next step.

See also

Procedure wizard

Procedure wizard - Instruments

Procedure wizard - Ranges

Procedure wizard - Values

Procedure wizard - Inapplicable values


Procedure wizard - Ranges

Step number 3 – Range selection. The guide in this step shall propose ranges that shall be contained in a procedure. TheRange Type shall be assigned for each of ranges. According to the “Range Type” and the selected Wizard rules, calibration points are specified in the next step. The ranges not defined in the DUT instrument card cannot be added into a procedure. Also it is not possible to add range types which are not defined in the “Wizard Rules”.

Function- list of all functions selected in previous step. Go through all functions in this listbox and select or remove appropriate ranges if needed.

Available ranges - list of all ranges gathered from instrument card valid for selected function above.

Selected ranges - list of all ranges that will be contained in resulting procedure. Type of range can be changed after pushing the right mouse over the lisbox. Following types of ranges are offered:

Common – it is range without any special priority.

Lowest – the lowest range.

Intermediate – range in the middle.

Highest – the highest range.

Specific – range, which values lay inside any fix defined limits (for example voltage higher than 200 V, etc.).

Normally, not all above described types of range are allowed to select for the ranges in ”Selected ranges” listbox. Which type of range may be selected for certain DUT range depends on setting of this the range in the Instrument card of the instrument. Range types, which cannot be selected are disabled after recalling menu for range specifying. On the other side, for every function it is possible to define specific range. If such definition exists, it will appear in menu of available ranges.

> - it moves selected range from "Available ranges" list into "Selected ranges" list

< - it moves selected range from "Selected ranges" list into "Available ranges" l;ist

>> - it moves all items from "Available ranges" list into "Selected ranges" list

<< - it moves all items from "Selected ranges" list into "Available ranges" list

Note: Range types correspond with specification according to the EA 10/15 document describing the digital multi-meter test methodology.

“Values” – page from page frame having activated, switch to the next step.

See also

Procedure wizard

Procedure wizard - Instruments

Procedure wizard - Functions

Procedure wizard - Values

Procedure wizard - Inapplicable values


Procedure wizard - Values

Step number 4 - Values. According to the Wizard Rules and Type of range, wizard offers calibration suitable calibration points - values. In each range, order of calibration points can be changed, calibration points can be modified, deleted or new ones added.

Function - list of all functions selected in the second step (functions). Go through all functions in this listbox and through all ranges int the "Range" listbox and manage appropriate values if needed.

Range - list of all ranges valid for selected function above.

Selected values - list of all values created for selected function and range above.

Add - adds new value (calibration point) into "Selected values" listbox

Modify - allows to change selected value in the "Selected value" listbox

Remove - removes selected value from "Selected values" listbox

“Inapplicable Values” – page from page frame having activated, switch to the next step.

See also

Procedure wizard

Procedure wizard - Instruments

Procedure wizard - Functions

Procedure wizard - Ranges

Procedure wizard - Inapplicable values


Procedure wizard - Inapplicable values

Step number 5 – Inapplicable values (Disagreements). Finally the guide shall write a list of values which are not able to be set on some of the used instruments. If this list is not blank, it will be possible to return to some of the previous steps to correct these values. If the procedure is finished with not permitted values for some instruments, some difficulties may occur during program run. Press the “OK” key to create a calibration procedure for the DUT.

OK – wizard will be terminated and new procedure (including inetruments, functions, ranges and calibration points) will be created.

Cancel – wizard will be terminated and procedure will not be created.

See also

Procedure wizard

Procedure wizard - Instruments

Procedure wizard - Functions

Procedure wizard - Ranges

Procedure wizard - Values


Procedure tuning

A new developed procedure can be tested. For good transparency, a list of most common tuning operations follows:

· Test of opening/closing of particular instruments. Press the right mouse button on an instrument in the instrument scheme to open the menu and after it to start macro for opening or closing of the instrument. If mistakes occur use the GPIB bus to check installation of the GPIB card, for RS232 especially communication setup both in the program and in the instrument and correctness of connections in general. Further check if the instruments are on. If a new developed instrument card is being tested, a mistake can be in macro for instrument opening/closing. There can be used the log NI Spy (National Instruments) program for the GPIB bus which records all the communication along the bus.

· If there are not any instruments connected with the computer, a new procedure can be tested so that all the instruments shall be switched to manual control (press the right mouse button on the instrument a select an instrument configuration item). In manual control mode set all the values from the keyboard. At the same time you can test roughly calibration procedure inclusive error and uncertainty calculations. The correct indication of instrument or input terminal connection changes by the program can be checked as well.

· Settings all the instruments in terms of their use during calibration in every calibration point can be checked. Select a required calibration point in the Status window or direct in the Test record window and follow the “bubble” help about instrument settings:

Line 1 contains Position and Instrument name, line 2 is a separator, line 3 contains a function assigned to the instrument, line 4 contains an assigned range, line 5 contains a nominal value valid for the calibration point. If the instrument function contains some parameters, the following lines shall contain value of these parameters. The help is advantageous especially for converters when there are completely different functions assigned to instrument behind a converter, see e.g. the previous figure with test of a thermocouple ("TC T S90" represents a master function), but after transformation with the converter (Thermocouple), the standard multi-meter shall already measure DC voltage ( "VDC-2W" function).

· The procedure allows many of particular settings. In case of doubt during the calibration, all these settings can be checked up in the procedure Status window. If the “value” item is selected in the Status window, all the settings performed on superior levels can be shown a checked by means of icons in the title of the Status window.

· The procedure can be run from any calibration point. Press the left mouse button to activate a line from which the procedure shall start (this line get highlight). Then press the “Run Calibration” key. The running calibration can be stopped by the ”ESC” key.

· Is possible to display individual items of uncertainty in the program using Calculation view tool.


Creating procedure - Multimeter (Metex M3800)

This guide describes the simplest way of creating procedure through the Procedure wizard. As DUT - Metex M3800 multimeter was chosen, as Standard & Source - M140 calibrator. It is possible to chose any other instrument and the method will be similar. The only condition is existing Instrument card.

· Start the Procedure module in the „Caliber“ program (the “Window” menu in the upper menu bar, the “Procedures” item). Press the “New” button in the lower bar of the Status Window. The first step of the Procedure wizard will be shown.

· Set „Procedure name“ field to "M3800x". Now select instruments used in calibration. Press "Add" button (Instrument configuration panel will be shown), select "M3800" item from instrument list, "Instrument use" will be "DUT", "Instrument response" will be "Manual", "Instrument control" will be "Manual", then press "OK" button. Again press "Add" button from "Procedure wizard", select "M140" item from instrument list, "Instrument use" will be "Standrard & Source", "Instrument response" and "Instrument control" will be GPIB (or RS232), then press "OK" button.

· Activate next page of procedure wizard - Functions. The wizard automatically suggests all functions that are contained in the "M3800" Instrument card. As the DUT is meter, the functions will be taken from "Meter" page of Instrument card. It is possible to reduce number of functions in this step.

· Activate next page of procedure wizard - Ranges. The wizard automatically suggests all ranges for selected functions. It is possible to reduce number of ranges in this step. It is also possible to change type of range and thereby affect number and values of calibration points generated in next step.

· Activate next page of procedure wizard - Values. The wizard automatically suggests all calibration points - values, account on selected ranges in previous step. Calibration points are proposed according to Wizard rules. It is possible to remove, modify and add calibration points.

· Activate next page of procedure wizard - Inapplicable values. This page contains list of values which are not able to be set on some of the used instruments. If this list is not blank, it will be possible to return to some of the previous steps to correct these values. If the procedure is finished with not permitted values for some instruments, some difficulties may occur during program run.

· Press the “OK” button to create a calibration procedure for the instrument under test and return to procedure module.

· Press the "Save" button. Herewith the calibration procedure is finished and can be run by pressing the "Run calibration" button.


Creating procedure - Resistance meter

There is a test of a resistance meter by means of a standard measuring instrument and an auxiliary source. In such a case there is not possible to connect the checked measuring instrument and the standard at the same time, because they themselves are generating current and measurement results will be nonsense because it. The measurement must be made on the standard first and then on the DUT. The instruments shall be switched among each other. There is possible to use the “Switch” instrument for that purpose, which has already been created (see SW_RESISTANCE). There is only a shortened demonstrative procedure to understand the program features.

· Start the Procedure module in the „Caliber“ program. Press the “New” button in the lower bar of the Status window to start the Procedure wizard.

· Write "KE2000R" in the “Procedure name” field. Select instruments for the calibration. Press the “Add” key. From the instrument list select the "KE2000" instrument, an "Instrument use" set to „DUT“, "Instrument response"and "Instrument control" set to „Manual“, "Connected to" to the “Master bus” and press the „OK“ key. Press the “Add” key. From the list select the "DAT1281" instrument, an "Instrument use" set to „Standard“, "Instrument response"and "Instrument control" set to „Manual“, "Connected to" to the “Master bus” and press the „OK“ key. Press the “Add” key again, select the "M602" decade, an "Instrument use" set to „Source“, "Instrument response"and "Instrument control" set to „Manual“, "Connected to" to the “Master bus” and press the „OK“ key. If one of the instruments is available, it can be selected way of communication along the bus.

· Activate the “Functions” page to come to the next step – Function selection. Firstly shall be removed all functions from the selection by means of the "<<" key. Then select the RDC-2W function from the left column of “Available functions” and by means of the ">" key transfer it into the “Selected functions” list as the only one controlled function.

· Activate the “Ranges” page to come to the next step – Range selection. The guide shall automatically propose all the ranges being defined in the KE2000 card and assign a range type for them. The range types are defined according to Wizard rules. The1.2MOhm, 12MOhm and 120MOhm ranges shall be removed because they cannot be set on the source.

· Activate the “Values” page to come to the next step – Value selection. The wizard shall automatically propose calibration points according to the “Wizard rules”. The calibration points can be added, removed, eventually adapted.

· Activate the last “Inapplicable values” page to come to the next step – Inapplicable values. There are values displayed here that cannot be set at any of the instruments. If the list is not blank, it is possible to come back into the “Values” page and to remove those points eventually to change them.

· Press the „OK“ key to create a calibration procedure for the DUT.

· Now we are in the procedure module again and all settings shall be performed on the whole procedure level, i.e. there shall be selected the “Procedure” level in the Status window.

· Let´s add a switch into instrument scheme. Click with the right mouse button on the instrument scheme window and select the “Add Instrument” item from the popup menu. The Instrument configuration panel will appear. Select an instrument from the "SW_RESISTANCE" database, set "Instrument use" to “Switch”, " Instrument response" to “Manual”, "Instrument control" to “Manual”, "Connected to" “Main bus”. Confirm it by "OK". The instrument appears in the instrument scheme. By means of the mouse it is possible to move the instrument to any place in the scheme in order to be well-arranged.

· Now the Measurement mode shall to be changed to exert the switch function. In the procedure status window click by the right mouse button on the procedure name, select the “Measurement mode” item from the popup menu. The “Measurement mode” panel appears. Firstly there shall be secured that the measuring on the standard is being performed in one step, not in two ones. Click by the right mouse button on the “Second half measure” item by the standards and select the “Remove” item from the menu. Click by the right mouse button on the “First half measure” item by the standards and select the “Edit” item and change to the “Measure” item. Now add an operation for terminal switching between the DUT and the Standard. Click by the right mouse button on the action list, select the item “Add” from the menu. The Action panel appears. From the "Devices" field select "Switches", from the "Action" field select "Set B", from the "Conditions" field select "None". Press the "OK" key to confirm. The operation appears at the end of the task list. Transfer it among the “Measure” operations on the DUT and “Measure” operations on the Standard. Now adjust loops for unstable measurements, it will not be one loop but two ones, particularly for the DUT and the Standard in order not be necessary to switch the terminals permanently if one of the measuring instruments is unstable. Click by the right mouse button on the “Measure” action at the standard and select the “Start of Measure loop” item. Click by the right mouse button again and select the “End of Measure loop” item. Click by the right mouse button on the “Measure” action at the DUT and select the “Start of Measure loop” item. Click by the right mouse button again and select the “End of Measure loop” item. Press the “OK” button to confirm.

Note: Remember that the Caliber program shall not display the Connection scheme window when the switch is being used. If you want to display this window, it shall be selected the “Enable” item in the “Connection scheme” field in the “Measurement Mode” panel.

· Press the “Save” button in the lower bar of the procedure status window. The procedure is herewith finished and it can be started by the “Run Calibration” button. Since all the instruments are in manual mode, the instruments cannot be present at calibration start, i.e. the calibration can be only “simulated”.


Creating procedure - Power converter

There is a test of single-phase power converter to direct current. In similar way there is possible to perform test of any converters. For that purpose (the converter represents an UTT), two standards are necessary. One of them shall be in the converter´s input, another one in output (direct current measurement). The value in the converter´s input is considered as a standard value in terms of the Caliber program, the value in the converter´s output as an DUT value. The input converter´s value is the main value, i.e. its function, range and value is the same as a function, a range and a value in the protocol. The value in the converter´s output is direct current in our case, but for program´s purpose is back converted into power. Despite of the fact that the value of the standard measuring instrument in the converter´s output is being considered as the DUT value, the uncertainty of this measuring instrument is considered as standard´s uncertainty along with uncertainty of the standard in the converter´s input. The M140 calibrator shall be used as a source and a standard in the converter´s input at the same time. As a standard in the converter´s output the multi-meter of Datron 1281 shall be used. The PK1000 shall be used as a converter (creating procedure is a part of this help). There is a shortened demonstrative procedure to understand program´s features.

· Start the Procedure module in the „Caliber“ program. Press the “New” button in the lower bar of the Status window to start the Procedure wizard.

· Write "PK1000x" in the “Procedure name” field. Select instruments for the calibration. Press the “Add” key. The Instrument configuration panel will appear. From the list select the PK1000 instrument, an instrument use set to „DUT & Converter“, instrument response and instrument control set to „Manual“, connected to the “Master bus” and press the „OK“ key. Press the “Add” key. Select the M140 calibrator, an instrument use set to „Standard & Source“, instrument response and instrument control set to „Manual“ (eventually "GPIB" or "RS232" if we have a calibrator), connected to the “Master bus” and press the „OK“ key. We don´t add any other instruments at this moment.

· Activate the “Functions” page to come to the next step – Function selection. The wizard shall automatically propose functions contained in the “Instrument card” of PK1000 which were not used in the procedure so far. The instrument contains only one P-AC function which shall stay.

· Activate the “Ranges” page to come to the next step – Range selection. The wizard shall automatically propose all the ranges being defined in the PK1000 card and assign a range type for them. The instrument contains only one 2.6 kW range which shall stay. Because the power converter uses a more-parametric function (P-AC), it is only one range in the instrument card. However number of ranges in the procedure can be higher. There must be a condition fulfilled that any of the ranges cannot excess the limits of the basic range (0 to 2.6 kW in our case). The ranges cannot be added in the wizard but in the following adaptation of the procedure.

· Activate the “Values” page to come to the next step – Value selection. The wizard shall not create any values. For more-parametric functions there are no “Wizard rules” and the values shall be created manually. Press the “Add” button to add one calibration point and set the power value of 0.4kW and particular parameters: Voltage=200V, Current=2A, Frequency=50Hz, Phase=0°. Press the "OK" button to confirm.

· Inapplicable Values of calibration points cannot be checked by means of the wizard, because it doesn´t support the more-parametric functions.

· Press the „OK“ key to finish the wizard and to come into the procedure module.

· Now add a standard measuring instrument into the converter´s output in the “Instrument scheme”. Click by the right mouse button on any spot in the “Instrument scheme” window to open a menu. Select the “Add Instrument” item. The Instrument configuration panel appears. Select the "Dat1281", set Instrument use to "Standard", Instrument response and Instrument control to “Manual” (eventually GPIB or RS232 if you have a multi-meter), Connected to "PK1000". Press the "OK" button to confirm. By means of the mouse it is possible to move the instrument to any place in the scheme in order to be well-arranged.

· Now must be set uncertainties of the standard calibration source of M140 for each of calibration points, because these values are not contained in the instrument card. Set the value level in the procedure status window and select a calibration point for which the precision shall be set. Click by the right mouse button to open a menu from which select the “Evaluation” item. The Evaluation panel will appear, in which values and uncertainties of the DUT and Standard can be changed. From the list select the "Standard accuracy (Dmax_s) [W]" item and press the "Modify" button. The Evaluation formula panel appears. By means of numeric keys set the "0.288W" value, which is accuracy of the M140 calibrator for the 400W value (at parameters of 200V, 2A, 50Hz, PF=1). Confirm it by the "OK" button and return to the “Evaluation” panel. Press the "OK" button again to return to the Procedure module. If the procedure contains more calibration points, this setting shall be done for all the calibration points.

· Press the “Save” button in the lower bar of the procedure status window to save the procedure which can be started by the “Run Calibration” button now. Despite that we don´t have any of the used instruments, there is possible to try the procedure if every instruments are in the manual mode. During the calibration, the Caliber program shall ask for value of the standard multi-meter Datron 1281 and there is expected the 0.00308A value for the 400W value, which is to be set.


Instrument card Module

Instrument card module is basic program module. For every instrument either manually or remotely controlled which takes part in calibration process, must exist its own Instrument card. In the Instrument card all features of the instrument like its functions, ranges, specification, way of communication, etc. are described. Features, which are not described in the instrument card cannot be used during calibration. Instruments cards in Caliber system are global for all procedures. The card itself does not specify instrument use (DUT, Standard), it does Instrument configuration contained in calibration procedure.

When creating new instrument card following consecution is recommended:

a) select instrument type from pageframe on the right (Source, Meter or Switch)

b) create instrument card structure in status window (that means add functions, ranges, eventually parameters)

c) select appropriate level in status window (usually ranges or parameters) and fill in specifications in "Instrument data" window accordance with instrument manual

d) select appropriate level in status window (usually functions or ranges) and fill in connection scheme in "Instrument data" window

e) select communication type from the selector

f) select appropriate level in status window and fill in multiplier and macros (Set, Measure evantually Output on, Output off, Set A, Set B, Set C,Set C)

g) select "Global" page from the pageframe and define Open/Close macro by pressing "Setup" button

h) repeat steps "e" to "g" for another communication type if needed

i) in case of creating converter instrument select "Global" page from the pageframe and define Converter conditions by pressing right mouse button and selection of "Add" item from popup menu

Screen description

Status window - located on the left side. It shows instrument card structure – name, functions, ranges and function parameters.

Calibration data - the name without path and extension (* .CAL). The file is optionally used to write the calibration values ​​of the standard. The Calibration data file can be manuaaly edited in a text editor after activating the edit button [image].

Communication type - located in the upper right corner. It is a selector used before card modification to determine communication type. One instrument can have more control ways. For each of the selector positions another set of properties can be assigned.

Instrument data - located on the left side. It describes all properties of an instrument. This section is further separated into four pages - Source, Meter, Switch and Global settings (setups and converters). Every instrument in Caliber system can be defined as source, meter, switch, converter or any combination of these.


Status window (Instrument card)

This window displays hierarchical structure of Instrument card: Instrument card -> Functions -> Ranges -> Parameters. The proper level is always being shown in the status window title. All other settings in the right part of the panel (specifications, macros, terminals) are valid for actual selected level and an item of the status window. By double mouse click on item in the status window you can go one level down in the structure and by pushing "Back" button ( [image]) you can go one level up.

"Instrument" level - the highest level of the status window display the instrument name and below this name a note (usually with instrument card version or author´s name and his e-mail address). The note can be edited by a user any way. Its maximal size is 200 characters.
The note usually contains the following information:

Version: version number

Author: name

E-mail: email address

Serial number: serial number

The serial number defined here is used if the device is used in manual control. If it is controlled via a remote bus, it is more convenient to use the opening macro to read the current serial number directly from the device. The serial number is also used to select the calibration data, if calibration data is defined for the instrument card.

The serial number can be written in three forms:

XXXXXXXXX - direct entry of serial number

AAAAAAAAA,BBBBBBBBB,CCCCCCCCC - List of serial numbers. The user can choose one of the serial numbers from the list at the start of the procedure.

? - the user enters the serial number at the start of the procedure.

"Function" level - perform double click by the left mouse button on the card name in the status window to go to the function level. If the “Source” page is selected in the right part of the panel, a source shall be created; if “Meter”, then a measuring instrument. If it is not sure what is to be created, a rule is valid that if it is not a meter (the instrument indicates no measured value), there is a source. The third page called "Switch" is intended for creating switch instrument type. Press the right mouse button to display a menu and then add or remove a function. Here can be set all the functions which shall be contained in the instrument.

"Range" level - perform double click by the left mouse button on the function name to go to the range level. Here it is possible to add, change or remove ranges. If ranges are to be created, proceed from lowest to highest range. For more-parametric functions usually one range is to be selected which covers all the options of this given instrument function. The actual range can be set during procedure development by a user, if the instrument is used as a DUT.

"Parameter" level - by double mouse click on the developed range you come to the parameter level. This is valid only if a given function contains a parameter. The program differs if a function contains one parameter (e.g. the VAC-2W contains a frequency, i.e. one parameter) or more parameters (PAC). At one-parameter functions the program behaves as at ranges or functions. At more-parameter functions on parameter level there is not possible to set specifications, terminal connections and macros except only the remote setting macro. Macro can be set for any parameter. The Caliber program behaves a little differently during calibration, i.e. it is executing all the macros valid for all the parameters consequentially after each other. The macro is then signed by the [image] symbol in the instrument card. A user also can write down only one setting macro on the range level (it is more suitable if an instrument can be controlled this way) or more macros for particular parameters.

Note: If parameters are created for multi-parametric functions, it is must to fill all parameters ranges (for one-parametric functions it is recomended). Program checks these parameters ranges during calibration and error is displayed if ranges are out of limits for particular calibration point.

In the lower part of status window the control buttons are located.


Control buttons (Instrument card)

Following control keys are situated in the lower bar of the Status window:

New – shall create a new instrument card.

Open – shall open an already created instrument card via Open dialog panel.

Save – shall write a modified instrument card in a file (database).

Save as – shall write a modified instrument card under a new name in a file (database).

Import – shall import instrument card (*.dev) into database (available only under WinQbase system).

Export – shall export actually opened instrument card into file (available only under WinQbase system).

Back – is intended for move to one level up in a hierarchy: Instrument – Function – Range – Parameter. Nesting (move to one level down) shall be performed by a mouse double click on a selected item.


Calibration data

These are files with the extension * .cal that the system uses as a repository of standard values ​​or as data to create a List of Standards The files must be located in a shared folder for the calibration data (path can be set on the Configuration panel the Calibration data tab).The system uses the calibration data only when the file name is written to "Calibration data" field on the Instrument card (without path and extension .cal):

Calibration data file is a plain text file without formatting. Each such file must contain the following data in the following order:

Model - device type. This is only a text description that can be exported in Test report Note (List of Standards item).

Manufacturer - manufacturer. This is only a text description that can be exported in Test report Note (List of Standards item).

Description - short device description. This is only a text description that can be exported in Test report Note (List of Standards item).

SerialNumber - serial number. It can be several serial numbers in one file and the system automatically selects the data for the required serial number.

CalibrationDate - the expiry of the calibartion (must be in the format YYYY-MM-DD). This date is checked during calibration and message is displayed if the date is expired.

Certificate - the number of the calibration certificate according to which the instrument was verified.

If calibration data file is used as a repository of standard values​​, the date of calibration must be followed by the list of standard values. Here is an example of a shunt:

Each standard value must start with "@" and then continue with a short unique label for the file. This label can be then used on the istrument card in the Manual measure:


Communication type (Instrument Card)

Communication type is located in upper part of Instrument card module. It is a selector which defines communication bus during instrument card modification. Communication bus selected here is especially important for macros and multiplier:

Remote control – is special item. It means that controlling and scanning (reading) of the instrument use the same commands for all remote buses (RS-232, GPIB, VISA). This feature allows to create macros ”Set”, ”Measure”, ”Output on”, ”Output off”, "Set A", "Set B", "Set C", "Set D". Theses macros are used for all remote control with the same syntax form and it is not necessary to create macros for GPIB, RS232 and VISA separately.

GPIB – there are parameter settings here when the instrument is controlled via GPIB bus, i.e. both control commands from PC and response of the instrument to the PC are sent through GPIB bus. In PC GPIB card must be installed.

RS232 – there are parameter settings here, when the instrument is controlled via RS232 interface, i.e. both control commands from PC and response of the instrument to the PC are sent through RS232 bus. In PC a free RS232 port have to be available.

VISA – there are parameter settings here, when the instrument is controlled via VISA interface, i.e. both control commands from PC and response of the instrument to the PC are sent through VISA protocol. In PC a VISA driver must be installed and properly configured.

Camera – setting of camera module is available here. Use this feature and set the parameters only if you suppose scanning of instrument display via camera module. It is mostly for meters without interface.

Manual – setting of parameters when instrument is manually controlled.


Instrument Data

Instrument data - located on the left side of Instrument card module. It describes all properties of an instrument. This section is further separated into four pages - Source, Meter, Switch and Global settings (setups and converters). Every instrument in Caliber system can be defined as source, meter, switch, converter or any combination of these.

Some data are related to type of communication, then they are boxed in black frame with communication label [image] .

All the instrument data (except Global settings) are related to the particular level of Status window : Instrument – function – range – (parameter)

Source page

This page allows specify instrument properties if it is used as source in Caliber system. Specification, commands for remote control and connection of output terminals are recorded here.

Specification - field enables to set accuracy of the instrument.in particular level.

Connection scheme - text description, which output terminals will be used during calibration procedure.

Multiplier - enables to set value during reading from (or sending to) the instrument in another decimal units than in basic SI.

Set – depending on type of communication shows Set macro panel (GPIB, RS232, VISA) or Manual set panel.

Measure – depending on type of communication shows Measure macro panel (GPIB, RS232, VISA) or Manual measure panel.

Output on – depending on type of communication shows Output on macro (GPIB, RS232, VISA) panel or Manual set panel.

Output off – depending on type of communication shows Output on macro (GPIB, RS232, VISA) panel or Manual set panel.

Meter page

Meter page describes features of the instrument, when it is used as meter. Specification, commands for remote control and connection of output terminals is written here. Meter card must be filled in, when the instrument is either standard meter or DUT (multimeter, V-meter, Ohm-meter, etc.). Meter card is not normally filled in, when the instrument is a source (calibrator, resistance decade, etc).

Specification - field enables to set accuracy of the instrument.in particular level.

Connection scheme - text description, which output terminals will be used during calibration procedure.

Multiplier - enables to set value during reading from (or sending to) the instrument in another decimal units than in basic SI.

Set – depending on type of communication shows Set macro panel (GPIB, RS232, VISA) or Manual set panel.

Measure – depending on type of communication shows Measure macro panel (GPIB, RS232, VISA) or Manual measure panel.

Switch page

This page allows specify instrument properties if it is used as switch in Caliber system. Switch instrument consists only of four similar macros - Set A, Set B, Set C or Set D. All of these macros can be used separately in one calibration point although by default only "Set A" is used in Measurement mode. It is possible to change the Measurement mode and include the other macros.

Set A – depending on type of communication shows Set macro panel (GPIB, RS232, VISA) or Manual set panel.

Set B – depending on type of communication shows Set macro panel (GPIB, RS232, VISA) or Manual set panel.

Set C – depending on type of communication shows Set macro panel (GPIB, RS232, VISA) or Manual set panel.

Set D – depending on type of communication shows Set macro panel (GPIB, RS232, VISA) or Manual set panel.

Global page

Global page enables to set parameters of interfaces, camera module (if used) and parameters of converters. Setting performed here is not depending on the level of status window.

Setup – depending on type of communication on the left shows GPIB, RS232, VISA, or Camera setup.

Converter conditions – it is a part of basic form of Instrument card. To create or edit Converter conditions click right mouse button while mouse pointer is located in the window ”Converter conditions”. Menu with following items will appear:

Add - enables to add new converter condition

Modify - can be used for editing still existed converter condition

Delete - deletes existing converter condition


Rules of item displaying

Particular items (specification, terminal circuitry and control way) can be set for any level in a hierarchy: instrument – function – range – parameter. The item set on higher level is implicitly valid for all lower levels. If an item is set on more levels for one point, the item set on the lowest level shall be used for control and calculations. For easy orientation in an instrument card the items being set are displayed in different letter types:

Normal – an item is not set yet.

Bold – an item is set on the just shown level.

Italics – an item is set on the higher level and is implicitly valid for the level displayed.

Item setting is not mandatory. However if an unset item is needed during instrument calibration an error message appear that the requested item has not been filled up.


Specification

Specification window enables setting of instrument accuracy. This window is available through Instrument data section of Instrument card module. Specification is available for sources and meters. It can be set on level of instrument, functions, ranges or parameters. Accuracy can consist of up to four components: "% of a value“, "% of a range“, “Absolute error" and the “Digits error”. It is sufficient to fill in only one of them if needed. When meter is used it is necessary to fill in "Full digits" or "One Digit" field yet.

Limits - this checkbox allows to define "low" and/or "high" limit of DUT. This feature is allowed only for DUT devices.

Specification is composed of following fields, when this checkbox is disabled:

% of reading – number of percent from nominal value.

% of range – number of percent from range.

Absolute – must be written in standard quantities of appropriate function (exponential format is allowed).

Digits error – must be written in number of digits.

If the limit checkbox is enabled:

Low limit – minimal absolute value of DUT.

High limit – maximal absolute value of DUT.

Resolution of the instrument (meter only) can be expressed in two different ways. One of them should be set only:

Full digits - represents resolution in term of maximal length of the display of the meter.

One digit - represents resolution of the meter expressed by least significant digit. It have to be set in units of measured value.


Connection scheme (Instrument card)

Connection scheme represents a text which briefly characterizes active terminals of instrument. The terminals are at most set on the function level in the Instrument card (different terminals are for voltages as for currents). A short text denomination is suitable, e.g. "Hu,Lu" or "V+,COM" etc.

Note: The text itself describing the connection can be selected any way according to local usage. But there is important that different connections shall be written by different texts. In terms of a program text change during a calibration, a message about terminal connection changes shall be generated in Connection scheme window


Multiplier

It enables to set value during reading from (or sending to) the instrument in another decimal units than in basic SI. Normally it is set ”not used”, but every decimal prefix from the range 1e-18 to 1e+12 can be set. Atto, fempto, pico, nano, micro, milli, kilo, mega, giga, tera multipliers are predefined.

Correct item of the ”Multiplier” must be set up, when the instrument is used with remote control either GPIB, RS232 or VISA. Normally the commands for instrument remote control doesn’t require any special setting of the multiplier have to be done. For example if voltage 200 mV is to be set on calibrator M-140, value of voltage is expressed in basic units, i.e. ”0.2” here. But some simple instruments do not use basic units as parameter. For example, to set voltage 200 mV, value in mV must be sent to the instrument, i.e. ”200”. In this case parameter of the Multiplier ”milli” must be selected.

When used the instrument in manual mode, selected item in Multiplier field depends on the user only. If ”not used” item is selected, it means that manually entered values (readings) must be expressed in basic units (volts, amps, etc.) during calibration. If ”milli” item is selected, it means that manually entered values (readings) must be expressed in ”milli” units (millivolts, milliamps, etc.) during calibration.


Manual set

Manual set – allows determine a text which shall be shown during the “Instrument set” action if manual control is used during a calibration. This setting can be defined for sources, measures and switches. For sources and switches the setting shall be performed at every point of calibration, for measures only if ranges or functions change (it can be changed by the “Show always” item). If the “Manual set” is not defined the program itself shall automatically generate necessary messages /except from the switches). The same panel is being used also for the “Output on” and “Output off” operations. The “A set”, “B set”, “C set” and “D set” operations can be defined for switches that way. Messages during calibration are shown in the User prompt window.

Calibration message provides three options:

Auto (default)– the program shall stop at every measured value and the automatic text appears with requirement to set a source to a proper value. At a measuring instrument the program shall stop for every change of a function or a range. The automatic text cannot be used for a switch-instrument and there must be set the “User text”.

User text – the program shall be stop according to the same rules as for the “Auto” option. Program having stop, a message from the ”Text” window shall be written down.

None– the program won´t stop for this selection. An operator cannot set a function, a range or a value. This selection is suitable for e.g. a source when terminals are switched on and off, if the source has not terminal switching off.

Text - the user text displayed during the calibration in the “User prompt” window.

Delay – if a time it is set, the program after message displaying (if there is any) shall wait for a set time. The delay is being count even from the moment of message confirming by a user.

Show always - allows open a message for an operator during a calibration at every calibration point (it is valid for meters only).

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Manual measure

Manual measure – defines which value is taken by program as correct value of instrument-source in calibration point. The set shall be effective only if the value from the instrument is being count manually. The program is trying to find out a source value if it is used as a Standard or a DUT. The item is only for manual measuring of the source. For a meter it is always necessary to set an actual instrument´s value.

Value specified as:

User prompt (default) – in each calibration point you are asked to type manually standard (or DUT) value, i.e. actual output value of the instrument-source.

Fixed value – means that in the ”Fixed value” field written value is taken as standard (or DUT) value in the calibration point. The value can be a reference to a calibration data file (* .cal).

Nominal value – means that nominal value of output signal is taken as standard (or DUT) value.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Macros

Any communication with an instrument through remote control (RS232, GPIB, VISA) in the Caliber system can be only performed by means of macros. A macro represents a command sequence (Write and Read) for communication with an instrument completed by some additional options as comparison of counted values etc. The program is performing particular macros during a calibration. Macros are divided into particular categories called actions. There can be the “Measure macro” for value reading from an instrument, the “Setup macro” for assignment of a function and of a range, the “Output on macro”, “Output off macro” for sources or the “Open/close macro” for instrument´s initialization. The sequence of macro executing is given by a measurement mode during calibration. The “Open” macro shall be performed for every instrument use in a calibration if the instrument was not open yet. The “Close” macro shall be performed if an instrument scheme changes or a calibration completes and the instrument was open before. Macros can be written for all the buses together (Remote control) or particularly for each of the buses (RS232, GPIB, VISA). All macros are saved in an instrument card. The instruction manual of the given instrument is needed to write down remote control commands.

The program works with these basic macro types:

Macro Measure

Macro Set

Macro Output on

Macro Output off

Open/Close macro

Macros are composed of particular commands which can be combined any way. There are following commands:

Write (macro command)

Read (macro command)

Delay (macro command)

Message (macro command)

Compare (macro command)

Numeric compare (macro command)

More complex set macro is shown in the figure:

This panel contains all commands valid for actual macro. These commands are performed in order they are displayed. Command order can be changed using mouse drag and drop functionality over [image] icon. Red arrows on the left symbolize jumps inside macro. Jumps are handled using "Compare" or "Numeric compare" command.

Delay before macro [s]- this time interval is applied before macro execution. In case of repeated macro executions (Measure macros), this interval is applied only one time.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.

Macro modification

Next popup menu will be displayed when right mouse button is pressed over macro command list:

Modify – invokes panel for command's modification.

Add Write... – invokes write command panel and allows to append this command into macro.

Add Read... – invokes read command panel and allows to append this command into macro.

Add Delay... – invokes delay command panel and allows to append this command into macro.

Add Message... – invokes message command panel and allows to append this command into macro.

Add Compare... – invokes compare command panel and allows to append this command into macro.

Add Numeric compare... – invokes numeric compare command panel and allows to append this command into macro.

Delete – deletes selected command from macro.

Delete all – deletes all commands from macro.


Write (macro command)

Write - macro command. It allows send a string composed of constants and variables into an instrument. The string can be composed of “Texts”, “Alternative codes” and “Variables”.

To create write command - simply fill "Text", "Alt code" or "Variable" fileds and push "Add" button in order you wish.

To edit resulting string - simply click on the item which is to be edited in "Write string" field. Edited item (part of string) will be selected in "Write string" field and appropriate fields below will be filled by actual item. Now you can change resulting string by changing field contents below. The change is automatically moved to the ”Write string”.

To delete resulting string (part of string) - click on the item which is to be deleted, the item become selected, now push right mouse button and from popup menu select "Delete".

Write string- resulting string. This field cannot be directly edited. The string may obtain “Text”, “Alternative code” and “Variable”. All three types of string can be written to the appropriate field and added by pushing the button ”Add”.

Text- consists of series of the standard ASCII characters (32… 255 codes). It must not contain control signs (0… 31codes). By pressing "Add" button text will be appended to "Write string".

Alt code - one ASCII character (0… 255). It allows records of any ASCII character inclusive control ones (0… 31 codes). By pressing "Add" button code will be appended to "Write string".

Variable- allows append system variable to resulting string. Only part of variable can be appended by setting of “From” (1-begin) and “To” positions. By pressing "Add" button variable will be appended to "Write string".

Value – nominal value valid for actual calibration point of instrument.

Parameter – value of function parameter. Count and names of the parameters are determined by actual function.

Buffer - universal variable. This variable is not filled by Caliber program itself, it has to be filled by another READ command.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.

Note: Write string is in "readable" form on this panel. Before it is sent to instrument, it is translated to binary form, i.e. single quotations marks are removed, alternative codes are translated to binary one-character code, variables are replaced by its values.

Note: When "Write string" is sent to instrument, it is also "Append when write" string sent at the end of WRITE command.

See also

Read command

Delay command

Message command

Compare command

Numeric compare command


Read (macro command)

Read - macro command. It allows reading of a value or a text from an instrument. Its result can be counted into the “Value” variable, if it is a measurement result or adjusted value, eventually into the “Buffer” variable, if it is a text for another operation (e.g. a comparison).

Terminate on - reading from the instrument will be terminated when a string compiled here will be found in the instrument response. The terminating string can be composed of “Texts” or “Alternative codes”. Particular parts can be entered by its writing and pressing the particular “Add” key.

Text - text to be appended into "Terminate on" string

Alt code - one ASCII character (0-255) to be appended into "Terminate on" string

Max. count - reading from the instrument will be terminated when "Max. count" of bytes will be fetched from the instrument.

Read to - variable name. This variable will be filled by the instrument response

Value - value variable will be used (suitable for Macromeasure)

Buffer - universal buffer variable will be used (suitable for macros in which compare command or numeric compare command is used)

Serial number -content is loaded into "Serial number" variable. It can be used in the Open / Close macro.

Extended protocol -allows you to override the Exclude / Include setting during the calibration run and run the test report with all calibration points (0 - short report, 1 - long report).

From - the beginning position within the instrument response (0 - no limit, 1 - from the first character...and so on).

To - last position within the instrument response (0 - no limit, 1 - to the first character...and so on).

Fragment - variable will be filled with substring delimited by comma "," (1 - whole string, 2 - string behind the first comma... and so on).

OK - closes panel and saves changes.

Cancel - closes panel and discrads changes.

Note: Terminating string can be enetered here (in special cases) or globally via Open/Close macro (recomended).

See also

Write command

Delay command

Message command

Compare command

Numeric compare command


Delay (macro command)

Delay - macro command. This command shall interrupt calibration flow for time period set in the “Delay” field. The time can be set in 0.1 to 999 seconds interval. During the delay, a text written in the “Message” field appears in the User prompt window. The “Delay” command can be suitable used for Output on macro when output signal is stabilizing.

Message- text to be displayed in "User prompt window" during calibartion. If this field is empty default message "Wait..." will be displayed.

Delay - time interval in range 0.1 to 999 seconds.

OK - closes panel and saves changes.

Cancel - closes panel and discard changes.

See also

Write command

Read command

Message command

Compare command

Numeric compare command


Message (macro command)

Message - macro command. This command shall interrupt calibration performance and display a text in the User prompt window. The message prompts an operator to perform an activity (instrument setting) which cannot be performed via remote bus.

Message - text to be displayed in the User prompt window during calibration.

OK - closes panel and saves changes.

Cancel - closes panel and discard changes.

See also

Write command

Read command

Delay command

Compare command

Numeric compare command


Compare (macro command)

Compare - macro command. This command shall compare two strings. If they are different, it shall interrupt program performance and display a text in the “Message” window. In the “Jump” field, number of macro lines can be set that shall be jumped if the condition is not fulfilled. The zero value means that no jump shall be done. The plus value means one jump forwards, i.e. it is a conditioned jump (can be used for macro parts jumping if a controlled instrument doesn´t contain a function part). The negative value shall return the program back, i.e. it is a conditioned loop (can be used for waiting on an instrument response especially if a response long is, there shall be constantly tested if an instrument is ready). If the “Jump” field is not zero, the field “Message” needs not be filled, if no message is to be shown. To develop a compare command, firstly to strings are to be set, which shall be compared. A string is to be made so that first a required string is to be selected by click on its name (The first string” or “The second string”) and then items “Text”, “Alternative code” or “Variable” are to be added. Mostly a fixed text containing the “Buffer” variable with foregoing “Read” command is being compared. In the figure there is comparing of the first two characters of the “Buffer” variable with the “ON” text. If they are different, the program shall end with the “Output terminals ON error” message. The same rules as for the Write command are valid for development and modify of text strings.

First string - the first strings to be compared. Before string composition, it must be selected by left mouse click on its label. Selected string label is then highlighted by underlined font.

Second string - the second strings to be compared. Before string composition, it must be selected by left mouse click on its label. Selected string label is then highlighted by underlined font.

Text - text to be appended to target string. Text will be inserted to target string by pressing "Add" button.

Alt code - one ASCII character of any value (0...255). Character will be inserted to target string by pressing "Add" button.

Variable - it allows insert variable content. It is possible select substring of variable using ”From”, ”To” fields (0 - means no limit). Variable will be inserted to target string by pressing "Add" button.

Value – nominal value of the calibration point.

Parameter– value of function parameter valid in the actual calibration point. Count and names of the parameters are determined by actual function.

Buffer - value of universal variable named "buffer". This variable should be filled by previous read command.

If condition is not met

Message - text message that is displayed during calibration if condition is not met.

Jump - number of macro lines that are overleaped inside proper macro during calibration if condition is not met.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.

See also

Write command

Read command

Delay command

Message command

Numeric compare command


Numeric compare (macro command)

Numeric compare - macro command. This command shall compare two numeric values. If they are different of more percent than in the “Tolerance” window has been set, it shall interrupt program performance and display a text in the “Message” window. In the “Jump” field, number of macro lines can be set that shall be jumped if the condition is not fulfilled. The zero value means that no jump shall be done. The plus value means one jump forwards, i.e. it is a conditioned jump. The negative value shall return the program back, i.e. it is a conditioned loop. If the “Jump” field is not zero, the field “Message” needs not be filled, if no message is to be shown. To develop a compare command, firstly to strings are to be set, which shall be compared. A string is to be made so that first a required string is to be selected by click on its name (The first string” or “The second string”) and then items “Text”, “Alternative code” or “Variable” are to be added. Mostly a fixed text containing the “Buffer” variable with foregoing “Read” command is being compared. The program shall convert text values to numbers before comparing. The same rules as for the Write command are valid for development and modify of text strings.

First string - the first strings to be compared. Before string composition, it must be selected by left mouse click on its label. Selected string label is then highlighted by underlined font.

Second string - the second strings to be compared. Before string composition, it must be selected by left mouse click on its label. Selected string label is then highlighted by underlined font.

Text - text to be appended to target string. Text will be inserted to target string by pressing "Add" button.

Alt code - one ASCII character of any value (0...255). Character will be inserted to target string by pressing "Add" button.

Variable - it allows insert variable content. It is possible select substring of variable using ”From”, ”To” fields (0 - means no limit). Variable will be inserted to target string by pressing "Add" button.

Value – nominal value of the calibration point.

Parameter – value of function parameter valid in the actual calibration point. Count and names of the parameters are determined by actual function.

Buffer – value of universal variable named "buffer". This variable should be filled by previous read command.

Tolerance - maximal tolerance between numeric values of the first and second string to satisfy the condition.

If condition is not met

Message - text message that is displayed during calibration if condition is not met.

Jump - number of macro lines that are overleaped inside proper macro during calibration if condition is not met.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.

See also

Write command

Read command

Delay command

Message command

Compare command


Append when write

This panel allows determine globally (for all instrument) what string is send to the instrument after every Write command. The string can consist of text and alternative codes. As appending string is most often used alternative code CR or LF (or their combination). This panel is accessible through Open/Close macro.

Append string - this string will be sent into instrument after every WRITE command. Before that the string is compiled into binary form. The string can be composed of “Texts” or “Alternative codes”. Particular parts can be entered by its writing and pressing the particular “Add” key.

Text - text to be appended to target string. Text will be inserted to target string by pressing "Add" button.

Alt code - one ASCII character of any value (0...255). Character will be inserted to target string by pressing "Add" button.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Terminate on

This window allow globally determine conditions when Read command is terminated. It is normally not necessary setup this, but it is useful for some instruments controlled via RS232 bus where reading synchronisation is troublesome. Terminate on string consisting of text and alternative codes can be specified or/and maximum number of bytes to read. As terminating string is most often used alternative code CR or LF (or their combination).This panel is accessible through Open/Close macro.

Terminate on - resulting terminating string. Reading from the instrument will be terminated when a string compiled here will be found in the instrument response. The terminating string can be composed of “Texts” or “Alternative codes”. Particular parts can be entered by its writing and pressing the particular “Add” key.

Text - text to be appended to target string. Text will be inserted to target string by pressing "Add" button.

Alt code - one ASCII character of any value (0...255). Character will be inserted to target string by pressing "Add" button.

Max. count - reading from the instrument will be terminated when "Max. count" of bytes will be fetched from the instrument.

OK - closes panel and saves changes.

Cancel - closes panel and discard changes.


Macro Measure

Macro measure - is intended for reading instrument value. This macro has to contain READ command and reading should be done to "Value" variable. This "Value" is then used as DUT or Standard value. It is defined for all remote buses (GPIB, RS232 and VISA). There is a macro of the 9010 calibrator measurement in the figure. Following commands are used for the macro in the figure:

· WRITE – it shall send the „READ?“ string in a calibrator and the report shall be ended by a sign defined in the open / close macro - LF (ALT10).

· READ – it shall count a calibrator´s answer to the Value variable.

Macro measure can be common for all the buses (Remote control). The source and the meter have an independent macro. At the source, the macro checks a value being set for the source (one measure shall be performed). At the measuring instrument, the macro starts and performs one measure (it shall be performed more measurements – mostly 10). Number of readings can be set via Measurement parameters panel.

See also

Write (macro command)

Read (macro command)

Delay (macro command)

Message (macro command)

Compare (macro command)

Numeric compare (macro command)


Macro Set

Macro set - is intended for setting instrument to appropriate state during calibration. For the source, the macro sets a function, a range and a value. For meter, the macro sets a function and a range. For switch-instrument, four settings can be executed during one calibration point: "Set A", "Set B", "Set C" and "Set D". Although only "Set A" is performed during calibration by default, this behaviour can changed via Measurement mode panel.

There is a macro set of the 9010 calibrator in the figure, which shall set the calibrator to the VDC-2W function in source mode. Following commands are used for the macro in the figure:

· WRITE – sends the „VOLT:DC:RANG 20“ string to the calibrator. Sets the calibrator range to 20V.

· WRITE – sends the „VOLT:DC <value>“ string to the calibrator. Sets the DC voltage of the calibrator.

· WRITE – sends the „DISP ACT 1“ string to the calibrator. Selects the active control on the screen - the voltage value. This will display a tooltip of the main value with additional parameters.

The "Macro Set" can be common for all the buses (Remote control) or can be created individualy for every bus (RS232, GPIB, VISA).

See also

Write (macro command)

Read (macro command)

Delay (macro command)

Message (macro command)

Compare (macro command)

Numeric compare (macro command)


Macro Output on

Output on macro is intended for switching output terminal on during calibration. In the lower bar of the panel there is the “Both”, “Positive” and “Negative” switch. If the source has the same command for switching positive and negative polarity on, it can be sufficient to define a macro for the “Both” switch position. Some sources have different commands for switching positive and negative polarity on. Then one macro must be defined for the “Positive” switch position and another one for the “Negative” switch position. The Macro Output on can be common for all the buses (Remote control) and there it is only for the source.

Here is the macro to turn on the Meatest 9010 calibrator terminals:

· WRITE – sends the string OUTP 1 to the calibrator to turn on the terminals.

· WRITE – sends the OPC? string to the calibrator to make the program wait for the operation to complete.

· READ – waits for the operation to complete.

· DELAY – waits 1 second to output value stabilization.

· WRITE – sends the OUTP? string to the calibrator to find out the current status of the terminals. If there is an error in connecting the terminals, they can disconnect automatically.

· READ – reads the current state of the terminals.

· COMPARE – compares the „ON“ string with 1-2 signs saved in the Buffer variable. If they differ, the “Could not switch output ON” message shall be displayed and calibration is finished.

See also

Write (macro command)

Read (macro command)

Delay (macro command)

Message (macro command)

Compare (macro command)

Numeric compare (macro command)


Macro Output off

Output off macro is intended for switching output terminal off during calibration. In the lower bar of the panel there is the “Both”, “Positive” and “Negative” switch. If the source has the same command for switching positive and negative polarity on, it can be sufficient to define a macro for the “Both” switch position. Some sources have different commands for switching positive and negative polarity off. Then one macro must be defined for the “Positive” switch position and another one for the “Negative” switch position. The Macro Output off can be common for all the buses (Remote control) and there it is only for the source.

Here is the macro to turn off the Meatest 9010 calibrator terminals:

· WRITE – sends the OUTP 0 string to the calibrator to turn off the terminals.

· WRITE – sends the OPC? string to the calibrator to make the program wait for the operation to complete.

· READ – waits for the operation to complete.

See also

Write (macro command)

Read (macro command)

Delay (macro command)

Message (macro command)

Compare (macro command)

Numeric compare (macro command)


Macro Open/Close

This panel is accessible via "Global" page of Instrument card moduleafter pressing "Setup" button. Before pressing the button, the communication type (RS232, GPIB, VISA or Camera) at the left of the button must be selected.

Global write settings - this window allows determine globally (for all instrument) what string is send to the instrument after every "Write" command. The string can consist of text and alternative codes. The modification is possible by pressing right mouse button over the "Append when write" field and selecting "Modify" item from popup menu. The Append when write panel will be shown.

Global read settings- this window allows determine globally (for all instrument) in what condition reading from the instrument will be terminated. The modification is possible by pressing right mouse button over the "Terminate on" field and selecting "Modify" item from popup menu. The Terminate on panel will be shown.

Setup - it is intended for setting bus properties.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.

Open macro

Open macro is global macro automatically performed before using instrument in Caliber system. It ensures instrument identification and initialization. It is also possible to read serial number from the instrument for the purpose of calibration data or writing note to output test report. In such a case reading to the variable labeled "Serial Number" must be done. The close macro is common for whole instrument (source, meter or switch). The macro shall be defined separately for all the buses (RS232, GPIB, VISA) if the instrument has these facillities. There is an open macro of the M140 calibrator in the figure. The „Global write settings“ window contains a string (sign) which shall be sent to an instrument after every “WRITE” command. An ending string for M140 is CR (ALT13). The „Global read settings“ window contains a string (sign) which means a message end. Reading can be also finished when a certain number of signs are received. If both of the options are being set (finishing when a string is received and finishing after receiving of certain sign number), a reading shall be finished if any of these conditions has been fulfilled. The “Global read settings“ window stays unused in most of cases, except from some instruments controlled along the RS232 bus, for some of them it is not possible to synchronize readings. The “RS232 Setup” key is intended for bus parameter setup. A macro can be saved by the “OK” key. Following commands are used for the macro in the picture:

· WRITE – it shall send the „*IDN?“ string ended with the CR (ALT13) sign in a calibrator.

· READ – it shall read a calibrator´s answer and save it into a variable called “Buffer”.

· COMPARE – it shall compare the „M-140“ string with 9-13 signs saved in the buffer variable. If they are different, a „Calibrator M-140 not found“ message appears and a calibration shall be finished.

· WRITE – sets temperature unit to °C for all temperature functions ("TEMP:UNIT C")

· WRITE – queries serial number ”*IDN?”

· READ – reads serial number from the calibrator. Fragment 3 represents the third part of the string separated by commas.

Close macro

Close macro is global macro automatically performed after using instrument in Caliber system. It ensures proper instrument condition when the instrument is not in remote control mode. The close macro is common for whole instrument (source, meter or switch). The macro shall be defined separately for all the buses (RS232, GPIB, VISA) if the instrument has these facillities. There is a close macro of the M140 calibrator in the figure. The “Global write settings”, Global read settings” windows, the “RS232 Setup” and „OK“ keys have been described at the “Open macro”. Following commands are used for the macro in the figure:

· WRITE – it shall send the „VOLT 10;FUNC DC;VOLT 10“ string ended with the CR (ALT13) sign in a calibrator.

· WRITE – it shall send the „OUTP OFF“ string ended with the CR (ALT13) sign in a calibrator.

See also

Write (macro command)

Read (macro command)

Delay (macro command)

Message (macro command)

Compare (macro command)

Numeric compare (macro command)


RS232 Setup

It defines parameters for RS232 interface setting (i.e. an instrument is controlled along the RS232 bus).

Port - Com port number.

Available ports - list of all COM ports found on this computer. The Port Search Mode can be changed in the Configuration panel - the General tab.

General ports - list of all COM ports from COM1 to COM256

Rate - baudrate, range is from 110 to 256000 Bd.

Parity - transmission parity. It can be - None, Odd, Even.

Data bits - number of data bits (5...8).

Stop bits - number of stop bits (1 or 2).

Xon/Xoff - hardware shaking (Enabled or Disabled).

DTR - status of DTR signal (Set +12V or Clear -12V).

RTS - status of RTS signal (Set +12V or Clear -12V).

Note: Some simple instruments use the DTR and RTS signals for interface supply and then shoud be set accordings their requirements.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.

Note: This setup is available in two locations. The first location is in Instrument card and the second location is in Instrument scheme of Procedure module. If both settings are done, the procedure settings is used.


GPIB Setup

It defines parameters for GPIB interface setting (i.e. an instrument is controlled along the GPIB bus). The computer must be equipped with the GPIB card for this purpose. For GPIB control an address of a connected instrument can be set.

Address - the permitted address range is 1 to 30.

Connected devices - list of all GPIB devices found on this computer. The Port Search Mode can be changed in the Configuration panel - the General tab.

General ports - list of all GPIB addresses from 1 to 30.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.

Note: This setup is available in two locations. The first location is in Instrument card and the second location is in Instrument scheme of Procedure module. If both settings are done, the procedure settings is used.


VISA Setup

VISA Setup is used for communication via VISA interface (Virtual Instrument Software Architecture). The computer must have installed the VISA controllers. An identification instrument string shall be set for the VISA control. The computer connection with an instrument can be performed along any bus (USB, LAN, RS232), the VISA controller (not the Caliber program) shall secure this connection.

Identification - identification instrument string.

Available ports - list of all VISA ports found on this computer. The Port Search Mode can be changed in the Configuration panel - the General tab.

Users ports - list of user defined ports. At this port, you can directly enter the name of the VISA resource name.

Modify - allows direct input of VISA resource name when user port is selected.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.

Note: VISA Setup is available in Instrument card and in Instrument scheme in procedure module. If both settings is done, setup in Instrument scheme will be used.


Camera Setup

Measured values are scanned from an instrument by means of a digital camera. The Cam-Ocr unit for camera scanning is to be available for this purpose. The instrument cannot be controlled this way.

Display type – two basic types of display:

LCD - dark signs on a light background

LED - light signs on dark background

Full scale – the highest displayed number on the instrument display (decimal point not included)

Minimum showed digits – minimal number of digits which can be shown on the display

Decimal point – the size and the placement of decimal point:

None - the instrument doesn´t use a decimal point

Small close - decimal point size is approximately the same as an half of segment width

Small far - a small point with distance from a segment more than an half of segment width

Large close - decimal point size is approximately the same as of segment width

Large far - a large point with distance from a segment more than segment width

Auto - the program doesn´t evaluate the decimal point from the display, but set it automatically according the expected value – suitable for bad legible displays

Min. trigger interval [s] – time in seconds after its passing the instrument will display a new value. The camera shall scan particular measurements during this time period which can be extended for picture evaluation time (if the computer speed is not sufficient).

Minus sign - how to evaluate the minus sign:

Evaluate – the program is trying to read the sign from the display

Auto– the program shall not evaluate the sign from the display, but set it according to its expected value – it is suitable for displays with bad legible signs, e.g. because of additional symbols around the sign.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.

Note: This setup is available in two locations. The first location is in Instrument card and the second location is in Instrument scheme of Procedure module. If both settings are done, the procedure settings is used.


Converter conditions

Converter conditions

Converter conditions define a way of the magnitude conversion and a magnitude and a value which the converter itself shall be set to. In the figure there is an example of a current/voltage converter with conversion constant of 0.01 (10 mOhm resistor). This panel is accesible via "Global" page of Instrument card module.

Converter as DUT – if this field is checked, the program shall secure using of a converter in position of the instrument under test. The as an DUT used converter is to be set as its output function is. The value of the converter cannot be used in a formula, only a simple formula can be used.

Convert function:

From – input value of the converter (defined by a function)

To – output value of the converter (defined by a function)

All converters are bi-directional. Terms input and outputs are only symbolic.

Set converter to:

Function – a function which the converter is to be set to. For virtual converter (i.e. function or value converters being not represented by a real instrument) it shall be given „void“ here. Converter functions and ranges cannot be filled up as for a real source or measurement instrument. For real converters their actual function must be set. E.g. for a current shunt the RDC-4W or also RAC-4W function is to be set, if the shunt can also be used for alternating current. In this case the particular function (e.g. RDC-4W), range (e.g. 0.1 =<= 0.1) and specification is to be filled up as for a real source.

Value– it is a value which the converter is to be set to. All the parameters are to be defined here if the function contains any. A fixed value (a constant) or a parameter being contained in the input function is assigned to particular values. The program during its operation shall set a function, a range and parameters which shall be set as for any other instruments. The converter card must contain the required function and range in the source mode (a converter is being considered as a source). Real value of the converter can be taken of the instrument card during a calibration, in manual mode the value can be required from a user or to be fixed set in the instrument card. The fixed set value can be naturally changed e.g. after a new standard resistor calibration which is being used as a current/voltage converter. If a function called ”void” is selected, it is not necessary to set a value and fill up a specification and function in the instrument card. Such a converter then only converts by means of a multiplying and adding constant ant its own value won´t appear in an equation (it is especially used for function conversion, if the converter itself is only virtual one).

Formula – defines conversion ratio between input and output. There are three of formula types:

Simple – a simple equation. The program is automatically performing back and forth conversions.

Input - input value calculation form

Multiply - input value is directly used

(Input = Input value)

Divide - applies the inverse of the input (Input = 1 / Input value)

Converter value – adds or removes the “Converter value” from the formula

Not used - converter value not used in formula (Output = Input * A + B)

Multiply with - converter value will be multiplied (Output = Input * A * Converter + B)

Add - converter value will be added (Output = Input * A + Converter + B)

Multiply with – determines the A constant in the formula

Add – determines the B constant in the formula

Complex – defines a complicated complex equation. There can be more equations. They are divided by a range of the input magnitude. The program is able to perform back and forth conversions. The equation can be set together from common mathematic functions (sin, cos, log), numeric values (0…9), mathematic operators (+-*/) or input values of a converter. Goniometric functions count an angle in radians, if degrees are used, a recalculation is to be performed.

Formula - list of defined formulas. By right mouse click over the list next menu will be shown:

Add - adds next formula into the formula list. Formula is created using Converter formula panel.

Modify - allows formula modification.

Remove - removes selected formula from the list.

Thermocouple - this checkbox is intended only for thermocouple converters. If it is checked special calculation is performed during transformation with sense of thermocouple cold junction. Do not check this box in other cases.

Import - this feature allows import raw input data from text file, which make base for creating converter. No interpolation of values is done here. Source format must be following:

<input converter value> <separator> <output converter value> <CRLF>

<input converter value> <separator> <output converter value> <CRLF>

...

Separator can be ":", ";" or TAB. Maximal row count is 200. Input range of converter is defined by <input converter value> on the first row of source file and <input converter value> on the last row.

Cross – any value recalculation are not performed, only parameters of input and output function are redirected. Different functions with some same parameters can be converted among each other.

Up - moves parameter in the right part of listbox one step up.

Down - moves parameter in the right part of listbox one step down.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Converter formula

In this panel an equation for calculation of complex converters formulas can be defined. This formula is a part of instrument card and can be found in the Converter conditions settings. It can be possible to add common mathematic functions (sin, cos, log), numeric values (0…9), mathematic operators (+-*/), instrument parameters (e.g. a measured value, an uncertainty, an accuracy) or global parameters (if there are any parameters for a particular level in a particular function, e.g. a frequency). All these items can be combined together and create more complicated equations. In the figure there is a calculation example for a standard value. There are three standard instruments (HP3458 as a voltmeter, DAT1281 as an ampere-meter, PHM as a phase meter) for calculation of a resulted power P=U*I*cos(Ø).

Formula - box located in the upper part of the panel. This box contains resulting formula. The formula can not be edited here but only viewed.

Input - the value of converter input quantity. On the other side the converter output will be result of this formula calculation.

CE - removes last item from resulting formula

C - clears all formula (in this case automatic assignment will be applied)

Exp - exponent

abs - absolute value

sin - sinus

cos - cosinus

tan - tangens

PI - pi value (3.14)

asin - arcus sinus

acos - arcus cosinus

atan - arcus tangens

^ - power

sqr - square root

ln - natural logarithm

log - base-10 logarithm

/ - divide

* - multiply

- - subtract or minus sign

+ - add

From - low limit of input converter value, the formula will be valid (selected)

To - high limit of input converter value, the formula will be valid (selected)

OK - closes panel and saves changes

Cancel - closes panel and discards changes

Note: Remember that goniometrical functions count an angle always in radians. If a parameter is in grades, it must be recalculated.


Creating instrument card - Resistance decade (M109)

There is a high-resistance decade card with remote control ability.

· Start the Instrument Cards module in the „Caliber“ program (the “Window” menu in the upper menu bar, the “Instrument Card” item). Press the “New” button in the lowe bar of the Status Window and set "M109" name.

· Set the mouse on „M109“ bar in the status window with “Instrument” name and by double mouse click switch the status window on the “Function” level. Press the right mouse button to add "RDC-2W" function.

· Switch to the “Ranges” level and add four ranges of the instrument and their specification according to the M109 specification. The ranges must be always set in basic units (V, A, Ohm, Hz etc.).

· Press the “Back” key in the lower bar of the status window to return to the “Instrument” basic level and add the connection of “H,L” input terminals. A part of the card describing metrological properties of the instrument is finished. There is necessary to add way of control only.

· For decades without remote control, select the "Manual" option from the Communication type selector.

· The Manual Set option is to be in the implicit “Automatic” position. Each time decade value is changed, an operator shall be prompted to set the instrument.

· For the Manual Measure panel select the “Nominal value” item for the "Value specified as" option. The program supposes that a value set on the decade is the required one.

· For the Manual Otput on panel select the "None" item for the "Calibration message" option.

· For the Manual Otput off panel select the "None" item for the "Calibration message" option.

· The M109 can be controlled by means of the RS232 bus. Select the “Remote control” option from the Communication type selector. All these settings shall be performed on the “Instrument” basic level because they shall be valid for each of the functions and ranges.

· The decade uses the MOhm units for RS232 bus communication, because of it set the multiplier to „mega“.

· Now we set the Set macro as displayed on figure:

This macro consists of a value record by the “R” command + value, counting of decade´s response. If there is the “ok” response, a 1 sec delay shall follow for value fixation. If the response is not „ok“, the program shall interrupt with „Communication error“ message.

· Now we set the Measure macro as displayed on figure:

This macro consists of the „V“ write command (value counting requirement) and reading command to "Value" variable.

· The last thing to do is setting Open/Close macro. Select "Global" page in the right part of instrument card module, select "RS232" item from selector that is located on the left side of "Setup" button and push the "Setup" button. Arrange the open macro as per figure:

· Select the "Close macro" option from the selector located in the upper left corner and arrange Close macro as per figure:

· By pushing the "RS232 Setup" button, we set RS232 Setup as follows:

· Press the “Save” button, in the lower bar of the status window.


Creating instrument card - Shunt (R10mOhm)

There is a real converter instrument card named "R10mOhm". The resistance can be used as a source of 10 mOhm value and also as a current/voltage converter with 10mv/1A conversion constant. Both those characteristics can be described in one instrument card. Resistance use depends on its source or transducer function.

· Start the Instrument Card module in the „Caliber“ program (the “Window” menu in the upper menu bar, the “Instrument Card” item). Press the “New” button in the lower bar of the Status window and set R10MOHM name (the program doesn´t differ small and capital letters in the name).

· Select "Manual" option from theCommunication type selector - all settings will be done only in "manual" mode.

· Select the "Source" page from the right part of instrument card module. Set the mouse on the „R10MOHM“ bar in the Status window and switch the status window to the “Function” level by double mouse click. Press the right mouse button to add "RDC-4W" function.

· Switch to the “Range” level in status window by doubleclick over "RDC-4W" function and add a range from 0.01 to 0.01 Ohm (0.01=<=0.01).

· Still having 0.01 Ohm range selected fill in specification window. In the concrete enter 0.05 value in the "% of reading" field.

· Now we can fill the true (standrard) value of shunt valid for DC resistance. Press "Measure" button in the "Source" page and select "Fixed value" option. Fill in true shunt value in the "Fixed value" field.

· In the same way as adding "RDC-4W" function and 0.01 Ohm range, add the "RAC-4W" function and 0.01 Ohm range.

· Switch to „Frequency“ level in the status window and add a frequency ranges (e.g. 40 Hz=<=60 Hz and 60<=80 Hz).

· Having "Frequency" level selected fill in true shunt value valid for appropriate frequency range. Thus press "Measure" button and fill "Fixed values" for both frequency ranges.

· Switch one level up by pressing "Back" button and fill in specification window valid for all frequency ranges. In the concrete enter 0.1 value in the "% of reading" field.

· Select "instrument" level in status window. Next settings will be done for whole instrument.

· Add terminal description in the Connection scheme field (e.g. Hu,Hi,Li,Lu).

· Instrument will be controlled only by "Manual" way, so select "None" option from "Calibration message" field on the Manual set panel. None user intervetion will be required during calibration when setting this instrument.

· The same setting make for the Output on and Output off panel because shunt has no switching ability.

· Now it is necessary to describe resistance´s properties for the current/voltage converter function. Switch to “Global” page in the instrument card. Press the right mouse button in the “Converter Conditions” window and select “Add”. Fill up the Converter conditions panel according to the figure:

The converter shall convert the IDC function to VDC-2W one. It itself shall be set to the RDC-4W function with nominal value of 0.01. The function and value, which the converter has been set to, are significant for transfer calculation and measuring uncertainty. However the nominal value will not be used for real calculation but the measured one (it can be affected in the “Source” page in the “Measure” card – there shall be set the fixed (standard) value in our case).

· In the same way as DC now we describe AC properties for the current/voltage converter function:

· Press the “Save” button in the lower bar of the Status window.


Creating instrument card - Power converter (PK1000)

There is a real converter for one-phase power conversion to DC current. By such a way developed card can be also used for converter check, i.e. the instrument can be configured as the DUT converter.

· Let´s create a new instrument card called „PK1000“. Press "New" button from the control button bar under status window and input card name "PK1000".

· We set terminal´s connection in general for the whole instrument, i.e. „U+,U-,I+,I-,O+,O-„ (U – input potential terminals, I – input current terminals, O – output current terminals).

· Instrument will be controlled only by "Manual" way, so select "None" option from "Calibration message" field on the Manual set panel. None user intervetion will be required during calibration when setting this instrument.

· Set a new function in the „P-AC“ source mode.

· Let´s create the 0=<=2600W range. The 2600W value has been obtained according to maximal permissible parameters of the converter (260V, 10A). The range is only one because the „P-AC“ function is multi-parametric one.

· Set a converter´s specification valid for this range, i.e. „ Absolute Error =1W“. If this error cannot be specified in the instrument card, it will be not filled, however shall be set for procedure development via Evaluation panel.

· Now let´s create particular parameter ranges, i.e. for voltage 0=<=260V, for current 0=<=10A, for frequency 40=<=60Hz, for phase 0=<=360°.

· Now set the converter´s conditions in the instrument card in the “Global Settings” flag according to the following figure:

Firstly check the “Converter as DUT” field. In that way the converter´s parameters shall be set in order to use the converter as the DUT. The converter shall convert power (PAC) to current (IDC) and a converting multiplying constant is to be written down into the “Add” field. The converter value shall not be added to the formula. The converter is to be set to the same function as the input converter function. The converter value must stay as being set automatically by the program (the whole right part of the panel). It is the basic condition of converter´s usage as a DUT.

· Save the card by pressing "Save" button. Herewith the instrument card is finished.


Creating instrument card - Switch

There is a simple switch card for switching of terminals in the middle of a calibration point. It can be used for calibration of resistance ranges of a checked measuring instrument by means of an standard measuring instrument, if it is not possible to connect both of the measuring instruments at the same time, i.e. firstly the measurement shall be performed by means of the standard and then by the DUT measuring instrument. The card is developed for manual control (there is not a real instrument), but if it is a real switch with remote control ability it shall be suitable do add a remote control. The measurement mode is to be adapted to use the card during the procedure. A practical example for usage of the switch – see Procedure development for a resistance meter.

· Start the Instrument Cards module (the “Window” menu in the upper menu bar, the “Instrument Card” item). Press the “New” button in the lower bar of the Status Window and set the "SW_RESISTANCE" name.

· Select "Manual" option from the Communication type selector - all settings will be done only in "manual" mode.

· Select the “Switch” page in the card window.

· Set to the Manual Set A option. As "Calibration message" select the “User Text”. Write “Detach DUT, attach SU” into the “Message” field.

· Set to the Manual Set B option. As "Calibration message" select the “User Text”. Write “Detach SU, attach DUT” into the “Message” field.

· Press the “Save” button in the lower bar of the Status window to finish the card.


User functions Module

For a calibration of any instrument, a particular instrument card, a calibration procedure and defined functions are necessary. The instrument card defines features of used instruments. The calibration procedure defines relations between instruments and calibration points. The functions are being used by the program internally and their task is to match adjustments of particular instruments to the same function. New functions can be defined just by this program module. The Caliber program having been installed, a set of basic functions shall be counted.

This panel is intended for editing and development of functions. It allows access to definitions and function features which are being used by the program. The functions are divided into basic ones (there are marked by an asterisk in the program) which no feature change is permitted for except from the „CMC“ and „Evaluation method” ones; and user functions which the “Quantity” and “With polarity” field change is permitted for in addition to.

Function - list of all existing functions. The function can be selected here for viewing their parameters and for partial modification itself.

Function name – it is composed of maximal ten characters and should characterize the given function best way.

Unit – it is composed of maximal four characters and shall be written in basic form (V, Pa, K etc.). The program automatically adds proper prefixes to it.

Has polarity – by the field checked it shall be marked that a given function allows setting both positive and negative values. For functions with polarity it is e.g. valid a specification of the 20 to 200 V range for the +20 to +200 values, however also the –20 to –200 ones. For functions without polarity it is necessary to create an independent -20 to - 200 V range for the –20 to –200 values.

Quantity – the setting affects way of CMC set and some behaviour during calibration. It shall be set according the function type (absolute / relative).

Relative - values start at zero or nearly at zero (0 V) and end at a fixed point (1000 V). CMC is set in percents. Examples of absolute functions are voltage ranges of multi-meters.

Absolute - values begin at a fixed point (-200 o C) and end at another fixed point (+800 o C). CMC is set in units of a measured magnitude. Examples of absolute functions are temperature ranges of multi-meters, thermometers etc.

Note: Evaluation method can be selected for every function regardless of this resolution. The adjusted evaluation method affects only expression of measured and calculated values in the calibration report.

Evaluation – the setting affects a test report form only. Allowed errors, deviations and measurement uncertainties can be evaluated as relative or absolute ones. For accuracy of implicitly defined functions, the absolute evaluation is preferred.

Relative - deviations and uncertainties are expressed in percents. Relative evaluation can be selected for relative functions only.

Absolute - deviations and uncertainties are expressed in values of a measured magnitude. Absolute evaluation can be selected for both absolute and relative functions. Implicit adjustments after installation represent the “absolute evaluation” for all the functions.

CMC – it gives the best measurement ability of a particular laboratory. If for the given function the better measurement uncertainty is evaluated then the CMC is, shall be the evaluated uncertainty substituted by the here given number in the test report. This item can be changed even for basic functions marked by asterisk. Every laboratory should fill the CMC field for every function according its measurement ability after program´s installation. The CMC can be set either as relative or as absolute one, it depends if the given function is a relative or absolute one

Alias - function name used in test report. The alias for the function can be set in the Configuration - Test report panel the "Regional" tab.

Parameter name – the item consists of maximal ten characters and is not mandatory one. It is only at functions with extraneous parameters (e.g. alternating voltage with its frequency as the parameter). A function can contain more these parameters.

Following control keys are situated in the lower window edge:

New – adds a new user functionadds a new user function.

Save – writes the modified function table into a file (database).

Import– imports functions created by means of the „Export“ button in the program. It is checked during the import if a given function exists in the system. The list shall be completed only by functions with a different definition.

Export– exports functions in the „fce“ format. The format is suitable to function definition transfer among users.

Configuration - this button will call up a panel that will allow you to define new parameters and units for functions and their national equivalents.

Filter - list of functions can be reduced for viewing by filter condition entered here.

Note: The Export and Import however are not very often used keys, because a function definition is being automatically transferred with a procedure in the „pre“ format. If it is being imported a procedure with a new function, this function shall be added in the program automatically.


New function

This panel allows to append new function to Caliber system. This panel is accessible via the User functions module. Every function consists of its name and unit, optionally it can contain one or more parameters.

Note: Be carefull, all names and units entered here cannot be changed in future. Function cannot be deleted, only new one can be created. Additionally, only the translation of functions, parameters, and units into a local form can be done.

Function name - it is composed of maximal ten characters and should characterize the given function best way. The function name should be defined in English for better compatibility when exchanging instrument cards and procedures around the world. This name can then be converted to a local form using the Configuration panel on the "Regional" tab, the "Function" sub-tab.

Unit - main function unit. It is composed of maximal four characters and shall be written in basic form (V, Pa, K etc.). The program automatically adds proper prefixes to it. The units must first be created using the Configuration panel on the "Regional" tab and the "Units" sub-tab.

Parameter name - the item consists of maximal ten characters and is not mandatory one. It is only at functions with so called next parameter (e.g. alternating voltage with its frequency as the parameter). A function can contain more these parameters. The parameters must first be created using the Configuration panel on the "Regional" tab and the "Parameters" sub-tab.

Unit - parameter unit. It is composed of maximal four characters and shall be written in basic form (V, Pa, K etc.). The program automatically adds proper prefixes to it. The units must first be created using the Configuration panel on the "Regional" tab and the "Units" sub-tab. Units are common to both functions and parameters.

Add - adds new parameter into parameter list.

Delete - removes parameter from parameter list.

OK - closes panel and saves changes. New function will added into system list of functions.

Cancel - closes panel and discards changes.


Basic functions

These functions are included in Caliber system by default. They features basic electric quantities. New ones can be created using the User functions module. In that module the basic functions are marked with an asterisk symbol "*" in their name.

Complete list of basic functions:

VDC-2W - DC voltage, 2-terminals

VDC-4W - DC voltage, 4-terminals

VAC-2W - AC voltage, 2-terminals

VAC-4W - AC voltage, 4-terminals

IDC - DC current

IAC - AC current

RDC-2W - DC resistance, 2-terminals

RDC-4W - DC resistance, 4-terminals

RAC-2W - AC resistance, 2-terminals

RAC-4W - AC resistance, 4-terminals

C-2W - capacitance, 2-terminals

C-4W - capacitance, 4-terminals

FREQ1 - frequency

FREQ2 - frequency with suplementary voltage parameter

P100 D90 - Platinum Pt100, DIN, 1990

P100 U90 - Platinum Pt100, US, 1990

P100 D68 - Platinum Pt100, DIN, 1968

P100 U68 - Platinum Pt100, US, 1968

P200 D90 - Pt200

P200 U90

P200 D68

P200 U68

P500 D90 - Pt500

P500 U90

P500 D68

P500 U68

P1000 D90 - Pt1000

P1000 U90

P1000 D68

P1000 U68

N100 S90 - Ni100

N100 S68

N1000 S90 - Ni1000

N1000 S68

TC R S90 - thermocouple R, 1990

TC R S68 - thermocouple R, 1968

TC S S90 - thermocouple S, 1990

TC S S68 - thermocouple S, 1968

TC B S90 - thermocouple B, 1990

TC B S68 - thermocouple B, 1968

TC J S90 - thermocouple J, 1990

TC J S68 - thermocouple J, 1968

TC T S90 - thermocouple T, 1990

TC T S68 - thermocouple T, 1968

TC E S90 - thermocouple E, 1990

TC E S68 - thermocouple E, 1968

TC K S90 - thermocouple K, 1990

TC K S68 - thermocouple K, 1968

TC U S90 - thermocouple U, 1990

TC U S68 - thermocouple U, 1968

TC L S90 - thermocouple L, 1990

TC L S68 - thermocouple L, 1968

TC N S90 - thermocouple N, 1990

TC N S68 - thermocouple N, 1968

TC M S90 - thermocouple M, 1990

TC M S68 - thermocouple M, 1968

TC C S90 - thermocouple C, 1990

TC C S68 - thermocouple C, 1968

TC D S90 - thermocouple D, 1990

TC D S68 - thermocouple D, 1968

TC G2 S90 - thermocouple G2, 1990

TC G2 S68 - thermocouple G2, 1968

R-TRUE - DC resistance, commutative method - low resistance

R-HIGH - DC resistance, high voltage method - high resistance

L-2W - induction, 2-terminals

L-4W - induction, 4-terminals

P-DC - one-channel DC power

P-DC3 - three-channel DC power

P-AC - one-phase AC power

P-AC3 - three-phase AC power

PHASE - current to voltage phase

Note. Special function named "Void" belongs to the list above. This function is a "neutral" function used in cases of its insignificance.


Wizard rules Modulep

Wizard rules Module

Program module is aimed for creating and editing wizard rules. Wizard rules are important for automatic calibration procedure generation using Procedure wizard. Caliber program involves to define more than one ”Wizard rules” and to save them under their own names. When new Calibration procedure is created, you can choose according to which rules calibration points will be generated. It is very convenient to have different rules for calibration points generating for calibrating of meters and of sources.

Status window is displayed on the left side. In the status window structure of wizard rules is shown. Following levels are available:

Rule -> Scale -> Range type -> Values

To move among them, double click on selected line to go down, click on button ”Back” to go up. By right mouse click, next menu will be shown:

Add - appends new rule, scale, range type or value

Modify - modifies selected scale, range type or value

Delete - removes selected rule, scale, range type or value from list

Rule - name of rule is same as name of the first function the rule is valid for. One rule can be valid for more functions. New function can be appended or existing can be deleted in right window labeled ”Valid for these functions” by right click on this window.

Scale - describes length of the DUT scale (maximal displayed value). Instrument-sources have not normally set length of scale in Instrument card. For them lowest scale is taken into account.

Range type - describes type of range from its position among all other ranges. The type of range influences number and values of calibration points generating by Wizard, when new calibration procedure is created.

Values - defines way of creating of calibration points for each range. Calibration points are included into calibration procedure in here defined order. To change the order click with left mouse button on the field with double arrow in desired line, hold the mouse button and move it with the pointer up or down.

Valid for these functions - list of functions which the rule is valid for. By right mouse click, next menu will be shown:

Add function - appends new function to selected rule.

Delete - removes selected function from list.

Control buttons - located under status window:

New – creates new rule set for point generating.

Open – shows the selection rule panel.

Save – shall write a modified rule set in a file (database).

Save as – shall write a modified rule set under a new name in a file (database).

Import – imports Wizard rules from ”.gen” file to database (only when running from WinQbase).

Export – exports actually opened Wizard rules to ”.gen” file from database (only when running from WinQbase).

Back – is intended for move to one level up in a hierarchy: instrument – scale – range type – values. Nesting (move to one level down) shall be performed by a mouse click on a selected item.

By default the ”Default.gen” rules are included in Caliber system.

Note: A calibration procedure cannot be automatically generated without use of the “Rules”. The rules cannot be developed for functions having more than one parameter. The procedure than must be put together separately.


Range type

Range type - is range category used in automatic procedure generation using procedure wizard, or in wizard rules creation itself. In the first case ranges are only selected, in second ranges are created.

Range type - there are following range types:

Common – satisfies all ranges.

Lowest – the lowest range for given function.

Intermediate– the range in the middle (for voltage usually the 20V range). If number of ranges is even, the higher range from two middle ones is observed as intermediate.

Highest– the highest range for a given function. The highest range for most of multi-meters for the VDC-2W function is the 1000V range.

Specific– the range given by a fixed interval of a measured quantity. It is e.g. the range higher than 100 V or the range lower than 200 Ohms. Validity for the 30V to 150V ranges can be also given.

From - low limit for specific range. If not filled in - no low limit is applied.

To - high limit for specific range. If not filled in - no high limit is applied.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Wizard rules”default.gen”

These rules are used by procedure wizard beside automatic procedure generation.

Standard delivered „Default.gen“ rules have following definitions for VDC-2W and VDC-4W functions (suitable for meters): · For multi-meters up to 15,000 digits inclusive the check points of 10%, 50%, 90%, -10%, -90% range in the middle range and for other ranges the points of 10%, 90%, -90% range are generating.

· For multi-meters from 15,000 digits to 25,000 digits inclusive the check points of 10%, 30%, 50%, 70%, 90%, -10%, -90% range in the middle range and for other ranges the points of 10%, 90%, -90% range are generating.

· For multi-meters from 25,000 digits to 15,000,000 digits inclusive the check points of 10%, 50%, 90%, -90% range in the > 200V range, the 10%, 30%, 50%, 70%, 90%, -10%, -90% range in the middle range and for other ranges the points of 10%, 90%, -90% range are generating.

· For multi-meters over 15,000,000 digits the check points of 10%, 50%, 90%, -90% range in the > 200V range, the 10%, 30%, 50%, 70%, 90%, -10%, -90% range in the middle range and for other ranges the points of 10%, 50%, 90%, -90% range are generating.

Rest of the rules can be discovered in Wizard rules module after opening "default.gen" rules.


Column

This panel is used to set properties of test report column.

Alias - column name to be used when exporting calibration results (test report).

Width - column width when exporting the test report.

Justify - alignment of the column:

Left - content will be placed to the left and gap to the right if necessary

Right - content will be placed to the right and gap to the left if necessary

Center - contents will be placed in the center of column

OK - closes the panel and saves setting into Test report Column panel.

Cancel - closes the panel and discards changes.


List of Standards

List of standards can serve as a watch list of standards, or as a tool for sharing calibration data. The list can be started from "procedure" module after pressing the right mouse button over theInstrument scheme window. Each time you start this list, the program passes all devices (instrument cards) used in the procedure and determine whether any of them contains a reference to a set of calibration data. If so, it is automatically included in the following list:

The list contains the following columns:

Model - model designation. The item is read from the file * .cal and identifier is referred as "Model" in the file.

Manufacturer - manufacturer. The item is read from the file * .cal and identifier is referred as "Manufacturer" in the file.

Serial number - serial number. The item is read from the device or can be set by user on the serial number panel.

Due Date - date to which the calibration certificate is valid. The item is read from the file * .cal and identifier is referred as "CalibrationDate" in the file.

Description - brief description of the instrument, which can be used in the test report note. The item is read from the file * .cal and identifier is referred as "Description" in the file.

Calibration data - name of the file that contains the calibration data. Program detects this name automatically by searching all instrument cards used in procedure.

Instrument card - list of instrument cards for the particular calibration data file (*.cal).

Export - determines whether the standard contained in the List of standards will be part of export when used in the Test report Note. Can be changed by pressing the right mouse button and selecting "Include / Exclude" item from the menu.

After pressing the right mouse button over the List of standards the following menu appears:

Set serial number - displays the panel for the selection of serial number.

Include / Exclude - includes or excludes instrument from the List of standards during export.

Modify calibration data - open set of calibration data (* .cal file) for editing in text form.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.


Serial number

This panel determines the way a serial number is set in the procedure for the purpose of calibration data.This panel is accesible from the List of Standards panel. The Serial number panel displays a list of all serial numbers found in calibration data file (*.cal). There are two other options in the list "<Read from device>" - in this case the serial number is obtained during calibration using Open / Close macro and "<Enetered during calibration>" - in this case the user enters the serial number during calibration manually.

OK - closes panel and saves changes.

Cancel - closes panel and discards changes.